<?xml version="1.0" encoding="UTF-8"?>
           
 <!--
 $Id: plcs_psm.sch,v 1.39 2013/09/03 14:19:12 robbod Exp $ 
 Author:       Mike Ward, Eurostep Limited 
 Owner:        Developed by Eurostep 
 Purpose:      Schematron for validation of referential integrity of the PLCS PSM XSD. 
 Generated by: plcslib/xsl/generate_sch/plcs_psm_xmi2sch.xsl (Rev: 1.13)
 -->
            
<sch:schema xmlns="http://purl.oclc.org/dsdl/schematron"
    xmlns:StandardProfileL2="http://schema.omg.org/spec/UML/2.3/StandardProfileL2.xmi"
    xmlns:sysml="http://www.omg.org/spec/SysML/20100301/SysML-profile"
    xmlns:xmi="http://schema.omg.org/spec/XMI/2.1" xmlns:uml="http://www.omg.org/spec/UML/20090901"
    xmlns:sch="http://purl.oclc.org/dsdl/schematron">
    <sch:ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
    <sch:ns
        uri="http://docs.oasis-open.org/plcs/ns/plcslib/v1.0/data/plcs/plcs-psm/xml-schema/plcs-psm"
        prefix="plcs"/>
    <sch:pattern id="XsiPattern">
        <sch:rule context="//PlcsDataContainer|DataContainer/*">
            <sch:report test="@xsi:type"> The element <name/> is defined by @xsi:type <value-of
                    select="@xsi:type"/>. Do not use @xsi:type for BaseRootObjects The element
                should be: [<value-of select="substring-after(@xsi:type,':')"/>] </sch:report>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="PlcsPattern">
        <sch:rule context="//Activity">
            <sch:report
                test="./ChosenMethod[not(@uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid)]"
                >Activity: ChosenMethod/@uidRef declared for which there is no corresponding
                ActivityMethod or Scheme or ActivityMethod/@xsi:type='SchemeEntry' or
                ActivityMethod/@xsi:type='SchemeVersion' or ActivityMethod/@xsi:type='EndTask' or
                ActivityMethod/@xsi:type='ExitLoop' or ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ActivityActual"/>
        <sch:rule context="//ActivityAssignment">
            <sch:report
                test="./AssignedActivity[not(@uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid)]"
                >ActivityAssignment: AssignedActivity/@uidRef declared for which there is no
                corresponding Activity or ActivityActual or DirectedActivity @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ActivityHappening">
            <sch:report test="./Related[not(@uidRef=//ActivityActual/@uid)]">ActivityHappening:
                Related/@uidRef declared for which there is no corresponding ActivityActual
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ActivityMethod"/>
        <sch:rule context="//ActivityMethodAssignment">
            <sch:report
                test="./AssignedActivityMethod[not(@uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid)]"
                >ActivityMethodAssignment: AssignedActivityMethod/@uidRef declared for which there
                is no corresponding ActivityMethod or Scheme or
                ActivityMethod/@xsi:type='SchemeEntry' or ActivityMethod/@xsi:type='SchemeVersion'
                or ActivityMethod/@xsi:type='EndTask' or ActivityMethod/@xsi:type='ExitLoop' or
                ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ActivityMethodRealization">
            <sch:report
                test="./ActivityMethod[not(@uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid)]"
                >ActivityMethodRealization: ActivityMethod/@uidRef declared for which there is no
                corresponding ActivityMethod or Scheme or ActivityMethod/@xsi:type='SchemeEntry' or
                ActivityMethod/@xsi:type='SchemeVersion' or ActivityMethod/@xsi:type='EndTask' or
                ActivityMethod/@xsi:type='ExitLoop' or ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' @uid</sch:report>
            <sch:report
                test="./RealizedBy[not(@uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid)]"
                >ActivityMethodRealization: RealizedBy/@uidRef declared for which there is no
                corresponding Scheme or ActivityMethod/@xsi:type='SchemeVersion' or
                ActivityMethod/@xsi:type='EndTask' or ActivityMethod/@xsi:type='ExitLoop' or
                ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion'</sch:report>
        </sch:rule>
        <sch:rule context="//ActivityMethodRealizationRelationship">
            <sch:report test="./Related[not(@uidRef=//ActivityMethodRealization/@uid)]"
                >ActivityMethodRealizationRelationship: Related/@uidRef declared for which there is
                no corresponding ActivityMethodRealization @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ActivityMethodRelationship">
            <sch:report
                test="./Related[not(@uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid)]"
                >ActivityMethodRelationship: Related/@uidRef declared for which there is no
                corresponding ActivityMethod or Scheme or ActivityMethod/@xsi:type='SchemeEntry' or
                ActivityMethod/@xsi:type='SchemeVersion' or ActivityMethod/@xsi:type='EndTask' or
                ActivityMethod/@xsi:type='ExitLoop' or ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ActivityRelationship">
            <sch:report
                test="./Related[not(@uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid)]"
                >ActivityRelationship: Related/@uidRef declared for which there is no corresponding
                Activity or ActivityActual or DirectedActivity @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Address"/>
        <sch:rule context="//AddressAssignment">
            <sch:report test="./AssignedAddress[not(@uidRef=//Address/@uid)]">AddressAssignment:
                AssignedAddress/@uidRef declared for which there is no corresponding Address
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AddressBasedLocationRepresentation">
            <sch:report test="./PostalAddress[not(@uidRef=//Address/@uid)]"
                >AddressBasedLocationRepresentation: PostalAddress/@uidRef declared for which there
                is no corresponding Address @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AdvisoryNote">
            <sch:report
                test="./AppliesTo[not(@uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid)]"
                >AdvisoryNote: AppliesTo/@uidRef declared for which there is no corresponding
                ActivityMethod/@xsi:type='EndTask' or ActivityMethod/@xsi:type='ExitLoop' or
                ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AdvisoryTaskStep"/>
        <sch:rule context="//AlternatePartRelationship">
            <sch:report test="./Related[not(@uidRef=//Part/@uid)]">AlternatePartRelationship:
                Related/@uidRef declared for which there is no corresponding Part @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AlternateProductRelationship"/>
        <sch:rule context="//Analysis"/>
        <sch:rule context="//AnalysisAssignment">
            <sch:report
                test="./AssignedAnalysis[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid)]"
                >AnalysisAssignment: AssignedAnalysis/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='AnalysisVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AnalysisDisciplineDefinition">
            <sch:report
                test="./DefinitionalRepresentations/AnalysisModelObject[not(@uidRef=//AnalysisModel/@uid or @uidRef=//ExternalAnalysisModel/@uid)]"
                >AnalysisDisciplineDefinition:
                DefinitionalRepresentations.AnalysisModelObject/@uidRef declared for which there is
                no corresponding AnalysisModel or ExternalAnalysisModel @uid</sch:report>
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid)]"
                >AnalysisDisciplineDefinition: ViewDefinitionOf/@uidRef declared for which there is
                no corresponding ProductVersion/@xsi:type='AnalysisVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AnalysisModel">
            <sch:report
                test="./Items[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//StateDefinition/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateTransitionDefinition']/@uid)]"
                >AnalysisModel: Items/@uidRef declared for which there is no corresponding
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or ActivityMethod/@xsi:type='SchemeEntry'
                or StateDefinition or
                RelationshipObject/@xsi:type='StateTransitionDefinition'</sch:report>
        </sch:rule>
        <sch:rule context="//AnalysisRepresentationContext"/>
        <sch:rule context="//AnalysisVersion">
            <sch:report test="./VersionOf[not(@uidRef=//Analysis/@uid)]">AnalysisVersion:
                VersionOf/@uidRef declared for which there is no corresponding Analysis
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AnalysisVersionRelationship">
            <sch:report
                test="./Related[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid)]"
                >AnalysisVersionRelationship: Related/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='AnalysisVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AnalysisVersionSequence"/>
        <sch:rule context="//AndStateCauseEffectDefinition"/>
        <sch:rule context="//ApplicationDomain">
            <sch:report
                test="./Definition[not(@uidRef=//ExternalItem/@uid or @uidRef=//ExternalOwlObject/@uid)]"
                >ApplicationDomain: Definition/@uidRef declared for which there is no corresponding
                ExternalItem or ExternalOwlObject</sch:report>
            <sch:report test="./SameAs/ExternalItem[not(@uidRef=//ExternalItem/@uid)]"
                >ApplicationDomain: SameAs.ExternalItem/@uidRef declared for which there is no
                corresponding ExternalItem @uid</sch:report>
            <sch:report test="./SameAs/ExternalOwlObject[not(@uidRef=//ExternalOwlObject/@uid)]"
                >ApplicationDomain: SameAs.ExternalOwlObject/@uidRef declared for which there is no
                corresponding ExternalOwlObject @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Approval"/>
        <sch:rule context="//ApprovalAssignment">
            <sch:report test="./AssignedApproval[not(@uidRef=//Approval/@uid)]">ApprovalAssignment:
                AssignedApproval/@uidRef declared for which there is no corresponding Approval
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ApprovalRelationship">
            <sch:report test="./Related[not(@uidRef=//Approval/@uid)]">ApprovalRelationship:
                Related/@uidRef declared for which there is no corresponding Approval
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ApprovingPersonOrganization">
            <sch:report
                test="./PersonOrganization[not(@uidRef=//Organization/@uid or @uidRef=//PersonInOrganization/@uid)]"
                >ApprovingPersonOrganization: PersonOrganization/@uidRef declared for which there is
                no corresponding Organization or PersonInOrganization</sch:report>
            <sch:report test="./AuthorizedApproval[not(@uidRef=//Approval/@uid)]"
                >ApprovingPersonOrganization: AuthorizedApproval/@uidRef declared for which there is
                no corresponding Approval @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AssemblyRelationshipSubstitution">
            <sch:report
                test="./SubstituteRelationship[not(@uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid)]"
                >AssemblyRelationshipSubstitution: SubstituteRelationship/@uidRef declared for which
                there is no corresponding
                RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AssignmentObjectRelationship">
            <sch:report
                test="./Relating[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ActivityAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ActivityMethodAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='AddressAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='AnalysisAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ApprovalAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='AssumptionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='CertificationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='CollectionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ConditionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ConditionEvaluationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ContractAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='DateTimeAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='DocumentAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PartialDocumentAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='EffectivityAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='EnvironmentAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='InformationUsageRightAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='JustificationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='JustificationSupportAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='LocationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ObservationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ObservedEnvironmentAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='OrganizationOrPersonInOrganizationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PositionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PositionGroupAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PositionPositionTypeAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PositionTypeAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ProjectAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyDefinitionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyValueAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='QualificationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RequiredResourceAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RequirementAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ResourceAsRealizedAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ResourceItemAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RiskEvent']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RiskImpactAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RiskPerceptionSourceAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeEntryAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeSubjectAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeVersionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SecurityClassificationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SelectedItemAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateDefinitionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskElementAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskMethodAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskMethodVersionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TimeIntervalAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TypeOfPersonAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='WorkOrderAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='WorkOutputAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='WorkRequestAssignment']/@uid)]"
                >AssignmentObjectRelationship: Relating/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='ActivityAssignment' or
                AssignmentObject/@xsi:type='ActivityMethodAssignment' or
                AssignmentObject/@xsi:type='AddressAssignment' or
                AssignmentObject/@xsi:type='AnalysisAssignment' or
                AssignmentObject/@xsi:type='ApprovalAssignment' or
                AssignmentObject/@xsi:type='AssumptionAssignment' or
                AssignmentObject/@xsi:type='CertificationAssignment' or
                AssignmentObject/@xsi:type='CollectionAssignment' or
                AssignmentObject/@xsi:type='ConditionAssignment' or
                AssignmentObject/@xsi:type='ConditionEvaluationAssignment' or
                AssignmentObject/@xsi:type='ContractAssignment' or
                AssignmentObject/@xsi:type='DateTimeAssignment' or
                AssignmentObject/@xsi:type='DocumentAssignment' or
                AssignmentObject/@xsi:type='PartialDocumentAssignment' or
                AssignmentObject/@xsi:type='EffectivityAssignment' or
                AssignmentObject/@xsi:type='EnvironmentAssignment' or
                AssignmentObject/@xsi:type='InformationUsageRightAssignment' or
                AssignmentObject/@xsi:type='JustificationAssignment' or
                AssignmentObject/@xsi:type='JustificationSupportAssignment' or
                AssignmentObject/@xsi:type='LocationAssignment' or
                AssignmentObject/@xsi:type='ObservationAssignment' or
                AssignmentObject/@xsi:type='ObservedEnvironmentAssignment' or
                AssignmentObject/@xsi:type='OrganizationOrPersonInOrganizationAssignment' or
                AssignmentObject/@xsi:type='PositionAssignment' or
                AssignmentObject/@xsi:type='PositionGroupAssignment' or
                AssignmentObject/@xsi:type='PositionPositionTypeAssignment' or
                AssignmentObject/@xsi:type='PositionTypeAssignment' or
                AssignmentObject/@xsi:type='ProjectAssignment' or
                AssignmentObject/@xsi:type='PropertyDefinitionAssignment' or
                AssignmentObject/@xsi:type='PropertyValueAssignment' or
                AssignmentObject/@xsi:type='QualificationAssignment' or
                AssignmentObject/@xsi:type='RequiredResourceAssignment' or
                AssignmentObject/@xsi:type='RequirementAssignment' or
                AssignmentObject/@xsi:type='ResourceAsRealizedAssignment' or
                AssignmentObject/@xsi:type='ResourceItemAssignment' or
                AssignmentObject/@xsi:type='RiskEvent' or
                AssignmentObject/@xsi:type='RiskImpactAssignment' or
                AssignmentObject/@xsi:type='RiskPerceptionSourceAssignment' or
                AssignmentObject/@xsi:type='SchemeEntryAssignment' or
                AssignmentObject/@xsi:type='SchemeSubjectAssignment' or
                AssignmentObject/@xsi:type='SchemeVersionAssignment' or
                AssignmentObject/@xsi:type='SecurityClassificationAssignment' or
                AssignmentObject/@xsi:type='SelectedItemAssignment' or
                AssignmentObject/@xsi:type='StateAssignment' or
                AssignmentObject/@xsi:type='StateDefinitionAssignment' or
                AssignmentObject/@xsi:type='TaskElementAssignment' or
                AssignmentObject/@xsi:type='TaskMethodAssignment' or
                AssignmentObject/@xsi:type='TaskMethodVersionAssignment' or
                AssignmentObject/@xsi:type='TimeIntervalAssignment' or
                AssignmentObject/@xsi:type='TypeOfPersonAssignment' or
                AssignmentObject/@xsi:type='WorkOrderAssignment' or
                AssignmentObject/@xsi:type='WorkOutputAssignment' or
                AssignmentObject/@xsi:type='WorkRequestAssignment' @uid</sch:report>
            <sch:report
                test="./Related[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ActivityAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ActivityMethodAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='AddressAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='AnalysisAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ApprovalAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='AssumptionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='CertificationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='CollectionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ConditionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ConditionEvaluationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ContractAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='DateTimeAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='DocumentAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PartialDocumentAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='EffectivityAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='EnvironmentAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='InformationUsageRightAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='JustificationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='JustificationSupportAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='LocationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ObservationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ObservedEnvironmentAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='OrganizationOrPersonInOrganizationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PositionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PositionGroupAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PositionPositionTypeAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PositionTypeAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ProjectAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyDefinitionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyValueAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='QualificationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RequiredResourceAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RequirementAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ResourceAsRealizedAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ResourceItemAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RiskEvent']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RiskImpactAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RiskPerceptionSourceAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeEntryAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeSubjectAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeVersionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SecurityClassificationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SelectedItemAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateDefinitionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskElementAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskMethodAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskMethodVersionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TimeIntervalAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TypeOfPersonAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='WorkOrderAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='WorkOutputAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='WorkRequestAssignment']/@uid)]"
                >AssignmentObjectRelationship: Related/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='ActivityAssignment' or
                AssignmentObject/@xsi:type='ActivityMethodAssignment' or
                AssignmentObject/@xsi:type='AddressAssignment' or
                AssignmentObject/@xsi:type='AnalysisAssignment' or
                AssignmentObject/@xsi:type='ApprovalAssignment' or
                AssignmentObject/@xsi:type='AssumptionAssignment' or
                AssignmentObject/@xsi:type='CertificationAssignment' or
                AssignmentObject/@xsi:type='CollectionAssignment' or
                AssignmentObject/@xsi:type='ConditionAssignment' or
                AssignmentObject/@xsi:type='ConditionEvaluationAssignment' or
                AssignmentObject/@xsi:type='ContractAssignment' or
                AssignmentObject/@xsi:type='DateTimeAssignment' or
                AssignmentObject/@xsi:type='DocumentAssignment' or
                AssignmentObject/@xsi:type='PartialDocumentAssignment' or
                AssignmentObject/@xsi:type='EffectivityAssignment' or
                AssignmentObject/@xsi:type='EnvironmentAssignment' or
                AssignmentObject/@xsi:type='InformationUsageRightAssignment' or
                AssignmentObject/@xsi:type='JustificationAssignment' or
                AssignmentObject/@xsi:type='JustificationSupportAssignment' or
                AssignmentObject/@xsi:type='LocationAssignment' or
                AssignmentObject/@xsi:type='ObservationAssignment' or
                AssignmentObject/@xsi:type='ObservedEnvironmentAssignment' or
                AssignmentObject/@xsi:type='OrganizationOrPersonInOrganizationAssignment' or
                AssignmentObject/@xsi:type='PositionAssignment' or
                AssignmentObject/@xsi:type='PositionGroupAssignment' or
                AssignmentObject/@xsi:type='PositionPositionTypeAssignment' or
                AssignmentObject/@xsi:type='PositionTypeAssignment' or
                AssignmentObject/@xsi:type='ProjectAssignment' or
                AssignmentObject/@xsi:type='PropertyDefinitionAssignment' or
                AssignmentObject/@xsi:type='PropertyValueAssignment' or
                AssignmentObject/@xsi:type='QualificationAssignment' or
                AssignmentObject/@xsi:type='RequiredResourceAssignment' or
                AssignmentObject/@xsi:type='RequirementAssignment' or
                AssignmentObject/@xsi:type='ResourceAsRealizedAssignment' or
                AssignmentObject/@xsi:type='ResourceItemAssignment' or
                AssignmentObject/@xsi:type='RiskEvent' or
                AssignmentObject/@xsi:type='RiskImpactAssignment' or
                AssignmentObject/@xsi:type='RiskPerceptionSourceAssignment' or
                AssignmentObject/@xsi:type='SchemeEntryAssignment' or
                AssignmentObject/@xsi:type='SchemeSubjectAssignment' or
                AssignmentObject/@xsi:type='SchemeVersionAssignment' or
                AssignmentObject/@xsi:type='SecurityClassificationAssignment' or
                AssignmentObject/@xsi:type='SelectedItemAssignment' or
                AssignmentObject/@xsi:type='StateAssignment' or
                AssignmentObject/@xsi:type='StateDefinitionAssignment' or
                AssignmentObject/@xsi:type='TaskElementAssignment' or
                AssignmentObject/@xsi:type='TaskMethodAssignment' or
                AssignmentObject/@xsi:type='TaskMethodVersionAssignment' or
                AssignmentObject/@xsi:type='TimeIntervalAssignment' or
                AssignmentObject/@xsi:type='TypeOfPersonAssignment' or
                AssignmentObject/@xsi:type='WorkOrderAssignment' or
                AssignmentObject/@xsi:type='WorkOutputAssignment' or
                AssignmentObject/@xsi:type='WorkRequestAssignment' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Assumption"/>
        <sch:rule context="//AssumptionAssignment">
            <sch:report test="./AssignedAssumption[not(@uidRef=//Assumption/@uid)]"
                >AssumptionAssignment: AssignedAssumption/@uidRef declared for which there is no
                corresponding Assumption @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AssumptionRelationship">
            <sch:report test="./Related[not(@uidRef=//Assumption/@uid)]">AssumptionRelationship:
                Related/@uidRef declared for which there is no corresponding Assumption
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AttachmentSlot"/>
        <sch:rule context="//AttachmentSlotAsPlanned"/>
        <sch:rule context="//AttachmentSlotAsRealized"/>
        <sch:rule context="//AttachmentSlotDefinition">
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid)]"
                >AttachmentSlotDefinition: ViewDefinitionOf/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AttachmentSlotDesign"/>
        <sch:rule context="//AttachmentSlotDesignToPlanned">
            <sch:report
                test="./Design[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid)]"
                >AttachmentSlotDesignToPlanned: Design/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='AttachmentSlotDesign' @uid</sch:report>
            <sch:report
                test="./Planned[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid)]"
                >AttachmentSlotDesignToPlanned: Planned/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='AttachmentSlotAsPlanned' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AttachmentSlotDesignToRealized">
            <sch:report
                test="./Design[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid)]"
                >AttachmentSlotDesignToRealized: Design/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='AttachmentSlotDesign' @uid</sch:report>
            <sch:report
                test="./Realized[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid)]"
                >AttachmentSlotDesignToRealized: Realized/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='AttachmentSlotAsRealized' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AttachmentSlotOnProduct">
            <sch:report
                test="./Product[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid)]"
                >AttachmentSlotOnProduct: Product/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' @uid</sch:report>
            <sch:report
                test="./AttachmentSlot[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid)]"
                >AttachmentSlotOnProduct: AttachmentSlot/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='AttachmentSlotDefinition'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AttachmentSlotPlannedToRealized">
            <sch:report
                test="./Planned[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid)]"
                >AttachmentSlotPlannedToRealized: Planned/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='AttachmentSlotAsPlanned' @uid</sch:report>
            <sch:report
                test="./Realized[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid)]"
                >AttachmentSlotPlannedToRealized: Realized/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='AttachmentSlotAsRealized' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AttachmentSlotVersion">
            <sch:report test="./VersionOf[not(@uidRef=//AttachmentSlot/@uid)]"
                >AttachmentSlotVersion: VersionOf/@uidRef declared for which there is no
                corresponding AttachmentSlot @uid</sch:report>
        </sch:rule>
        <sch:rule context="//AxisPlacement"/>
        <sch:rule context="//AxisPlacement2d"/>
        <sch:rule context="//AxisPlacement3d"/>
        <sch:rule context="//AxisPlacementMapping"/>
        <sch:rule context="//Breakdown"/>
        <sch:rule context="//BreakdownContext">
            <sch:report
                test="./Breakdown[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid)]"
                >BreakdownContext: Breakdown/@uidRef declared for which there is no corresponding
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' @uid</sch:report>
            <sch:report
                test="./BreakdownElement[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid)]"
                >BreakdownContext: BreakdownElement/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//BreakdownElement"/>
        <sch:rule context="//BreakdownElementDefinition">
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid)]"
                >BreakdownElementDefinition: ViewDefinitionOf/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//BreakdownElementRealization"/>
        <sch:rule context="//BreakdownElementUsage">
            <sch:report
                test="./Related[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid)]"
                >BreakdownElementUsage: Related/@uidRef declared for which there is no corresponding
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//BreakdownElementVersion">
            <sch:report
                test="./VersionOf[not(@uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid)]"
                >BreakdownElementVersion: VersionOf/@uidRef declared for which there is no
                corresponding BreakdownElement or FunctionalElement or PhysicalElement or
                SystemElement or ZoneElement @uid</sch:report>
        </sch:rule>
        <sch:rule context="//BreakdownOf">
            <sch:report
                test="./OfView[not(@uidRef=//ProductConcept/@uid or @uidRef=//ProductConfiguration/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid)]"
                >BreakdownOf: OfView/@uidRef declared for which there is no corresponding
                ProductConcept or ProductConfiguration or
                ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition'</sch:report>
            <sch:report
                test="./Breakdown[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid)]"
                >BreakdownOf: Breakdown/@uidRef declared for which there is no corresponding
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//BreakdownVersion">
            <sch:report
                test="./VersionOf[not(@uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid)]"
                >BreakdownVersion: VersionOf/@uidRef declared for which there is no corresponding
                Breakdown or FunctionalBreakdown or PhysicalBreakdown or SystemBreakdown or
                ZoneBreakdown @uid</sch:report>
        </sch:rule>
        <sch:rule context="//CartesianPoint"/>
        <sch:rule context="//CartesianTransformation2d"/>
        <sch:rule context="//CartesianTransformation3d"/>
        <sch:rule context="//CausalConsequence">
            <sch:report
                test="./Related[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid)]"
                >CausalConsequence: Related/@uidRef declared for which there is no corresponding
                ProductViewDefinition/@xsi:type='RiskConsequence' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Certification"/>
        <sch:rule context="//CertificationAssignment">
            <sch:report test="./AssignedCertification[not(@uidRef=//Certification/@uid)]"
                >CertificationAssignment: AssignedCertification/@uidRef declared for which there is
                no corresponding Certification @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ChainBasedGeometricItemSpecificUsage">
            <sch:report
                test="./Nodes/GeometricModel[not(@uidRef=//GeometricModel/@uid or @uidRef=//ExternalGeometricModel/@uid or @uidRef=//GeometricPlacementModel/@uid)]"
                >ChainBasedGeometricItemSpecificUsage: Nodes.GeometricModel/@uidRef declared for
                which there is no corresponding GeometricModel or ExternalGeometricModel or
                GeometricPlacementModel @uid</sch:report>
            <sch:report
                test="./UndirectedLink/GeometricCoordinateSpace[not(@uidRef=//GeometricCoordinateSpace[substring-after(@xsi:type, ':')='GeometricCoordinateSpace']/@uid)]"
                >ChainBasedGeometricItemSpecificUsage:
                UndirectedLink.GeometricCoordinateSpace/@uidRef declared for which there is no
                corresponding GeometricCoordinateSpace/@xsi:type='GeometricCoordinateSpace'
                @uid</sch:report>
            <sch:report
                test="./UndirectedLink/GeometricModelRelationship[not(@uidRef=//GeometricModelRelationship/@uid or @uidRef=//GeometricRelationshipWithOperatorTransformation/@uid or @uidRef=//GeometricCompositionWithOperatorTransformation/@uid or @uidRef=//GeometricRelationshipWithPlacementTransformation/@uid or @uidRef=//GeometricCompositionWithPlacementTransformation/@uid)]"
                >ChainBasedGeometricItemSpecificUsage:
                UndirectedLink.GeometricModelRelationship/@uidRef declared for which there is no
                corresponding GeometricModelRelationship or
                GeometricRelationshipWithOperatorTransformation or
                GeometricCompositionWithOperatorTransformation or
                GeometricRelationshipWithPlacementTransformation or
                GeometricCompositionWithPlacementTransformation @uid</sch:report>
            <sch:report
                test="./UndirectedLink/GeometricPlacementOperation[not(@uidRef=//DetailedGeometricModelElement[substring-after(@xsi:type, ':')='GeometricOperatorTransformation']/@uid or @uidRef=//DetailedGeometricModelElement[substring-after(@xsi:type, ':')='GeometricPlacement']/@uid)]"
                >ChainBasedGeometricItemSpecificUsage:
                UndirectedLink.GeometricPlacementOperation/@uidRef declared for which there is no
                corresponding
                DetailedGeometricModelElement/@xsi:type='GeometricOperatorTransformation' or
                DetailedGeometricModelElement/@xsi:type='GeometricPlacement' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Classification">
            <sch:report
                test="not(./@classRef=//ExternalClass/@uid or ./@classRef=//ExternalOwlClass/@uid )"
                >Classification: @classRef declared for which there is no corresponding
                ExternalClass/@uid or ExternalOwlClass/@uid</sch:report>
        </sch:rule>
        <sch:rule context="//ClassificationRelationship">
            <sch:report
                test="./Related[not(@uidRef=//Classification[substring-after(@xsi:type, ':')='Classification']/@uid)]"
                >ClassificationRelationship: Related/@uidRef declared for which there is no
                corresponding Classification/@xsi:type='Classification' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Collection"/>
        <sch:rule context="//CollectionAssignment">
            <sch:report
                test="./AssignedCollection[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid)]"
                >CollectionAssignment: AssignedCollection/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='CollectionViewDefinition'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//CollectionMembership">
            <sch:report
                test="./Member[not(@uidRef=//ExternalTypeQualifier/@uid or @uidRef=//PreDefinedTypeQualifier/@uid or @uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ActivityAssignment']/@uid or @uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ActivityMethodAssignment']/@uid or @uidRef=//ActivityMethodRealization/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ActivityMethodRealizationRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ActivityMethodRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SchemeEntryRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SequencingRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SchemeRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SchemeVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TaskElementRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ElementConstraint']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TaskMethodRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TaskMethodVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ActivityRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ActivityHappening']/@uid or @uidRef=//Address/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='AddressAssignment']/@uid or @uidRef=//AdvisoryNote/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='AnalysisAssignment']/@uid or @uidRef=//Approval/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ApprovalAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ApprovalRelationship']/@uid or @uidRef=//ApprovingPersonOrganization/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AssemblyRelationshipSubstitution']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AssignmentObjectRelationship']/@uid or @uidRef=//Assumption/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='AssumptionAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AssumptionRelationship']/@uid or @uidRef=//AttachmentSlotDesignToPlanned/@uid or @uidRef=//AttachmentSlotDesignToRealized/@uid or @uidRef=//AttachmentSlotOnProduct/@uid or @uidRef=//AttachmentSlotPlannedToRealized/@uid or @uidRef=//AxisPlacementMapping/@uid or @uidRef=//BreakdownContext/@uid or @uidRef=//FunctionalBreakdownContext/@uid or @uidRef=//PhysicalBreakdownContext/@uid or @uidRef=//SystemBreakdownContext/@uid or @uidRef=//ZoneBreakdownContext/@uid or @uidRef=//BreakdownOf[substring-after(@xsi:type, ':')='BreakdownOf']/@uid or @uidRef=//Certification/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='CertificationAssignment']/@uid or @uidRef=//Classification[substring-after(@xsi:type, ':')='Classification']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='CollectionAssignment']/@uid or @uidRef=//CollectionMembership/@uid or @uidRef=//Condition/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ConditionAssignment']/@uid or @uidRef=//ConditionEvaluation/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ConditionEvaluationAssignment']/@uid or @uidRef=//ConditionEvaluationParameter[substring-after(@xsi:type, ':')='ConditionEvaluationParameter']/@uid or @uidRef=//ConditionParameter[substring-after(@xsi:type, ':')='ConditionParameter']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ConditionRelationship']/@uid or @uidRef=//ContextualShapeRepresentation/@uid or @uidRef=//Contract/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ContractAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ContractRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='DateTimeAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='DefinedStateRelationship']/@uid or @uidRef=//Descriptor[substring-after(@xsi:type, ':')='Descriptor']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='DescriptorRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='DocumentAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PartialDocumentAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='DocumentDefinitionRelationship']/@uid or @uidRef=//Effectivity/@uid or @uidRef=//ConditionalEffectivity/@uid or @uidRef=//DatedEffectivity/@uid or @uidRef=//LotEffectivity/@uid or @uidRef=//ProductAsIndividualEffectivity/@uid or @uidRef=//SerialEffectivity/@uid or @uidRef=//TimeIntervalEffectivity/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='EffectivityAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='EffectivityRelationship']/@uid or @uidRef=//Envelope/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='EnvelopeRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='EnvironmentAssignment']/@uid or @uidRef=//Evidence/@uid or @uidRef=//ExperienceGained/@uid or @uidRef=//ExperienceInstance/@uid or @uidRef=//ExperienceType/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ExperienceTypeRelationship']/@uid or @uidRef=//ExternalPropertyDefinition/@uid or @uidRef=//ExternalUnit/@uid or @uidRef=//DigitalFile/@uid or @uidRef=//Hardcopy/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FileRelationship']/@uid or @uidRef=//FunctionValuePair/@uid or @uidRef=//GeometricItemSpecificUsage/@uid or @uidRef=//ChainBasedGeometricItemSpecificUsage/@uid or @uidRef=//Identifier[substring-after(@xsi:type, ':')='Identifier']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='IdentifierRelationship']/@uid or @uidRef=//InformationRight/@uid or @uidRef=//InformationUsageRight/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='InformationUsageRightAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='InformationUsageRightRelationship']/@uid or @uidRef=//InterfaceConnection/@uid or @uidRef=//HierarchicalInterfaceConnection/@uid or @uidRef=//InterfaceConnectorDesignToPlanned/@uid or @uidRef=//InterfaceConnectorDesignToRealized/@uid or @uidRef=//InterfaceConnectorOccurrence/@uid or @uidRef=//InterfaceConnectorPlannedToRealized/@uid or @uidRef=//InterfaceDefinitionConnection/@uid or @uidRef=//InterfaceDefinitionFor/@uid or @uidRef=//InZone/@uid or @uidRef=//ItemAssumed/@uid or @uidRef=//ItemDesignAssociation/@uid or @uidRef=//ContextualItemShape/@uid or @uidRef=//ItemShape/@uid or @uidRef=//ItemUsageEffectivity/@uid or @uidRef=//Justification/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='JustificationAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='JustificationRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='JustificationSupportAssignment']/@uid or @uidRef=//Location/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='LocationAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='LocationRelationship']/@uid or @uidRef=//AddressBasedLocationRepresentation/@uid or @uidRef=//GlobalLocationRepresentation/@uid or @uidRef=//OrganizationBasedLocationRepresentation/@uid or @uidRef=//ProductBasedLocationIdentification/@uid or @uidRef=//RegionalGridLocationRepresentation/@uid or @uidRef=//ManagedResource/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ManagedResourceRelationship']/@uid or @uidRef=//Market/@uid or @uidRef=//MeasureQualification[substring-after(@xsi:type, ':')='MeasureQualification']/@uid or @uidRef=//Message/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='MessageRelationship']/@uid or @uidRef=//NumericalContext/@uid or @uidRef=//Observation/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ObservationAssignment']/@uid or @uidRef=//ObservationConsequence/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ObservationRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ObservedEnvironmentAssignment']/@uid or @uidRef=//ObservedEnvironmentToDefinition/@uid or @uidRef=//ObservedEnvironmentToDefinitionVersion/@uid or @uidRef=//ObservedEnvironmentToDefinitionView/@uid or @uidRef=//Organization/@uid or @uidRef=//OrganizationalLocationIdentification/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='OrganizationOrganizationTypeRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='OrganizationOrPersonInOrganizationAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='OrganizationRelationship']/@uid or @uidRef=//OrganizationType/@uid or @uidRef=//Person/@uid or @uidRef=//PersonInOrganization/@uid or @uidRef=//PersonOrOrganizationOrPersonInOrganizationInPosition/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PersonOrOrganizationOrPersonInOrganizationInPositionRelationship']/@uid or @uidRef=//Position/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PositionAssignment']/@uid or @uidRef=//PositionGroup/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PositionGroupAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PositionGroupRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PositionPositionTypeAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PositionRelationship']/@uid or @uidRef=//PositionType/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PositionTypeAssignment']/@uid or @uidRef=//PrecisionQualifier/@uid or @uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid or @uidRef=//ProductConcept/@uid or @uidRef=//ProductConfiguration/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductConfigurationRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductConfigurationHierarchicalRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductConfigurationRevisionSequence']/@uid or @uidRef=//ProductDefinitionElementRelationship/@uid or @uidRef=//BreakdownElementRealization/@uid or @uidRef=//ProductDesignToIndividual/@uid or @uidRef=//ProductDesignVersionToIndividual/@uid or @uidRef=//ProductDesignViewToIndividual/@uid or @uidRef=//ProductGroup/@uid or @uidRef=//ProductGroupMembership/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductGroupRelationship']/@uid or @uidRef=//ProductPlannedToRealized/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AlternateProductRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AlternatePartRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CollectionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RiskRelationship']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AnalysisVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AnalysisVersionSequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CollectionVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CollectionVersionSequenceRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SuppliedPartRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemVersionSequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//Project/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ProjectAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProjectRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyDefinitionAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PropertyDefinitionRelationship']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityByName']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityNumeric']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDerived']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='DistributionByValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ParameterizedDistribution']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='StringValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueList']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueSet']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='NumericalValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDerivationParameter']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDistributionParameter']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityFunctionValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityNumericValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='RandomVariable']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueLimit']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueRange']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueWithTolerances']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyValueAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PropertyValueRelationship']/@uid or @uidRef=//Proxy[substring-after(@xsi:type, ':')='Proxy']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='QualificationAssignment']/@uid or @uidRef=//QualificationType/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='QualificationTypeRelationship']/@uid or @uidRef=//RegionalCoordinate/@uid or @uidRef=//RelatedConditionParameter/@uid or @uidRef=//RequiredResource/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RequiredResourceAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequiredResourceRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RequirementAssignment']/@uid or @uidRef=//RequirementSatisfiedBy/@uid or @uidRef=//RequirementSource/@uid or @uidRef=//ResourceAsRealized/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ResourceAsRealizedAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ResourceAsRealizedRelationship']/@uid or @uidRef=//DecreasingResourceEvent/@uid or @uidRef=//IncreasingResourceEvent/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ResourceEventCorrespondenceRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ResourceEventRelationship']/@uid or @uidRef=//ResourceItem/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ResourceItemAssignment']/@uid or @uidRef=//ResourceItemRealization/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ResourceItemRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ResourceGroupRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RiskEvent']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RiskImpactAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RiskPerceptionSourceAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeEntryAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeSubjectAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeVersionAssignment']/@uid or @uidRef=//SecurityClassification/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SecurityClassificationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SelectedItemAssignment']/@uid or @uidRef=//ShapeDependentPropertyRepresentation/@uid or @uidRef=//ShapeDescriptionAssociation/@uid or @uidRef=//ShapePlacementAssociation/@uid or @uidRef=//ShapeElement/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ShapeElementRelationship']/@uid or @uidRef=//State/@uid or @uidRef=//StateObserved/@uid or @uidRef=//StatePredicted/@uid or @uidRef=//StateAssertion/@uid or @uidRef=//StateAssessment/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateAssignment']/@uid or @uidRef=//StateDefinition/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateDefinitionAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CompositionOfStateDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SequenceOfStateDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateCauseEffectDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AndStateCauseEffectDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='OrStateCauseEffectDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='XorStateCauseEffectDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateComplementDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateProperSubsetDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateSubsetDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateSymptomDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateTransitionDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CompositionOfState']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SequenceOfState']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateCauseEffect']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StatePredictedToObserved']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateTransition']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskElementAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TaskElementStateRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskMethodAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TaskMethodStateRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskMethodVersionAssignment']/@uid or @uidRef=//TaskObjective/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TaskObjectiveStateRelationship']/@uid or @uidRef=//TimeInterval/@uid or @uidRef=//TimeIntervalWithBounds/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TimeIntervalAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TimeIntervalRelationship']/@uid or @uidRef=//TypeOfPerson/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TypeOfPersonAssignment']/@uid or @uidRef=//TypeOfPersonDefinition/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TypeOfPersonDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TypeOfPersonDefinitionRequiredAttributesRelationship']/@uid or @uidRef=//UncertaintyQualifier/@uid or @uidRef=//QualitativeUncertainty/@uid or @uidRef=//StandardUncertainty/@uid or @uidRef=//ExpandedUncertainty/@uid or @uidRef=//Validation/@uid or @uidRef=//ValueFunction/@uid or @uidRef=//Verification/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='VerificationRelationship']/@uid or @uidRef=//ViewDefinitionContext/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CausalConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='EnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ObservedEnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RelatedConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementCollectionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TracingRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RiskPerceptionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='MakeFromRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductInAttachmentSlot']/@uid or @uidRef=//WorkOrder/@uid or @uidRef=//WorkOutput/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='WorkOutputAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='WorkOutputRelationship']/@uid or @uidRef=//WorkRequest/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='WorkRequestAssignment']/@uid)]"
                >CollectionMembership: Member/@uidRef declared for which there is no corresponding
                ExternalTypeQualifier or PreDefinedTypeQualifier or Activity or ActivityActual or
                DirectedActivity or AssignmentObject/@xsi:type='ActivityAssignment' or
                ActivityMethod or Scheme or ActivityMethod/@xsi:type='SchemeEntry' or
                ActivityMethod/@xsi:type='SchemeVersion' or ActivityMethod/@xsi:type='EndTask' or
                ActivityMethod/@xsi:type='ExitLoop' or ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' or
                AssignmentObject/@xsi:type='ActivityMethodAssignment' or ActivityMethodRealization
                or RelationshipObject/@xsi:type='ActivityMethodRealizationRelationship' or
                RelationshipObject/@xsi:type='ActivityMethodRelationship' or
                RelationshipObject/@xsi:type='SchemeEntryRelationship' or
                RelationshipObject/@xsi:type='SequencingRelationship' or
                RelationshipObject/@xsi:type='SchemeRelationship' or
                RelationshipObject/@xsi:type='SchemeVersionRelationship' or
                RelationshipObject/@xsi:type='TaskElementRelationship' or
                RelationshipObject/@xsi:type='ElementConstraint' or
                RelationshipObject/@xsi:type='TaskMethodRelationship' or
                RelationshipObject/@xsi:type='TaskMethodVersionRelationship' or
                RelationshipObject/@xsi:type='ActivityRelationship' or
                RelationshipObject/@xsi:type='ActivityHappening' or Address or
                AssignmentObject/@xsi:type='AddressAssignment' or AdvisoryNote or
                AssignmentObject/@xsi:type='AnalysisAssignment' or Approval or
                AssignmentObject/@xsi:type='ApprovalAssignment' or
                RelationshipObject/@xsi:type='ApprovalRelationship' or ApprovingPersonOrganization
                or RelationshipObject/@xsi:type='AssemblyRelationshipSubstitution' or
                RelationshipObject/@xsi:type='AssignmentObjectRelationship' or Assumption or
                AssignmentObject/@xsi:type='AssumptionAssignment' or
                RelationshipObject/@xsi:type='AssumptionRelationship' or
                AttachmentSlotDesignToPlanned or AttachmentSlotDesignToRealized or
                AttachmentSlotOnProduct or AttachmentSlotPlannedToRealized or AxisPlacementMapping
                or BreakdownContext or FunctionalBreakdownContext or PhysicalBreakdownContext or
                SystemBreakdownContext or ZoneBreakdownContext or
                BreakdownOf/@xsi:type='BreakdownOf' or Certification or
                AssignmentObject/@xsi:type='CertificationAssignment' or
                Classification/@xsi:type='Classification' or
                AssignmentObject/@xsi:type='CollectionAssignment' or CollectionMembership or
                Condition or AssignmentObject/@xsi:type='ConditionAssignment' or ConditionEvaluation
                or AssignmentObject/@xsi:type='ConditionEvaluationAssignment' or
                ConditionEvaluationParameter/@xsi:type='ConditionEvaluationParameter' or
                ConditionParameter/@xsi:type='ConditionParameter' or
                RelationshipObject/@xsi:type='ConditionRelationship' or
                ContextualShapeRepresentation or Contract or
                AssignmentObject/@xsi:type='ContractAssignment' or
                RelationshipObject/@xsi:type='ContractRelationship' or
                AssignmentObject/@xsi:type='DateTimeAssignment' or
                RelationshipObject/@xsi:type='DefinedStateRelationship' or
                Descriptor/@xsi:type='Descriptor' or
                RelationshipObject/@xsi:type='DescriptorRelationship' or
                AssignmentObject/@xsi:type='DocumentAssignment' or
                AssignmentObject/@xsi:type='PartialDocumentAssignment' or
                RelationshipObject/@xsi:type='DocumentDefinitionRelationship' or Effectivity or
                ConditionalEffectivity or DatedEffectivity or LotEffectivity or
                ProductAsIndividualEffectivity or SerialEffectivity or TimeIntervalEffectivity or
                AssignmentObject/@xsi:type='EffectivityAssignment' or
                RelationshipObject/@xsi:type='EffectivityRelationship' or Envelope or
                RelationshipObject/@xsi:type='EnvelopeRelationship' or
                AssignmentObject/@xsi:type='EnvironmentAssignment' or Evidence or ExperienceGained
                or ExperienceInstance or ExperienceType or
                RelationshipObject/@xsi:type='ExperienceTypeRelationship' or
                ExternalPropertyDefinition or ExternalUnit or DigitalFile or Hardcopy or
                RelationshipObject/@xsi:type='FileRelationship' or FunctionValuePair or
                GeometricItemSpecificUsage or ChainBasedGeometricItemSpecificUsage or
                Identifier/@xsi:type='Identifier' or
                RelationshipObject/@xsi:type='IdentifierRelationship' or InformationRight or
                InformationUsageRight or
                AssignmentObject/@xsi:type='InformationUsageRightAssignment' or
                RelationshipObject/@xsi:type='InformationUsageRightRelationship' or
                InterfaceConnection or HierarchicalInterfaceConnection or
                InterfaceConnectorDesignToPlanned or InterfaceConnectorDesignToRealized or
                InterfaceConnectorOccurrence or InterfaceConnectorPlannedToRealized or
                InterfaceDefinitionConnection or InterfaceDefinitionFor or InZone or ItemAssumed or
                ItemDesignAssociation or ContextualItemShape or ItemShape or ItemUsageEffectivity or
                Justification or AssignmentObject/@xsi:type='JustificationAssignment' or
                RelationshipObject/@xsi:type='JustificationRelationship' or
                AssignmentObject/@xsi:type='JustificationSupportAssignment' or Location or
                AssignmentObject/@xsi:type='LocationAssignment' or
                RelationshipObject/@xsi:type='LocationRelationship' or
                AddressBasedLocationRepresentation or GlobalLocationRepresentation or
                OrganizationBasedLocationRepresentation or ProductBasedLocationIdentification or
                RegionalGridLocationRepresentation or ManagedResource or
                RelationshipObject/@xsi:type='ManagedResourceRelationship' or Market or
                MeasureQualification/@xsi:type='MeasureQualification' or Message or
                RelationshipObject/@xsi:type='MessageRelationship' or NumericalContext or
                Observation or AssignmentObject/@xsi:type='ObservationAssignment' or
                ObservationConsequence or RelationshipObject/@xsi:type='ObservationRelationship' or
                AssignmentObject/@xsi:type='ObservedEnvironmentAssignment' or
                ObservedEnvironmentToDefinition or ObservedEnvironmentToDefinitionVersion or
                ObservedEnvironmentToDefinitionView or Organization or
                OrganizationalLocationIdentification or
                RelationshipObject/@xsi:type='OrganizationOrganizationTypeRelationship' or
                AssignmentObject/@xsi:type='OrganizationOrPersonInOrganizationAssignment' or
                RelationshipObject/@xsi:type='OrganizationRelationship' or OrganizationType or
                Person or PersonInOrganization or
                PersonOrOrganizationOrPersonInOrganizationInPosition or
                RelationshipObject/@xsi:type='PersonOrOrganizationOrPersonInOrganizationInPositionRelationship'
                or Position or AssignmentObject/@xsi:type='PositionAssignment' or PositionGroup or
                AssignmentObject/@xsi:type='PositionGroupAssignment' or
                RelationshipObject/@xsi:type='PositionGroupRelationship' or
                AssignmentObject/@xsi:type='PositionPositionTypeAssignment' or
                RelationshipObject/@xsi:type='PositionRelationship' or PositionType or
                AssignmentObject/@xsi:type='PositionTypeAssignment' or PrecisionQualifier or Product
                or Analysis or AttachmentSlot or Breakdown or FunctionalBreakdown or
                PhysicalBreakdown or SystemBreakdown or ZoneBreakdown or BreakdownElement or
                FunctionalElement or PhysicalElement or SystemElement or ZoneElement or Collection
                or Document or EnvironmentDefinition or InterfaceConnector or InterfaceSpecification
                or ObservedEnvironment or Part or ProductAsIndividual or Requirement or Risk or
                System or ProductConcept or ProductConfiguration or
                RelationshipObject/@xsi:type='ProductConfigurationRelationship' or
                RelationshipObject/@xsi:type='ProductConfigurationHierarchicalRelationship' or
                RelationshipObject/@xsi:type='ProductConfigurationRevisionSequence' or
                ProductDefinitionElementRelationship or BreakdownElementRealization or
                ProductDesignToIndividual or ProductDesignVersionToIndividual or
                ProductDesignViewToIndividual or ProductGroup or ProductGroupMembership or
                RelationshipObject/@xsi:type='ProductGroupRelationship' or ProductPlannedToRealized
                or RelationshipObject/@xsi:type='ProductRelationship' or
                RelationshipObject/@xsi:type='AlternateProductRelationship' or
                RelationshipObject/@xsi:type='AlternatePartRelationship' or
                RelationshipObject/@xsi:type='CollectionRelationship' or
                RelationshipObject/@xsi:type='RiskRelationship' or
                ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                or RelationshipObject/@xsi:type='ProductVersionRelationship' or
                RelationshipObject/@xsi:type='AnalysisVersionRelationship' or
                RelationshipObject/@xsi:type='AnalysisVersionSequence' or
                RelationshipObject/@xsi:type='CollectionVersionRelationship' or
                RelationshipObject/@xsi:type='CollectionVersionSequenceRelationship' or
                RelationshipObject/@xsi:type='RequirementVersionRelationship' or
                RelationshipObject/@xsi:type='SuppliedPartRelationship' or
                RelationshipObject/@xsi:type='SystemVersionRelationship' or
                RelationshipObject/@xsi:type='SystemVersionSequence' or
                ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or Project or
                AssignmentObject/@xsi:type='ProjectAssignment' or
                RelationshipObject/@xsi:type='ProjectRelationship' or
                AssignmentObject/@xsi:type='PropertyDefinitionAssignment' or
                RelationshipObject/@xsi:type='PropertyDefinitionRelationship' or
                PropertyValue/@xsi:type='ProbabilityByName' or
                PropertyValue/@xsi:type='ProbabilityNumeric' or
                PropertyValue/@xsi:type='ProbabilityDerived' or
                PropertyValue/@xsi:type='DistributionByValue' or
                PropertyValue/@xsi:type='ParameterizedDistribution' or
                PropertyValue/@xsi:type='StringValue' or PropertyValue/@xsi:type='ValueList' or
                PropertyValue/@xsi:type='ValueSet' or PropertyValue/@xsi:type='NumericalValue' or
                PropertyValue/@xsi:type='ProbabilityDerivationParameter' or
                PropertyValue/@xsi:type='ProbabilityDistributionParameter' or
                PropertyValue/@xsi:type='ProbabilityFunctionValue' or
                PropertyValue/@xsi:type='ProbabilityNumericValue' or
                PropertyValue/@xsi:type='RandomVariable' or PropertyValue/@xsi:type='ValueLimit' or
                PropertyValue/@xsi:type='ValueRange' or
                PropertyValue/@xsi:type='ValueWithTolerances' or
                AssignmentObject/@xsi:type='PropertyValueAssignment' or
                RelationshipObject/@xsi:type='PropertyValueRelationship' or Proxy/@xsi:type='Proxy'
                or AssignmentObject/@xsi:type='QualificationAssignment' or QualificationType or
                RelationshipObject/@xsi:type='QualificationTypeRelationship' or RegionalCoordinate
                or RelatedConditionParameter or RequiredResource or
                AssignmentObject/@xsi:type='RequiredResourceAssignment' or
                RelationshipObject/@xsi:type='RequiredResourceRelationship' or
                AssignmentObject/@xsi:type='RequirementAssignment' or RequirementSatisfiedBy or
                RequirementSource or ResourceAsRealized or
                AssignmentObject/@xsi:type='ResourceAsRealizedAssignment' or
                RelationshipObject/@xsi:type='ResourceAsRealizedRelationship' or
                DecreasingResourceEvent or IncreasingResourceEvent or
                RelationshipObject/@xsi:type='ResourceEventCorrespondenceRelationship' or
                RelationshipObject/@xsi:type='ResourceEventRelationship' or ResourceItem or
                AssignmentObject/@xsi:type='ResourceItemAssignment' or ResourceItemRealization or
                RelationshipObject/@xsi:type='ResourceItemRelationship' or
                RelationshipObject/@xsi:type='ResourceGroupRelationship' or
                AssignmentObject/@xsi:type='RiskEvent' or
                AssignmentObject/@xsi:type='RiskImpactAssignment' or
                AssignmentObject/@xsi:type='RiskPerceptionSourceAssignment' or
                AssignmentObject/@xsi:type='SchemeEntryAssignment' or
                AssignmentObject/@xsi:type='SchemeSubjectAssignment' or
                AssignmentObject/@xsi:type='SchemeVersionAssignment' or SecurityClassification or
                AssignmentObject/@xsi:type='SecurityClassificationAssignment' or
                AssignmentObject/@xsi:type='SelectedItemAssignment' or
                ShapeDependentPropertyRepresentation or ShapeDescriptionAssociation or
                ShapePlacementAssociation or ShapeElement or
                RelationshipObject/@xsi:type='ShapeElementRelationship' or State or StateObserved or
                StatePredicted or StateAssertion or StateAssessment or
                AssignmentObject/@xsi:type='StateAssignment' or StateDefinition or
                AssignmentObject/@xsi:type='StateDefinitionAssignment' or
                RelationshipObject/@xsi:type='StateDefinitionRelationship' or
                RelationshipObject/@xsi:type='CompositionOfStateDefinition' or
                RelationshipObject/@xsi:type='SequenceOfStateDefinition' or
                RelationshipObject/@xsi:type='StateCauseEffectDefinition' or
                RelationshipObject/@xsi:type='AndStateCauseEffectDefinition' or
                RelationshipObject/@xsi:type='OrStateCauseEffectDefinition' or
                RelationshipObject/@xsi:type='XorStateCauseEffectDefinition' or
                RelationshipObject/@xsi:type='StateComplementDefinition' or
                RelationshipObject/@xsi:type='StateProperSubsetDefinition' or
                RelationshipObject/@xsi:type='StateSubsetDefinition' or
                RelationshipObject/@xsi:type='StateSymptomDefinition' or
                RelationshipObject/@xsi:type='StateTransitionDefinition' or
                RelationshipObject/@xsi:type='StateRelationship' or
                RelationshipObject/@xsi:type='CompositionOfState' or
                RelationshipObject/@xsi:type='SequenceOfState' or
                RelationshipObject/@xsi:type='StateCauseEffect' or
                RelationshipObject/@xsi:type='StatePredictedToObserved' or
                RelationshipObject/@xsi:type='StateTransition' or
                AssignmentObject/@xsi:type='TaskElementAssignment' or
                RelationshipObject/@xsi:type='TaskElementStateRelationship' or
                AssignmentObject/@xsi:type='TaskMethodAssignment' or
                RelationshipObject/@xsi:type='TaskMethodStateRelationship' or
                AssignmentObject/@xsi:type='TaskMethodVersionAssignment' or TaskObjective or
                RelationshipObject/@xsi:type='TaskObjectiveStateRelationship' or TimeInterval or
                TimeIntervalWithBounds or AssignmentObject/@xsi:type='TimeIntervalAssignment' or
                RelationshipObject/@xsi:type='TimeIntervalRelationship' or TypeOfPerson or
                AssignmentObject/@xsi:type='TypeOfPersonAssignment' or TypeOfPersonDefinition or
                RelationshipObject/@xsi:type='TypeOfPersonDefinitionRelationship' or
                RelationshipObject/@xsi:type='TypeOfPersonDefinitionRequiredAttributesRelationship'
                or UncertaintyQualifier or QualitativeUncertainty or StandardUncertainty or
                ExpandedUncertainty or Validation or ValueFunction or Verification or
                RelationshipObject/@xsi:type='VerificationRelationship' or ViewDefinitionContext or
                RelationshipObject/@xsi:type='ViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' or
                RelationshipObject/@xsi:type='CausalConsequence' or
                RelationshipObject/@xsi:type='EnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ObservedEnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RelatedConsequence' or
                RelationshipObject/@xsi:type='RequirementViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RequirementCollectionRelationship' or
                RelationshipObject/@xsi:type='TracingRelationship' or
                RelationshipObject/@xsi:type='RiskPerceptionRelationship' or
                RelationshipObject/@xsi:type='ViewDefinitionUsage' or
                RelationshipObject/@xsi:type='BreakdownElementUsage' or
                RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage' or
                RelationshipObject/@xsi:type='MakeFromRelationship' or
                RelationshipObject/@xsi:type='ProductInAttachmentSlot' or WorkOrder or WorkOutput or
                AssignmentObject/@xsi:type='WorkOutputAssignment' or
                RelationshipObject/@xsi:type='WorkOutputRelationship' or WorkRequest or
                AssignmentObject/@xsi:type='WorkRequestAssignment'</sch:report>
            <sch:report
                test="./OfCollection[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid)]"
                >CollectionMembership: OfCollection/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='CollectionViewDefinition'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//CollectionRelationship">
            <sch:report test="./Related[not(@uidRef=//Collection/@uid)]">CollectionRelationship:
                Related/@uidRef declared for which there is no corresponding Collection
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//CollectionVersion">
            <sch:report test="./VersionOf[not(@uidRef=//Collection/@uid)]">CollectionVersion:
                VersionOf/@uidRef declared for which there is no corresponding Collection
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//CollectionVersionRelationship">
            <sch:report
                test="./Related[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid)]"
                >CollectionVersionRelationship: Related/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='CollectionVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//CollectionVersionSequenceRelationship"/>
        <sch:rule context="//CollectionViewDefinition">
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid)]"
                >CollectionViewDefinition: ViewDefinitionOf/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='CollectionVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ComponentUpperLevelIdentification">
            <sch:report
                test="./SubAssemblyRelationship[not(@uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid)]"
                >ComponentUpperLevelIdentification: SubAssemblyRelationship/@uidRef declared for
                which there is no corresponding RelationshipObject/@xsi:type='NextAssemblyViewUsage'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//CompositionOfState"/>
        <sch:rule context="//CompositionOfStateDefinition"/>
        <sch:rule context="//ConcurrentElements"/>
        <sch:rule context="//Condition"/>
        <sch:rule context="//ConditionalEffectivity">
            <sch:report test="./Condition[not(@uidRef=//Condition/@uid)]">ConditionalEffectivity:
                Condition/@uidRef declared for which there is no corresponding Condition
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ConditionAssignment">
            <sch:report test="./AssignedCondition[not(@uidRef=//Condition/@uid)]"
                >ConditionAssignment: AssignedCondition/@uidRef declared for which there is no
                corresponding Condition @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ConditionEvaluation">
            <sch:report test="./Condition[not(@uidRef=//Condition/@uid)]">ConditionEvaluation:
                Condition/@uidRef declared for which there is no corresponding Condition
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ConditionEvaluationAssignment">
            <sch:report
                test="./AssignedConditionEvaluation[not(@uidRef=//ConditionEvaluation/@uid)]"
                >ConditionEvaluationAssignment: AssignedConditionEvaluation/@uidRef declared for
                which there is no corresponding ConditionEvaluation @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ConditionEvaluationParameter">
            <sch:report
                test="./EvaluationParameter[not(@uidRef=//DateTimeStringProxy/@uid or @uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid or @uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid or @uidRef=//Approval/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ApprovalAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AssignmentObjectRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='CertificationAssignment']/@uid or @uidRef=//Classification[substring-after(@xsi:type, ':')='Classification']/@uid or @uidRef=//Condition/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ConditionRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ContractAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='DateTimeAssignment']/@uid or @uidRef=//Descriptor[substring-after(@xsi:type, ':')='Descriptor']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='DocumentAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PartialDocumentAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='EnvironmentAssignment']/@uid or @uidRef=//Evidence/@uid or @uidRef=//ExternalPropertyDefinition/@uid or @uidRef=//Identifier[substring-after(@xsi:type, ':')='Identifier']/@uid or @uidRef=//InterfaceConnection/@uid or @uidRef=//HierarchicalInterfaceConnection/@uid or @uidRef=//InterfaceConnectorOccurrence/@uid or @uidRef=//InterfaceDefinitionConnection/@uid or @uidRef=//ManagedResource/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ObservationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ObservedEnvironmentAssignment']/@uid or @uidRef=//ObservedEnvironmentToDefinition/@uid or @uidRef=//ObservedEnvironmentToDefinitionVersion/@uid or @uidRef=//ObservedEnvironmentToDefinitionView/@uid or @uidRef=//Organization/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='OrganizationOrPersonInOrganizationAssignment']/@uid or @uidRef=//OrganizationType/@uid or @uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid or @uidRef=//ProductConcept/@uid or @uidRef=//ProductConfiguration/@uid or @uidRef=//ProductDefinitionElementRelationship/@uid or @uidRef=//BreakdownElementRealization/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyDefinitionAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PropertyDefinitionRelationship']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityByName']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityNumeric']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDerived']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='DistributionByValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ParameterizedDistribution']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='StringValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueList']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueSet']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='NumericalValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDerivationParameter']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDistributionParameter']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityFunctionValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityNumericValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='RandomVariable']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueLimit']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueRange']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueWithTolerances']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyValueAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PropertyValueRelationship']/@uid or @uidRef=//Proxy[substring-after(@xsi:type, ':')='Proxy']/@uid or @uidRef=//RequiredResource/@uid or @uidRef=//ResourceAsRealized/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ResourceAsRealizedRelationship']/@uid or @uidRef=//DecreasingResourceEvent/@uid or @uidRef=//IncreasingResourceEvent/@uid or @uidRef=//ResourceItem/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ResourceItemAssignment']/@uid or @uidRef=//ResourceItemRealization/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ResourceItemRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ResourceGroupRelationship']/@uid or @uidRef=//State/@uid or @uidRef=//StateObserved/@uid or @uidRef=//StatePredicted/@uid or @uidRef=//StateDefinition/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateTransitionDefinition']/@uid or @uidRef=//Validation/@uid or @uidRef=//Verification/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='VerificationRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CausalConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='EnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ObservedEnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RelatedConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementCollectionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TracingRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RiskPerceptionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='MakeFromRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductInAttachmentSlot']/@uid or @uidRef=//WorkRequest/@uid)]"
                >ConditionEvaluationParameter: EvaluationParameter/@uidRef declared for which there
                is no corresponding DateTimeStringProxy or Activity or ActivityActual or
                DirectedActivity or ActivityMethod or Scheme or
                ActivityMethod/@xsi:type='SchemeEntry' or ActivityMethod/@xsi:type='SchemeVersion'
                or ActivityMethod/@xsi:type='EndTask' or ActivityMethod/@xsi:type='ExitLoop' or
                ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' or Approval or
                AssignmentObject/@xsi:type='ApprovalAssignment' or
                RelationshipObject/@xsi:type='AssignmentObjectRelationship' or
                AssignmentObject/@xsi:type='CertificationAssignment' or
                Classification/@xsi:type='Classification' or Condition or
                RelationshipObject/@xsi:type='ConditionRelationship' or
                AssignmentObject/@xsi:type='ContractAssignment' or
                AssignmentObject/@xsi:type='DateTimeAssignment' or Descriptor/@xsi:type='Descriptor'
                or AssignmentObject/@xsi:type='DocumentAssignment' or
                AssignmentObject/@xsi:type='PartialDocumentAssignment' or
                AssignmentObject/@xsi:type='EnvironmentAssignment' or Evidence or
                ExternalPropertyDefinition or Identifier/@xsi:type='Identifier' or
                InterfaceConnection or HierarchicalInterfaceConnection or
                InterfaceConnectorOccurrence or InterfaceDefinitionConnection or ManagedResource or
                AssignmentObject/@xsi:type='ObservationAssignment' or
                AssignmentObject/@xsi:type='ObservedEnvironmentAssignment' or
                ObservedEnvironmentToDefinition or ObservedEnvironmentToDefinitionVersion or
                ObservedEnvironmentToDefinitionView or Organization or
                AssignmentObject/@xsi:type='OrganizationOrPersonInOrganizationAssignment' or
                OrganizationType or Product or Analysis or AttachmentSlot or Breakdown or
                FunctionalBreakdown or PhysicalBreakdown or SystemBreakdown or ZoneBreakdown or
                BreakdownElement or FunctionalElement or PhysicalElement or SystemElement or
                ZoneElement or Collection or Document or EnvironmentDefinition or InterfaceConnector
                or InterfaceSpecification or ObservedEnvironment or Part or ProductAsIndividual or
                Requirement or Risk or System or ProductConcept or ProductConfiguration or
                ProductDefinitionElementRelationship or BreakdownElementRealization or
                ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                or ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or
                AssignmentObject/@xsi:type='PropertyDefinitionAssignment' or
                RelationshipObject/@xsi:type='PropertyDefinitionRelationship' or
                PropertyValue/@xsi:type='ProbabilityByName' or
                PropertyValue/@xsi:type='ProbabilityNumeric' or
                PropertyValue/@xsi:type='ProbabilityDerived' or
                PropertyValue/@xsi:type='DistributionByValue' or
                PropertyValue/@xsi:type='ParameterizedDistribution' or
                PropertyValue/@xsi:type='StringValue' or PropertyValue/@xsi:type='ValueList' or
                PropertyValue/@xsi:type='ValueSet' or PropertyValue/@xsi:type='NumericalValue' or
                PropertyValue/@xsi:type='ProbabilityDerivationParameter' or
                PropertyValue/@xsi:type='ProbabilityDistributionParameter' or
                PropertyValue/@xsi:type='ProbabilityFunctionValue' or
                PropertyValue/@xsi:type='ProbabilityNumericValue' or
                PropertyValue/@xsi:type='RandomVariable' or PropertyValue/@xsi:type='ValueLimit' or
                PropertyValue/@xsi:type='ValueRange' or
                PropertyValue/@xsi:type='ValueWithTolerances' or
                AssignmentObject/@xsi:type='PropertyValueAssignment' or
                RelationshipObject/@xsi:type='PropertyValueRelationship' or Proxy/@xsi:type='Proxy'
                or RequiredResource or ResourceAsRealized or
                RelationshipObject/@xsi:type='ResourceAsRealizedRelationship' or
                DecreasingResourceEvent or IncreasingResourceEvent or ResourceItem or
                AssignmentObject/@xsi:type='ResourceItemAssignment' or ResourceItemRealization or
                RelationshipObject/@xsi:type='ResourceItemRelationship' or
                RelationshipObject/@xsi:type='ResourceGroupRelationship' or State or StateObserved
                or StatePredicted or StateDefinition or
                RelationshipObject/@xsi:type='StateTransitionDefinition' or Validation or
                Verification or RelationshipObject/@xsi:type='VerificationRelationship' or
                RelationshipObject/@xsi:type='ViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' or
                RelationshipObject/@xsi:type='CausalConsequence' or
                RelationshipObject/@xsi:type='EnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ObservedEnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RelatedConsequence' or
                RelationshipObject/@xsi:type='RequirementViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RequirementCollectionRelationship' or
                RelationshipObject/@xsi:type='TracingRelationship' or
                RelationshipObject/@xsi:type='RiskPerceptionRelationship' or
                RelationshipObject/@xsi:type='ViewDefinitionUsage' or
                RelationshipObject/@xsi:type='BreakdownElementUsage' or
                RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage' or
                RelationshipObject/@xsi:type='MakeFromRelationship' or
                RelationshipObject/@xsi:type='ProductInAttachmentSlot' or WorkRequest</sch:report>
            <sch:report test="./ConditionEvaluation[not(@uidRef=//ConditionEvaluation/@uid)]"
                >ConditionEvaluationParameter: ConditionEvaluation/@uidRef declared for which there
                is no corresponding ConditionEvaluation @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ConditionParameter">
            <sch:report
                test="./Parameter[not(@uidRef=//DateTimeStringProxy/@uid or @uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid or @uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid or @uidRef=//Approval/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ApprovalAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AssignmentObjectRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='CertificationAssignment']/@uid or @uidRef=//Classification[substring-after(@xsi:type, ':')='Classification']/@uid or @uidRef=//Condition/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ConditionRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ContractAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='DateTimeAssignment']/@uid or @uidRef=//Descriptor[substring-after(@xsi:type, ':')='Descriptor']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='DocumentAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PartialDocumentAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='EnvironmentAssignment']/@uid or @uidRef=//Evidence/@uid or @uidRef=//ExternalPropertyDefinition/@uid or @uidRef=//Identifier[substring-after(@xsi:type, ':')='Identifier']/@uid or @uidRef=//InterfaceConnection/@uid or @uidRef=//HierarchicalInterfaceConnection/@uid or @uidRef=//InterfaceConnectorOccurrence/@uid or @uidRef=//InterfaceDefinitionConnection/@uid or @uidRef=//ManagedResource/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ObservationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ObservedEnvironmentAssignment']/@uid or @uidRef=//ObservedEnvironmentToDefinition/@uid or @uidRef=//ObservedEnvironmentToDefinitionVersion/@uid or @uidRef=//ObservedEnvironmentToDefinitionView/@uid or @uidRef=//Organization/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='OrganizationOrPersonInOrganizationAssignment']/@uid or @uidRef=//OrganizationType/@uid or @uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid or @uidRef=//ProductConcept/@uid or @uidRef=//ProductConfiguration/@uid or @uidRef=//ProductDefinitionElementRelationship/@uid or @uidRef=//BreakdownElementRealization/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyDefinitionAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PropertyDefinitionRelationship']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityByName']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityNumeric']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDerived']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='DistributionByValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ParameterizedDistribution']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='StringValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueList']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueSet']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='NumericalValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDerivationParameter']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDistributionParameter']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityFunctionValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityNumericValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='RandomVariable']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueLimit']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueRange']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueWithTolerances']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyValueAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PropertyValueRelationship']/@uid or @uidRef=//Proxy[substring-after(@xsi:type, ':')='Proxy']/@uid or @uidRef=//RequiredResource/@uid or @uidRef=//ResourceAsRealized/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ResourceAsRealizedRelationship']/@uid or @uidRef=//DecreasingResourceEvent/@uid or @uidRef=//IncreasingResourceEvent/@uid or @uidRef=//ResourceItem/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ResourceItemAssignment']/@uid or @uidRef=//ResourceItemRealization/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ResourceItemRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ResourceGroupRelationship']/@uid or @uidRef=//State/@uid or @uidRef=//StateObserved/@uid or @uidRef=//StatePredicted/@uid or @uidRef=//StateDefinition/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateTransitionDefinition']/@uid or @uidRef=//Validation/@uid or @uidRef=//Verification/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='VerificationRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CausalConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='EnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ObservedEnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RelatedConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementCollectionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TracingRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RiskPerceptionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='MakeFromRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductInAttachmentSlot']/@uid or @uidRef=//WorkRequest/@uid)]"
                >ConditionParameter: Parameter/@uidRef declared for which there is no corresponding
                DateTimeStringProxy or Activity or ActivityActual or DirectedActivity or
                ActivityMethod or Scheme or ActivityMethod/@xsi:type='SchemeEntry' or
                ActivityMethod/@xsi:type='SchemeVersion' or ActivityMethod/@xsi:type='EndTask' or
                ActivityMethod/@xsi:type='ExitLoop' or ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' or Approval or
                AssignmentObject/@xsi:type='ApprovalAssignment' or
                RelationshipObject/@xsi:type='AssignmentObjectRelationship' or
                AssignmentObject/@xsi:type='CertificationAssignment' or
                Classification/@xsi:type='Classification' or Condition or
                RelationshipObject/@xsi:type='ConditionRelationship' or
                AssignmentObject/@xsi:type='ContractAssignment' or
                AssignmentObject/@xsi:type='DateTimeAssignment' or Descriptor/@xsi:type='Descriptor'
                or AssignmentObject/@xsi:type='DocumentAssignment' or
                AssignmentObject/@xsi:type='PartialDocumentAssignment' or
                AssignmentObject/@xsi:type='EnvironmentAssignment' or Evidence or
                ExternalPropertyDefinition or Identifier/@xsi:type='Identifier' or
                InterfaceConnection or HierarchicalInterfaceConnection or
                InterfaceConnectorOccurrence or InterfaceDefinitionConnection or ManagedResource or
                AssignmentObject/@xsi:type='ObservationAssignment' or
                AssignmentObject/@xsi:type='ObservedEnvironmentAssignment' or
                ObservedEnvironmentToDefinition or ObservedEnvironmentToDefinitionVersion or
                ObservedEnvironmentToDefinitionView or Organization or
                AssignmentObject/@xsi:type='OrganizationOrPersonInOrganizationAssignment' or
                OrganizationType or Product or Analysis or AttachmentSlot or Breakdown or
                FunctionalBreakdown or PhysicalBreakdown or SystemBreakdown or ZoneBreakdown or
                BreakdownElement or FunctionalElement or PhysicalElement or SystemElement or
                ZoneElement or Collection or Document or EnvironmentDefinition or InterfaceConnector
                or InterfaceSpecification or ObservedEnvironment or Part or ProductAsIndividual or
                Requirement or Risk or System or ProductConcept or ProductConfiguration or
                ProductDefinitionElementRelationship or BreakdownElementRealization or
                ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                or ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or
                AssignmentObject/@xsi:type='PropertyDefinitionAssignment' or
                RelationshipObject/@xsi:type='PropertyDefinitionRelationship' or
                PropertyValue/@xsi:type='ProbabilityByName' or
                PropertyValue/@xsi:type='ProbabilityNumeric' or
                PropertyValue/@xsi:type='ProbabilityDerived' or
                PropertyValue/@xsi:type='DistributionByValue' or
                PropertyValue/@xsi:type='ParameterizedDistribution' or
                PropertyValue/@xsi:type='StringValue' or PropertyValue/@xsi:type='ValueList' or
                PropertyValue/@xsi:type='ValueSet' or PropertyValue/@xsi:type='NumericalValue' or
                PropertyValue/@xsi:type='ProbabilityDerivationParameter' or
                PropertyValue/@xsi:type='ProbabilityDistributionParameter' or
                PropertyValue/@xsi:type='ProbabilityFunctionValue' or
                PropertyValue/@xsi:type='ProbabilityNumericValue' or
                PropertyValue/@xsi:type='RandomVariable' or PropertyValue/@xsi:type='ValueLimit' or
                PropertyValue/@xsi:type='ValueRange' or
                PropertyValue/@xsi:type='ValueWithTolerances' or
                AssignmentObject/@xsi:type='PropertyValueAssignment' or
                RelationshipObject/@xsi:type='PropertyValueRelationship' or Proxy/@xsi:type='Proxy'
                or RequiredResource or ResourceAsRealized or
                RelationshipObject/@xsi:type='ResourceAsRealizedRelationship' or
                DecreasingResourceEvent or IncreasingResourceEvent or ResourceItem or
                AssignmentObject/@xsi:type='ResourceItemAssignment' or ResourceItemRealization or
                RelationshipObject/@xsi:type='ResourceItemRelationship' or
                RelationshipObject/@xsi:type='ResourceGroupRelationship' or State or StateObserved
                or StatePredicted or StateDefinition or
                RelationshipObject/@xsi:type='StateTransitionDefinition' or Validation or
                Verification or RelationshipObject/@xsi:type='VerificationRelationship' or
                RelationshipObject/@xsi:type='ViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' or
                RelationshipObject/@xsi:type='CausalConsequence' or
                RelationshipObject/@xsi:type='EnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ObservedEnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RelatedConsequence' or
                RelationshipObject/@xsi:type='RequirementViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RequirementCollectionRelationship' or
                RelationshipObject/@xsi:type='TracingRelationship' or
                RelationshipObject/@xsi:type='RiskPerceptionRelationship' or
                RelationshipObject/@xsi:type='ViewDefinitionUsage' or
                RelationshipObject/@xsi:type='BreakdownElementUsage' or
                RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage' or
                RelationshipObject/@xsi:type='MakeFromRelationship' or
                RelationshipObject/@xsi:type='ProductInAttachmentSlot' or WorkRequest</sch:report>
            <sch:report test="./Condition[not(@uidRef=//Condition/@uid)]">ConditionParameter:
                Condition/@uidRef declared for which there is no corresponding Condition
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ConditionRelationship">
            <sch:report test="./Related[not(@uidRef=//Condition/@uid)]">ConditionRelationship:
                Related/@uidRef declared for which there is no corresponding Condition
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ContextualItemShape">
            <sch:report
                test="./DescribedElement[not(@uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CausalConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='EnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ObservedEnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RelatedConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementCollectionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TracingRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RiskPerceptionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='MakeFromRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductInAttachmentSlot']/@uid)]"
                >ContextualItemShape: DescribedElement/@uidRef declared for which there is no
                corresponding RelationshipObject/@xsi:type='ViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' or
                RelationshipObject/@xsi:type='CausalConsequence' or
                RelationshipObject/@xsi:type='EnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ObservedEnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RelatedConsequence' or
                RelationshipObject/@xsi:type='RequirementViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RequirementCollectionRelationship' or
                RelationshipObject/@xsi:type='TracingRelationship' or
                RelationshipObject/@xsi:type='RiskPerceptionRelationship' or
                RelationshipObject/@xsi:type='ViewDefinitionUsage' or
                RelationshipObject/@xsi:type='BreakdownElementUsage' or
                RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage' or
                RelationshipObject/@xsi:type='MakeFromRelationship' or
                RelationshipObject/@xsi:type='ProductInAttachmentSlot' @uid</sch:report>
            <sch:report
                test="./ShapedProduct[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid)]"
                >ContextualItemShape: ShapedProduct/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ContextualShapeRepresentation">
            <sch:report test="./ContextualShape[not(@uidRef=//ContextualItemShape/@uid)]"
                >ContextualShapeRepresentation: ContextualShape/@uidRef declared for which there is
                no corresponding ContextualItemShape @uid</sch:report>
            <sch:report
                test="./RepresentingRelationship[not(@uidRef=//GeometricModelRelationship/@uid or @uidRef=//GeometricRelationshipWithOperatorTransformation/@uid or @uidRef=//GeometricCompositionWithOperatorTransformation/@uid or @uidRef=//GeometricRelationshipWithPlacementTransformation/@uid or @uidRef=//GeometricCompositionWithPlacementTransformation/@uid)]"
                >ContextualShapeRepresentation: RepresentingRelationship/@uidRef declared for which
                there is no corresponding GeometricModelRelationship or
                GeometricRelationshipWithOperatorTransformation or
                GeometricCompositionWithOperatorTransformation or
                GeometricRelationshipWithPlacementTransformation or
                GeometricCompositionWithPlacementTransformation @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Contract"/>
        <sch:rule context="//ContractAssignment">
            <sch:report test="./AssignedContract[not(@uidRef=//Contract/@uid)]">ContractAssignment:
                AssignedContract/@uidRef declared for which there is no corresponding Contract
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ContractRelationship">
            <sch:report test="./Related[not(@uidRef=//Contract/@uid)]">ContractRelationship:
                Related/@uidRef declared for which there is no corresponding Contract
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//DatedEffectivity">
            <sch:report
                test="./StartBoundActivity[not(@uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid)]"
                >DatedEffectivity: StartBoundActivity/@uidRef declared for which there is no
                corresponding Activity or ActivityActual or DirectedActivity @uid</sch:report>
            <sch:report
                test="./EndBoundActivity[not(@uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid)]"
                >DatedEffectivity: EndBoundActivity/@uidRef declared for which there is no
                corresponding Activity or ActivityActual or DirectedActivity @uid</sch:report>
        </sch:rule>
        <sch:rule context="//DateTimeAssignment"/>
        <sch:rule context="//DecisionPoint">
            <sch:report test="./Condition[not(@uidRef=//Condition/@uid)]">DecisionPoint:
                Condition/@uidRef declared for which there is no corresponding Condition
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//DecreasingResourceEvent"/>
        <sch:rule context="//DefinedStateRelationship">
            <sch:report test="./DefinitiveState[not(@uidRef=//StateAssertion/@uid)]"
                >DefinedStateRelationship: DefinitiveState/@uidRef declared for which there is no
                corresponding StateAssertion @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Descriptor">
            <sch:report
                test="./DescriptionContext/Identifier[not(@uidRef=//Identifier[substring-after(@xsi:type, ':')='Identifier']/@uid)]"
                >Descriptor: DescriptionContext.Identifier/@uidRef declared for which there is no
                corresponding Identifier/@xsi:type='Identifier' @uid</sch:report>
            <sch:report test="./DescriptionContext/Organization[not(@uidRef=//Organization/@uid)]"
                >Descriptor: DescriptionContext.Organization/@uidRef declared for which there is no
                corresponding Organization @uid</sch:report>
        </sch:rule>
        <sch:rule context="//DescriptorRelationship">
            <sch:report
                test="./Related[not(@uidRef=//Descriptor[substring-after(@xsi:type, ':')='Descriptor']/@uid)]"
                >DescriptorRelationship: Related/@uidRef declared for which there is no
                corresponding Descriptor/@xsi:type='Descriptor' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//DigitalDocumentDefinition">
            <sch:report test="./Files/DigitalFile[not(@uidRef=//DigitalFile/@uid)]"
                >DigitalDocumentDefinition: Files.DigitalFile/@uidRef declared for which there is no
                corresponding DigitalFile @uid</sch:report>
        </sch:rule>
        <sch:rule context="//DigitalFile"/>
        <sch:rule context="//DirectedActivity">
            <sch:report test="./Directive[not(@uidRef=//WorkOrder/@uid)]">DirectedActivity:
                Directive/@uidRef declared for which there is no corresponding WorkOrder
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Direction"/>
        <sch:rule context="//DistributionByValue">
            <sch:report test="./DefinedFunction[not(@uidRef=//ValueFunction/@uid)]"
                >DistributionByValue: DefinedFunction/@uidRef declared for which there is no
                corresponding ValueFunction @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Document"/>
        <sch:rule context="//DocumentAssignment">
            <sch:report
                test="./AssignedDocument[not(@uidRef=//Document/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//DigitalFile/@uid or @uidRef=//Hardcopy/@uid)]"
                >DocumentAssignment: AssignedDocument/@uidRef declared for which there is no
                corresponding Document or ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductVersion/@xsi:type='DocumentVersion' or DigitalFile or Hardcopy</sch:report>
        </sch:rule>
        <sch:rule context="//DocumentDefinition">
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid)]"
                >DocumentDefinition: ViewDefinitionOf/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='DocumentVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//DocumentDefinitionRelationship">
            <sch:report
                test="./Related[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid)]"
                >DocumentDefinitionRelationship: Related/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//DocumentVersion">
            <sch:report test="./VersionOf[not(@uidRef=//Document/@uid)]">DocumentVersion:
                VersionOf/@uidRef declared for which there is no corresponding Document
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Effectivity"/>
        <sch:rule context="//EffectivityAssignment">
            <sch:report
                test="./AssignedEffectivity[not(@uidRef=//Effectivity/@uid or @uidRef=//ConditionalEffectivity/@uid or @uidRef=//DatedEffectivity/@uid or @uidRef=//LotEffectivity/@uid or @uidRef=//ProductAsIndividualEffectivity/@uid or @uidRef=//SerialEffectivity/@uid or @uidRef=//TimeIntervalEffectivity/@uid)]"
                >EffectivityAssignment: AssignedEffectivity/@uidRef declared for which there is no
                corresponding Effectivity or ConditionalEffectivity or DatedEffectivity or
                LotEffectivity or ProductAsIndividualEffectivity or SerialEffectivity or
                TimeIntervalEffectivity @uid</sch:report>
        </sch:rule>
        <sch:rule context="//EffectivityRelationship">
            <sch:report
                test="./Related[not(@uidRef=//Effectivity/@uid or @uidRef=//ConditionalEffectivity/@uid or @uidRef=//DatedEffectivity/@uid or @uidRef=//LotEffectivity/@uid or @uidRef=//ProductAsIndividualEffectivity/@uid or @uidRef=//SerialEffectivity/@uid or @uidRef=//TimeIntervalEffectivity/@uid)]"
                >EffectivityRelationship: Related/@uidRef declared for which there is no
                corresponding Effectivity or ConditionalEffectivity or DatedEffectivity or
                LotEffectivity or ProductAsIndividualEffectivity or SerialEffectivity or
                TimeIntervalEffectivity @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ElementConstraint">
            <sch:report
                test="./AppliesIn[not(@uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid)]"
                >ElementConstraint: AppliesIn/@uidRef declared for which there is no corresponding
                ActivityMethod/@xsi:type='EndTask' or ActivityMethod/@xsi:type='ExitLoop' or
                ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or
                ActivityMethod/@xsi:type='TaskMethodVersion'</sch:report>
        </sch:rule>
        <sch:rule context="//EndTask"/>
        <sch:rule context="//Envelope">
            <sch:report test="./Wrapping[not(@uidRef=//Message/@uid)]">Envelope: Wrapping/@uidRef
                declared for which there is no corresponding Message @uid</sch:report>
        </sch:rule>
        <sch:rule context="//EnvelopeRelationship">
            <sch:report test="./Related[not(@uidRef=//Envelope/@uid)]">EnvelopeRelationship:
                Related/@uidRef declared for which there is no corresponding Envelope
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//EnvironmentAssignment">
            <sch:report
                test="./AssignedEnvironment[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid)]"
                >EnvironmentAssignment: AssignedEnvironment/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='EnvironmentDefinitionView'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//EnvironmentDefinition"/>
        <sch:rule context="//EnvironmentDefinitionVersion">
            <sch:report test="./VersionOf[not(@uidRef=//EnvironmentDefinition/@uid)]"
                >EnvironmentDefinitionVersion: VersionOf/@uidRef declared for which there is no
                corresponding EnvironmentDefinition @uid</sch:report>
        </sch:rule>
        <sch:rule context="//EnvironmentDefinitionView">
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid)]"
                >EnvironmentDefinitionView: ViewDefinitionOf/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='EnvironmentDefinitionVersion'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//EnvironmentViewDefinitionRelationship">
            <sch:report
                test="./Related[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid)]"
                >EnvironmentViewDefinitionRelationship: Related/@uidRef declared for which there is
                no corresponding ProductViewDefinition/@xsi:type='EnvironmentDefinitionView'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Evidence">
            <sch:report
                test="./Supports[not(@uidRef=//Validation/@uid or @uidRef=//Verification/@uid)]"
                >Evidence: Supports/@uidRef declared for which there is no corresponding Validation
                or Verification</sch:report>
            <sch:report test="./Items/ActivityActual[not(@uidRef=//ActivityActual/@uid)]">Evidence:
                Items.ActivityActual/@uidRef declared for which there is no corresponding
                ActivityActual @uid</sch:report>
            <sch:report
                test="./Items/ActivityAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ActivityAssignment']/@uid)]"
                >Evidence: Items.ActivityAssignment/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='ActivityAssignment' @uid</sch:report>
            <sch:report
                test="./Items/ActivityMethod[not(@uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid)]"
                >Evidence: Items.ActivityMethod/@uidRef declared for which there is no corresponding
                ActivityMethod or Scheme or ActivityMethod/@xsi:type='SchemeEntry' or
                ActivityMethod/@xsi:type='SchemeVersion' or ActivityMethod/@xsi:type='EndTask' or
                ActivityMethod/@xsi:type='ExitLoop' or ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' @uid</sch:report>
            <sch:report
                test="./Items/ActivityRelationship[not(@uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ActivityRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ActivityHappening']/@uid)]"
                >Evidence: Items.ActivityRelationship/@uidRef declared for which there is no
                corresponding RelationshipObject/@xsi:type='ActivityRelationship' or
                RelationshipObject/@xsi:type='ActivityHappening' @uid</sch:report>
            <sch:report
                test="./Items/AnalysisAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='AnalysisAssignment']/@uid)]"
                >Evidence: Items.AnalysisAssignment/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='AnalysisAssignment' @uid</sch:report>
            <sch:report
                test="./Items/ApprovalAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ApprovalAssignment']/@uid)]"
                >Evidence: Items.ApprovalAssignment/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='ApprovalAssignment' @uid</sch:report>
            <sch:report
                test="./Items/CertificationAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='CertificationAssignment']/@uid)]"
                >Evidence: Items.CertificationAssignment/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='CertificationAssignment' @uid</sch:report>
            <sch:report
                test="./Items/Classification[not(@uidRef=//Classification[substring-after(@xsi:type, ':')='Classification']/@uid)]"
                >Evidence: Items.Classification/@uidRef declared for which there is no corresponding
                Classification/@xsi:type='Classification' @uid</sch:report>
            <sch:report
                test="./Items/ContractAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ContractAssignment']/@uid)]"
                >Evidence: Items.ContractAssignment/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='ContractAssignment' @uid</sch:report>
            <sch:report
                test="./Items/DateTimeAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='DateTimeAssignment']/@uid)]"
                >Evidence: Items.DateTimeAssignment/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='DateTimeAssignment' @uid</sch:report>
            <sch:report
                test="./Items/EffectivityAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='EffectivityAssignment']/@uid)]"
                >Evidence: Items.EffectivityAssignment/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='EffectivityAssignment' @uid</sch:report>
            <sch:report
                test="./Items/EnvironmentAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='EnvironmentAssignment']/@uid)]"
                >Evidence: Items.EnvironmentAssignment/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='EnvironmentAssignment' @uid</sch:report>
            <sch:report
                test="./Items/InformationUsageRightAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='InformationUsageRightAssignment']/@uid)]"
                >Evidence: Items.InformationUsageRightAssignment/@uidRef declared for which there is
                no corresponding AssignmentObject/@xsi:type='InformationUsageRightAssignment'
                @uid</sch:report>
            <sch:report
                test="./Items/JustificationAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='JustificationAssignment']/@uid)]"
                >Evidence: Items.JustificationAssignment/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='JustificationAssignment' @uid</sch:report>
            <sch:report
                test="./Items/JustificationRelationship[not(@uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='JustificationRelationship']/@uid)]"
                >Evidence: Items.JustificationRelationship/@uidRef declared for which there is no
                corresponding RelationshipObject/@xsi:type='JustificationRelationship'
                @uid</sch:report>
            <sch:report
                test="./Items/JustificationSupportAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='JustificationSupportAssignment']/@uid)]"
                >Evidence: Items.JustificationSupportAssignment/@uidRef declared for which there is
                no corresponding AssignmentObject/@xsi:type='JustificationSupportAssignment'
                @uid</sch:report>
            <sch:report
                test="./Items/ObservationAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ObservationAssignment']/@uid)]"
                >Evidence: Items.ObservationAssignment/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='ObservationAssignment' @uid</sch:report>
            <sch:report
                test="./Items/ObservedEnvironmentAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ObservedEnvironmentAssignment']/@uid)]"
                >Evidence: Items.ObservedEnvironmentAssignment/@uidRef declared for which there is
                no corresponding AssignmentObject/@xsi:type='ObservedEnvironmentAssignment'
                @uid</sch:report>
            <sch:report
                test="./Items/ObservedEnvironmentToDefinition[not(@uidRef=//ObservedEnvironmentToDefinition/@uid)]"
                >Evidence: Items.ObservedEnvironmentToDefinition/@uidRef declared for which there is
                no corresponding ObservedEnvironmentToDefinition @uid</sch:report>
            <sch:report
                test="./Items/ObservedEnvironmentToDefinitionVersion[not(@uidRef=//ObservedEnvironmentToDefinitionVersion/@uid)]"
                >Evidence: Items.ObservedEnvironmentToDefinitionVersion/@uidRef declared for which
                there is no corresponding ObservedEnvironmentToDefinitionVersion @uid</sch:report>
            <sch:report
                test="./Items/ObservedEnvironmentToDefinitionView[not(@uidRef=//ObservedEnvironmentToDefinitionView/@uid)]"
                >Evidence: Items.ObservedEnvironmentToDefinitionView/@uidRef declared for which
                there is no corresponding ObservedEnvironmentToDefinitionView @uid</sch:report>
            <sch:report
                test="./Items/OrganizationOrPersonInOrganizationAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='OrganizationOrPersonInOrganizationAssignment']/@uid)]"
                >Evidence: Items.OrganizationOrPersonInOrganizationAssignment/@uidRef declared for
                which there is no corresponding
                AssignmentObject/@xsi:type='OrganizationOrPersonInOrganizationAssignment'
                @uid</sch:report>
            <sch:report
                test="./Items/PersonInOrganization[not(@uidRef=//PersonInOrganization/@uid)]"
                >Evidence: Items.PersonInOrganization/@uidRef declared for which there is no
                corresponding PersonInOrganization @uid</sch:report>
            <sch:report
                test="./Items/Product[not(@uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid)]"
                >Evidence: Items.Product/@uidRef declared for which there is no corresponding
                Product or Analysis or AttachmentSlot or Breakdown or FunctionalBreakdown or
                PhysicalBreakdown or SystemBreakdown or ZoneBreakdown or BreakdownElement or
                FunctionalElement or PhysicalElement or SystemElement or ZoneElement or Collection
                or Document or EnvironmentDefinition or InterfaceConnector or InterfaceSpecification
                or ObservedEnvironment or Part or ProductAsIndividual or Requirement or Risk or
                System @uid</sch:report>
            <sch:report
                test="./Items/ProductVersion[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid)]"
                >Evidence: Items.ProductVersion/@uidRef declared for which there is no corresponding
                ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                @uid</sch:report>
            <sch:report
                test="./Items/ProductVersionRelationship[not(@uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AnalysisVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AnalysisVersionSequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CollectionVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CollectionVersionSequenceRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SuppliedPartRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemVersionSequence']/@uid)]"
                >Evidence: Items.ProductVersionRelationship/@uidRef declared for which there is no
                corresponding RelationshipObject/@xsi:type='ProductVersionRelationship' or
                RelationshipObject/@xsi:type='AnalysisVersionRelationship' or
                RelationshipObject/@xsi:type='AnalysisVersionSequence' or
                RelationshipObject/@xsi:type='CollectionVersionRelationship' or
                RelationshipObject/@xsi:type='CollectionVersionSequenceRelationship' or
                RelationshipObject/@xsi:type='RequirementVersionRelationship' or
                RelationshipObject/@xsi:type='SuppliedPartRelationship' or
                RelationshipObject/@xsi:type='SystemVersionRelationship' or
                RelationshipObject/@xsi:type='SystemVersionSequence' @uid</sch:report>
            <sch:report
                test="./Items/ProductViewDefinition[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid)]"
                >Evidence: Items.ProductViewDefinition/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' @uid</sch:report>
            <sch:report
                test="./Items/ProjectAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ProjectAssignment']/@uid)]"
                >Evidence: Items.ProjectAssignment/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='ProjectAssignment' @uid</sch:report>
            <sch:report
                test="./Items/PropertyDefinitionAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyDefinitionAssignment']/@uid)]"
                >Evidence: Items.PropertyDefinitionAssignment/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='PropertyDefinitionAssignment'
                @uid</sch:report>
            <sch:report
                test="./Items/PropertyValue[not(@uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityByName']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityNumeric']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDerived']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='DistributionByValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ParameterizedDistribution']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='StringValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueList']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueSet']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='NumericalValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDerivationParameter']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDistributionParameter']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityFunctionValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityNumericValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='RandomVariable']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueLimit']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueRange']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueWithTolerances']/@uid)]"
                >Evidence: Items.PropertyValue/@uidRef declared for which there is no corresponding
                PropertyValue/@xsi:type='ProbabilityByName' or
                PropertyValue/@xsi:type='ProbabilityNumeric' or
                PropertyValue/@xsi:type='ProbabilityDerived' or
                PropertyValue/@xsi:type='DistributionByValue' or
                PropertyValue/@xsi:type='ParameterizedDistribution' or
                PropertyValue/@xsi:type='StringValue' or PropertyValue/@xsi:type='ValueList' or
                PropertyValue/@xsi:type='ValueSet' or PropertyValue/@xsi:type='NumericalValue' or
                PropertyValue/@xsi:type='ProbabilityDerivationParameter' or
                PropertyValue/@xsi:type='ProbabilityDistributionParameter' or
                PropertyValue/@xsi:type='ProbabilityFunctionValue' or
                PropertyValue/@xsi:type='ProbabilityNumericValue' or
                PropertyValue/@xsi:type='RandomVariable' or PropertyValue/@xsi:type='ValueLimit' or
                PropertyValue/@xsi:type='ValueRange' or
                PropertyValue/@xsi:type='ValueWithTolerances' @uid</sch:report>
            <sch:report
                test="./Items/PropertyValueAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyValueAssignment']/@uid)]"
                >Evidence: Items.PropertyValueAssignment/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='PropertyValueAssignment' @uid</sch:report>
            <sch:report
                test="./Items/Proxy[not(@uidRef=//Proxy[substring-after(@xsi:type, ':')='Proxy']/@uid)]"
                >Evidence: Items.Proxy/@uidRef declared for which there is no corresponding
                Proxy/@xsi:type='Proxy' @uid</sch:report>
            <sch:report
                test="./Items/RiskImpactAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RiskImpactAssignment']/@uid)]"
                >Evidence: Items.RiskImpactAssignment/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='RiskImpactAssignment' @uid</sch:report>
            <sch:report
                test="./Items/SecurityClassificationAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SecurityClassificationAssignment']/@uid)]"
                >Evidence: Items.SecurityClassificationAssignment/@uidRef declared for which there
                is no corresponding AssignmentObject/@xsi:type='SecurityClassificationAssignment'
                @uid</sch:report>
            <sch:report test="./Items/Validation[not(@uidRef=//Validation/@uid)]">Evidence:
                Items.Validation/@uidRef declared for which there is no corresponding Validation
                @uid</sch:report>
            <sch:report test="./Items/Verification[not(@uidRef=//Verification/@uid)]">Evidence:
                Items.Verification/@uidRef declared for which there is no corresponding Verification
                @uid</sch:report>
            <sch:report
                test="./Items/ViewDefinitionRelationship[not(@uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CausalConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='EnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ObservedEnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RelatedConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementCollectionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TracingRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RiskPerceptionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='MakeFromRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductInAttachmentSlot']/@uid)]"
                >Evidence: Items.ViewDefinitionRelationship/@uidRef declared for which there is no
                corresponding RelationshipObject/@xsi:type='ViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' or
                RelationshipObject/@xsi:type='CausalConsequence' or
                RelationshipObject/@xsi:type='EnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ObservedEnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RelatedConsequence' or
                RelationshipObject/@xsi:type='RequirementViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RequirementCollectionRelationship' or
                RelationshipObject/@xsi:type='TracingRelationship' or
                RelationshipObject/@xsi:type='RiskPerceptionRelationship' or
                RelationshipObject/@xsi:type='ViewDefinitionUsage' or
                RelationshipObject/@xsi:type='BreakdownElementUsage' or
                RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage' or
                RelationshipObject/@xsi:type='MakeFromRelationship' or
                RelationshipObject/@xsi:type='ProductInAttachmentSlot' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ExchangeContextClassLibrary"/>
        <sch:rule context="//ExitLoop"/>
        <sch:rule context="//ExpandedUncertainty"/>
        <sch:rule context="//ExperienceGained">
            <sch:report test="./ExperienceOf[not(@uidRef=//ExperienceInstance/@uid)]"
                >ExperienceGained: ExperienceOf/@uidRef declared for which there is no corresponding
                ExperienceInstance @uid</sch:report>
            <sch:report
                test="./GainedBy[not(@uidRef=//Organization/@uid or @uidRef=//Person/@uid or @uidRef=//PersonInOrganization/@uid)]"
                >ExperienceGained: GainedBy/@uidRef declared for which there is no corresponding
                Organization or Person or PersonInOrganization</sch:report>
        </sch:rule>
        <sch:rule context="//ExperienceInstance">
            <sch:report test="./IsDefinedBy[not(@uidRef=//ExperienceType/@uid)]">ExperienceInstance:
                IsDefinedBy/@uidRef declared for which there is no corresponding ExperienceType
                @uid</sch:report>
            <sch:report
                test="./ConsistsOf[not(@uidRef=//ActivityActual/@uid or @uidRef=//ResourceAsRealized/@uid)]"
                >ExperienceInstance: ConsistsOf/@uidRef declared for which there is no corresponding
                ActivityActual or ResourceAsRealized</sch:report>
        </sch:rule>
        <sch:rule context="//ExperienceType">
            <sch:report
                test="./ConsistsOf[not(@uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid or @uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid or @uidRef=//RequiredResource/@uid)]"
                >ExperienceType: ConsistsOf/@uidRef declared for which there is no corresponding
                Activity or ActivityActual or DirectedActivity or ActivityMethod or Scheme or
                ActivityMethod/@xsi:type='SchemeEntry' or ActivityMethod/@xsi:type='SchemeVersion'
                or ActivityMethod/@xsi:type='EndTask' or ActivityMethod/@xsi:type='ExitLoop' or
                ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' or RequiredResource</sch:report>
        </sch:rule>
        <sch:rule context="//ExperienceTypeRelationship">
            <sch:report test="./ComponentExperience[not(@uidRef=//ExperienceType/@uid)]"
                >ExperienceTypeRelationship: ComponentExperience/@uidRef declared for which there is
                no corresponding ExperienceType @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ExternalAnalysisModel">
            <sch:report test="./ExternalFile[not(@uidRef=//DigitalFile/@uid)]"
                >ExternalAnalysisModel: ExternalFile/@uidRef declared for which there is no
                corresponding DigitalFile @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ExternalClass">
            <sch:report
                test="./Source[not(@uidRef=//Document/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//Identifier[substring-after(@xsi:type, ':')='Identifier']/@uid)]"
                >ExternalClass: Source/@uidRef declared for which there is no corresponding Document
                or ProductVersion/@xsi:type='DocumentVersion' or
                Identifier/@xsi:type='Identifier'</sch:report>
        </sch:rule>
        <sch:rule context="//ExternalGeometricModel">
            <sch:report test="./ExternalFile[not(@uidRef=//DigitalFile/@uid)]"
                >ExternalGeometricModel: ExternalFile/@uidRef declared for which there is no
                corresponding DigitalFile @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ExternalItem">
            <sch:report
                test="./Source[not(@uidRef=//Document/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//Identifier[substring-after(@xsi:type, ':')='Identifier']/@uid)]"
                >ExternalItem: Source/@uidRef declared for which there is no corresponding Document
                or ProductVersion/@xsi:type='DocumentVersion' or
                Identifier/@xsi:type='Identifier'</sch:report>
        </sch:rule>
        <sch:rule context="//ExternalOwlClass">
            <sch:report test="./SubsetMemberOf/SubsetMember[not(@uidRef=//SubsetMember/@uid)]"
                >ExternalOwlClass: SubsetMemberOf.SubsetMember/@uidRef declared for which there is
                no corresponding SubsetMember @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ExternalOwlObject"/>
        <sch:rule context="//ExternalPropertyDefinition">
            <sch:report
                test="./Definition[not(@uidRef=//ExternalItem/@uid or @uidRef=//ExternalOwlObject/@uid)]"
                >ExternalPropertyDefinition: Definition/@uidRef declared for which there is no
                corresponding ExternalItem or ExternalOwlObject</sch:report>
            <sch:report test="./AllowedUnits/ExternalUnit[not(@uidRef=//ExternalUnit/@uid)]"
                >ExternalPropertyDefinition: AllowedUnits.ExternalUnit/@uidRef declared for which
                there is no corresponding ExternalUnit @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ExternalTypeQualifier"/>
        <sch:rule context="//ExternalUnit">
            <sch:report
                test="./Definition[not(@uidRef=//ExternalItem/@uid or @uidRef=//ExternalOwlObject/@uid)]"
                >ExternalUnit: Definition/@uidRef declared for which there is no corresponding
                ExternalItem or ExternalOwlObject</sch:report>
        </sch:rule>
        <sch:rule context="//FileRelationship">
            <sch:report test="./Related[not(@uidRef=//DigitalFile/@uid or @uidRef=//Hardcopy/@uid)]"
                >FileRelationship: Related/@uidRef declared for which there is no corresponding
                DigitalFile or Hardcopy @uid</sch:report>
        </sch:rule>
        <sch:rule context="//FunctionalBreakdown"/>
        <sch:rule context="//FunctionalBreakdownContext">
            <sch:report
                test="./Breakdown[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid)]"
                >FunctionalBreakdownContext: Breakdown/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='FunctionalBreakdownVersion'
                @uid</sch:report>
            <sch:report
                test="./BreakdownElement[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid)]"
                >FunctionalBreakdownContext: BreakdownElement/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='FunctionalElementDefinition'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//FunctionalBreakdownVersion">
            <sch:report test="./VersionOf[not(@uidRef=//FunctionalBreakdown/@uid)]"
                >FunctionalBreakdownVersion: VersionOf/@uidRef declared for which there is no
                corresponding FunctionalBreakdown @uid</sch:report>
        </sch:rule>
        <sch:rule context="//FunctionalElement"/>
        <sch:rule context="//FunctionalElementDefinition">
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid)]"
                >FunctionalElementDefinition: ViewDefinitionOf/@uidRef declared for which there is
                no corresponding ProductVersion/@xsi:type='FunctionalElementVersion'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//FunctionalElementUsage">
            <sch:report
                test="./Related[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid)]"
                >FunctionalElementUsage: Related/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='FunctionalElementDefinition'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//FunctionalElementVersion">
            <sch:report test="./VersionOf[not(@uidRef=//FunctionalElement/@uid)]"
                >FunctionalElementVersion: VersionOf/@uidRef declared for which there is no
                corresponding FunctionalElement @uid</sch:report>
        </sch:rule>
        <sch:rule context="//FunctionValuePair"/>
        <sch:rule context="//GeometricCompositionWithOperatorTransformation"/>
        <sch:rule context="//GeometricCompositionWithPlacementTransformation"/>
        <sch:rule context="//GeometricCoordinateSpace">
            <sch:report test="./Units/ExternalUnit[not(@uidRef=//ExternalUnit/@uid)]"
                >GeometricCoordinateSpace: Units.ExternalUnit/@uidRef declared for which there is no
                corresponding ExternalUnit @uid</sch:report>
        </sch:rule>
        <sch:rule context="//GeometricItemSpecificUsage">
            <sch:report
                test="./Definition[not(@uidRef=//ShapeElement/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ShapeElementRelationship']/@uid)]"
                >GeometricItemSpecificUsage: Definition/@uidRef declared for which there is no
                corresponding ShapeElement or
                RelationshipObject/@xsi:type='ShapeElementRelationship'</sch:report>
            <sch:report
                test="./UsedModel[not(@uidRef=//GeometricModel/@uid or @uidRef=//ExternalGeometricModel/@uid or @uidRef=//GeometricPlacementModel/@uid)]"
                >GeometricItemSpecificUsage: UsedModel/@uidRef declared for which there is no
                corresponding GeometricModel or ExternalGeometricModel or GeometricPlacementModel
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//GeometricModel"/>
        <sch:rule context="//GeometricModelRelationship">
            <sch:report
                test="./Rep1[not(@uidRef=//GeometricModel/@uid or @uidRef=//ExternalGeometricModel/@uid or @uidRef=//GeometricPlacementModel/@uid)]"
                >GeometricModelRelationship: Rep1/@uidRef declared for which there is no
                corresponding GeometricModel or ExternalGeometricModel or GeometricPlacementModel
                @uid</sch:report>
            <sch:report
                test="./Rep2[not(@uidRef=//GeometricModel/@uid or @uidRef=//ExternalGeometricModel/@uid or @uidRef=//GeometricPlacementModel/@uid)]"
                >GeometricModelRelationship: Rep2/@uidRef declared for which there is no
                corresponding GeometricModel or ExternalGeometricModel or GeometricPlacementModel
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//GeometricOperatorTransformation">
            <sch:report
                test="./Target[not(@uidRef=//DetailedGeometricModelElement[substring-after(@xsi:type, ':')='CartesianTransformation2d']/@uid or @uidRef=//DetailedGeometricModelElement[substring-after(@xsi:type, ':')='CartesianTransformation3d']/@uid)]"
                >GeometricOperatorTransformation: Target/@uidRef declared for which there is no
                corresponding DetailedGeometricModelElement/@xsi:type='CartesianTransformation2d' or
                DetailedGeometricModelElement/@xsi:type='CartesianTransformation3d'</sch:report>
        </sch:rule>
        <sch:rule context="//GeometricPlacement"/>
        <sch:rule context="//GeometricPlacementModel"/>
        <sch:rule context="//GeometricRelationshipWithOperatorTransformation">
            <sch:report
                test="./Transformation[not(@uidRef=//DetailedGeometricModelElement[substring-after(@xsi:type, ':')='CartesianTransformation2d']/@uid or @uidRef=//DetailedGeometricModelElement[substring-after(@xsi:type, ':')='CartesianTransformation3d']/@uid)]"
                >GeometricRelationshipWithOperatorTransformation: Transformation/@uidRef declared
                for which there is no corresponding
                DetailedGeometricModelElement/@xsi:type='CartesianTransformation2d' or
                DetailedGeometricModelElement/@xsi:type='CartesianTransformation3d'</sch:report>
        </sch:rule>
        <sch:rule context="//GeometricRelationshipWithPlacementTransformation">
            <sch:report test="./Transformation[not(@uidRef=//AxisPlacementMapping/@uid)]"
                >GeometricRelationshipWithPlacementTransformation: Transformation/@uidRef declared
                for which there is no corresponding AxisPlacementMapping @uid</sch:report>
        </sch:rule>
        <sch:rule context="//GlobalLocationRepresentation"/>
        <sch:rule context="//Hardcopy"/>
        <sch:rule context="//HierarchicalInterfaceConnection"/>
        <sch:rule context="//Identifier">
            <sch:report
                test="not(./@idRoleRef=//ExternalClass/@uid or ./@idRoleRef=//ExternalOwlClass/@uid )"
                >Identifier: @idRoleRef declared for which there is no corresponding
                ExternalClass/@uid or ExternalOwlClass/@uid</sch:report>
            <sch:report
                test="not(./@idContextRef=//Organization/@uid or @idContextRef=//Identifier/@uid or not(@idContextRef))"
                >Identifier: @idContextRef declared for which there is no corresponding
                Organization/@uid or Identifier/@uid</sch:report>
        </sch:rule>
        <sch:rule context="//IdentifierRelationship">
            <sch:report
                test="./Related[not(@uidRef=//Identifier[substring-after(@xsi:type, ':')='Identifier']/@uid)]"
                >IdentifierRelationship: Related/@uidRef declared for which there is no
                corresponding Identifier/@xsi:type='Identifier' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//IncreasingResourceEvent"/>
        <sch:rule context="//InformationRight"/>
        <sch:rule context="//InformationUsageRight">
            <sch:report test="./GrantsRight/InformationRight[not(@uidRef=//InformationRight/@uid)]"
                >InformationUsageRight: GrantsRight.InformationRight/@uidRef declared for which
                there is no corresponding InformationRight @uid</sch:report>
        </sch:rule>
        <sch:rule context="//InformationUsageRightAssignment">
            <sch:report
                test="./AssignedInformationUsageRight[not(@uidRef=//InformationUsageRight/@uid)]"
                >InformationUsageRightAssignment: AssignedInformationUsageRight/@uidRef declared for
                which there is no corresponding InformationUsageRight @uid</sch:report>
        </sch:rule>
        <sch:rule context="//InformationUsageRightRelationship">
            <sch:report test="./Related[not(@uidRef=//InformationUsageRight/@uid)]"
                >InformationUsageRightRelationship: Related/@uidRef declared for which there is no
                corresponding InformationUsageRight @uid</sch:report>
        </sch:rule>
        <sch:rule context="//InterfaceConnection">
            <sch:report
                test="./Connecting[not(@uidRef=//InterfaceConnectorOccurrence/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CausalConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='EnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ObservedEnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RelatedConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementCollectionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TracingRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RiskPerceptionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='MakeFromRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductInAttachmentSlot']/@uid)]"
                >InterfaceConnection: Connecting/@uidRef declared for which there is no
                corresponding InterfaceConnectorOccurrence or
                ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or
                RelationshipObject/@xsi:type='ViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' or
                RelationshipObject/@xsi:type='CausalConsequence' or
                RelationshipObject/@xsi:type='EnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ObservedEnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RelatedConsequence' or
                RelationshipObject/@xsi:type='RequirementViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RequirementCollectionRelationship' or
                RelationshipObject/@xsi:type='TracingRelationship' or
                RelationshipObject/@xsi:type='RiskPerceptionRelationship' or
                RelationshipObject/@xsi:type='ViewDefinitionUsage' or
                RelationshipObject/@xsi:type='BreakdownElementUsage' or
                RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage' or
                RelationshipObject/@xsi:type='MakeFromRelationship' or
                RelationshipObject/@xsi:type='ProductInAttachmentSlot'</sch:report>
            <sch:report
                test="./Connected[not(@uidRef=//InterfaceConnectorOccurrence/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CausalConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='EnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ObservedEnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RelatedConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementCollectionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TracingRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RiskPerceptionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='MakeFromRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductInAttachmentSlot']/@uid)]"
                >InterfaceConnection: Connected/@uidRef declared for which there is no corresponding
                InterfaceConnectorOccurrence or
                ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or
                RelationshipObject/@xsi:type='ViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' or
                RelationshipObject/@xsi:type='CausalConsequence' or
                RelationshipObject/@xsi:type='EnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ObservedEnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RelatedConsequence' or
                RelationshipObject/@xsi:type='RequirementViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RequirementCollectionRelationship' or
                RelationshipObject/@xsi:type='TracingRelationship' or
                RelationshipObject/@xsi:type='RiskPerceptionRelationship' or
                RelationshipObject/@xsi:type='ViewDefinitionUsage' or
                RelationshipObject/@xsi:type='BreakdownElementUsage' or
                RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage' or
                RelationshipObject/@xsi:type='MakeFromRelationship' or
                RelationshipObject/@xsi:type='ProductInAttachmentSlot'</sch:report>
        </sch:rule>
        <sch:rule context="//InterfaceConnector"/>
        <sch:rule context="//InterfaceConnectorAsPlanned"/>
        <sch:rule context="//InterfaceConnectorAsRealized"/>
        <sch:rule context="//InterfaceConnectorDefinition">
            <sch:report
                test="./ConnectorOn[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid)]"
                >InterfaceConnectorDefinition: ConnectorOn/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' @uid</sch:report>
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid)]"
                >InterfaceConnectorDefinition: ViewDefinitionOf/@uidRef declared for which there is
                no corresponding ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//InterfaceConnectorDesign"/>
        <sch:rule context="//InterfaceConnectorDesignToPlanned">
            <sch:report
                test="./Design[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid)]"
                >InterfaceConnectorDesignToPlanned: Design/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='InterfaceConnectorDesign' @uid</sch:report>
            <sch:report
                test="./Planned[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid)]"
                >InterfaceConnectorDesignToPlanned: Planned/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='InterfaceConnectorAsPlanned'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//InterfaceConnectorDesignToRealized">
            <sch:report
                test="./Design[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid)]"
                >InterfaceConnectorDesignToRealized: Design/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='InterfaceConnectorDesign' @uid</sch:report>
            <sch:report
                test="./Realized[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid)]"
                >InterfaceConnectorDesignToRealized: Realized/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='InterfaceConnectorAsRealized'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//InterfaceConnectorOccurrence">
            <sch:report
                test="./OccurrenceOf[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid)]"
                >InterfaceConnectorOccurrence: OccurrenceOf/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition'
                @uid</sch:report>
            <sch:report
                test="./ConnectorOn[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CausalConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='EnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ObservedEnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RelatedConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementCollectionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TracingRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RiskPerceptionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='MakeFromRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductInAttachmentSlot']/@uid)]"
                >InterfaceConnectorOccurrence: ConnectorOn/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or
                RelationshipObject/@xsi:type='ViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' or
                RelationshipObject/@xsi:type='CausalConsequence' or
                RelationshipObject/@xsi:type='EnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ObservedEnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RelatedConsequence' or
                RelationshipObject/@xsi:type='RequirementViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RequirementCollectionRelationship' or
                RelationshipObject/@xsi:type='TracingRelationship' or
                RelationshipObject/@xsi:type='RiskPerceptionRelationship' or
                RelationshipObject/@xsi:type='ViewDefinitionUsage' or
                RelationshipObject/@xsi:type='BreakdownElementUsage' or
                RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage' or
                RelationshipObject/@xsi:type='MakeFromRelationship' or
                RelationshipObject/@xsi:type='ProductInAttachmentSlot'</sch:report>
        </sch:rule>
        <sch:rule context="//InterfaceConnectorPlannedToRealized">
            <sch:report
                test="./Planned[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid)]"
                >InterfaceConnectorPlannedToRealized: Planned/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='InterfaceConnectorAsPlanned'
                @uid</sch:report>
            <sch:report
                test="./Realized[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid)]"
                >InterfaceConnectorPlannedToRealized: Realized/@uidRef declared for which there is
                no corresponding ProductVersion/@xsi:type='InterfaceConnectorAsRealized'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//InterfaceConnectorVersion">
            <sch:report test="./VersionOf[not(@uidRef=//InterfaceConnector/@uid)]"
                >InterfaceConnectorVersion: VersionOf/@uidRef declared for which there is no
                corresponding InterfaceConnector @uid</sch:report>
        </sch:rule>
        <sch:rule context="//InterfaceDefinitionConnection">
            <sch:report
                test="./Connecting[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid)]"
                >InterfaceDefinitionConnection: Connecting/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' @uid</sch:report>
            <sch:report
                test="./Connected[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid)]"
                >InterfaceDefinitionConnection: Connected/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//InterfaceDefinitionFor">
            <sch:report
                test="./Interface[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid)]"
                >InterfaceDefinitionFor: Interface/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition'
                @uid</sch:report>
            <sch:report
                test="./InterfaceComponent[not(@uidRef=//InterfaceConnection/@uid or @uidRef=//HierarchicalInterfaceConnection/@uid or @uidRef=//InterfaceConnectorOccurrence/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid)]"
                >InterfaceDefinitionFor: InterfaceComponent/@uidRef declared for which there is no
                corresponding InterfaceConnection or HierarchicalInterfaceConnection or
                InterfaceConnectorOccurrence or
                ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition'</sch:report>
        </sch:rule>
        <sch:rule context="//InterfaceSpecification"/>
        <sch:rule context="//InterfaceSpecificationDefinition">
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid)]"
                >InterfaceSpecificationDefinition: ViewDefinitionOf/@uidRef declared for which there
                is no corresponding ProductVersion/@xsi:type='InterfaceSpecificationVersion'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//InterfaceSpecificationVersion">
            <sch:report test="./VersionOf[not(@uidRef=//InterfaceSpecification/@uid)]"
                >InterfaceSpecificationVersion: VersionOf/@uidRef declared for which there is no
                corresponding InterfaceSpecification @uid</sch:report>
        </sch:rule>
        <sch:rule context="//InZone">
            <sch:report
                test="./LocatedItem[not(@uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ActivityMethodAssignment']/@uid or @uidRef=//InterfaceConnection/@uid or @uidRef=//HierarchicalInterfaceConnection/@uid or @uidRef=//InterfaceConnectorOccurrence/@uid or @uidRef=//InterfaceDefinitionConnection/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RiskEvent']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeEntryAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeSubjectAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeVersionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskElementAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskMethodAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskMethodVersionAssignment']/@uid)]"
                >InZone: LocatedItem/@uidRef declared for which there is no corresponding
                ActivityMethod or Scheme or ActivityMethod/@xsi:type='SchemeEntry' or
                ActivityMethod/@xsi:type='SchemeVersion' or ActivityMethod/@xsi:type='EndTask' or
                ActivityMethod/@xsi:type='ExitLoop' or ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' or
                AssignmentObject/@xsi:type='ActivityMethodAssignment' or InterfaceConnection or
                HierarchicalInterfaceConnection or InterfaceConnectorOccurrence or
                InterfaceDefinitionConnection or
                ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or
                AssignmentObject/@xsi:type='RiskEvent' or
                AssignmentObject/@xsi:type='SchemeEntryAssignment' or
                AssignmentObject/@xsi:type='SchemeSubjectAssignment' or
                AssignmentObject/@xsi:type='SchemeVersionAssignment' or
                AssignmentObject/@xsi:type='TaskElementAssignment' or
                AssignmentObject/@xsi:type='TaskMethodAssignment' or
                AssignmentObject/@xsi:type='TaskMethodVersionAssignment'</sch:report>
            <sch:report
                test="./Zone[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid)]"
                >InZone: Zone/@uidRef declared for which there is no corresponding
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ItemAssumed">
            <sch:report test="./Assumption[not(@uidRef=//Assumption/@uid)]">ItemAssumed:
                Assumption/@uidRef declared for which there is no corresponding Assumption
                @uid</sch:report>
            <sch:report
                test="./Item[not(@uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ActivityAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ActivityMethodAssignment']/@uid or @uidRef=//Approval/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ApprovalAssignment']/@uid or @uidRef=//Classification[substring-after(@xsi:type, ':')='Classification']/@uid or @uidRef=//Contract/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ContractAssignment']/@uid or @uidRef=//Descriptor[substring-after(@xsi:type, ':')='Descriptor']/@uid or @uidRef=//Location/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='LocationAssignment']/@uid or @uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid or @uidRef=//ProductConcept/@uid or @uidRef=//ProductConfiguration/@uid or @uidRef=//ProductDefinitionElementRelationship/@uid or @uidRef=//BreakdownElementRealization/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid or @uidRef=//Project/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ProjectAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyDefinitionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyValueAssignment']/@uid or @uidRef=//Proxy[substring-after(@xsi:type, ':')='Proxy']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RequirementAssignment']/@uid or @uidRef=//DecreasingResourceEvent/@uid or @uidRef=//IncreasingResourceEvent/@uid or @uidRef=//ResourceItem/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ResourceItemAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RiskEvent']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RiskImpactAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeEntryAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeSubjectAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeVersionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskElementAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskMethodAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskMethodVersionAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CausalConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='EnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ObservedEnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RelatedConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementCollectionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TracingRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RiskPerceptionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='MakeFromRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductInAttachmentSlot']/@uid or @uidRef=//WorkOrder/@uid or @uidRef=//WorkRequest/@uid)]"
                >ItemAssumed: Item/@uidRef declared for which there is no corresponding Activity or
                ActivityActual or DirectedActivity or
                AssignmentObject/@xsi:type='ActivityAssignment' or
                AssignmentObject/@xsi:type='ActivityMethodAssignment' or Approval or
                AssignmentObject/@xsi:type='ApprovalAssignment' or
                Classification/@xsi:type='Classification' or Contract or
                AssignmentObject/@xsi:type='ContractAssignment' or Descriptor/@xsi:type='Descriptor'
                or Location or AssignmentObject/@xsi:type='LocationAssignment' or Product or
                Analysis or AttachmentSlot or Breakdown or FunctionalBreakdown or PhysicalBreakdown
                or SystemBreakdown or ZoneBreakdown or BreakdownElement or FunctionalElement or
                PhysicalElement or SystemElement or ZoneElement or Collection or Document or
                EnvironmentDefinition or InterfaceConnector or InterfaceSpecification or
                ObservedEnvironment or Part or ProductAsIndividual or Requirement or Risk or System
                or ProductConcept or ProductConfiguration or ProductDefinitionElementRelationship or
                BreakdownElementRealization or ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                or Project or AssignmentObject/@xsi:type='ProjectAssignment' or
                AssignmentObject/@xsi:type='PropertyDefinitionAssignment' or
                AssignmentObject/@xsi:type='PropertyValueAssignment' or Proxy/@xsi:type='Proxy' or
                AssignmentObject/@xsi:type='RequirementAssignment' or DecreasingResourceEvent or
                IncreasingResourceEvent or ResourceItem or
                AssignmentObject/@xsi:type='ResourceItemAssignment' or
                AssignmentObject/@xsi:type='RiskEvent' or
                AssignmentObject/@xsi:type='RiskImpactAssignment' or
                AssignmentObject/@xsi:type='SchemeEntryAssignment' or
                AssignmentObject/@xsi:type='SchemeSubjectAssignment' or
                AssignmentObject/@xsi:type='SchemeVersionAssignment' or
                AssignmentObject/@xsi:type='StateAssignment' or
                AssignmentObject/@xsi:type='TaskElementAssignment' or
                AssignmentObject/@xsi:type='TaskMethodAssignment' or
                AssignmentObject/@xsi:type='TaskMethodVersionAssignment' or
                RelationshipObject/@xsi:type='ViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' or
                RelationshipObject/@xsi:type='CausalConsequence' or
                RelationshipObject/@xsi:type='EnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ObservedEnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RelatedConsequence' or
                RelationshipObject/@xsi:type='RequirementViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RequirementCollectionRelationship' or
                RelationshipObject/@xsi:type='TracingRelationship' or
                RelationshipObject/@xsi:type='RiskPerceptionRelationship' or
                RelationshipObject/@xsi:type='ViewDefinitionUsage' or
                RelationshipObject/@xsi:type='BreakdownElementUsage' or
                RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage' or
                RelationshipObject/@xsi:type='MakeFromRelationship' or
                RelationshipObject/@xsi:type='ProductInAttachmentSlot' or WorkOrder or
                WorkRequest</sch:report>
        </sch:rule>
        <sch:rule context="//ItemDesignAssociation">
            <sch:report test="./Configuration[not(@uidRef=//ProductConfiguration/@uid)]"
                >ItemDesignAssociation: Configuration/@uidRef declared for which there is no
                corresponding ProductConfiguration @uid</sch:report>
            <sch:report
                test="./Design[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid)]"
                >ItemDesignAssociation: Design/@uidRef declared for which there is no corresponding
                ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                or ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition'</sch:report>
        </sch:rule>
        <sch:rule context="//ItemShape">
            <sch:report
                test="./DescribedElement[not(@uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='MakeFromRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductInAttachmentSlot']/@uid)]"
                >ItemShape: DescribedElement/@uidRef declared for which there is no corresponding
                RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' or
                ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or
                RelationshipObject/@xsi:type='ViewDefinitionUsage' or
                RelationshipObject/@xsi:type='BreakdownElementUsage' or
                RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage' or
                RelationshipObject/@xsi:type='MakeFromRelationship' or
                RelationshipObject/@xsi:type='ProductInAttachmentSlot'</sch:report>
        </sch:rule>
        <sch:rule context="//ItemUsageEffectivity">
            <sch:report
                test="./EffectivityDomain[not(@uidRef=//Effectivity/@uid or @uidRef=//ConditionalEffectivity/@uid or @uidRef=//DatedEffectivity/@uid or @uidRef=//LotEffectivity/@uid or @uidRef=//ProductAsIndividualEffectivity/@uid or @uidRef=//SerialEffectivity/@uid or @uidRef=//TimeIntervalEffectivity/@uid)]"
                >ItemUsageEffectivity: EffectivityDomain/@uidRef declared for which there is no
                corresponding Effectivity or ConditionalEffectivity or DatedEffectivity or
                LotEffectivity or ProductAsIndividualEffectivity or SerialEffectivity or
                TimeIntervalEffectivity @uid</sch:report>
            <sch:report
                test="./ItemUsageRelationship[not(@uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid or @uidRef=//BreakdownElementRealization/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='MakeFromRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductInAttachmentSlot']/@uid)]"
                >ItemUsageEffectivity: ItemUsageRelationship/@uidRef declared for which there is no
                corresponding RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' or
                BreakdownElementRealization or RelationshipObject/@xsi:type='ViewDefinitionUsage' or
                RelationshipObject/@xsi:type='BreakdownElementUsage' or
                RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage' or
                RelationshipObject/@xsi:type='MakeFromRelationship' or
                RelationshipObject/@xsi:type='ProductInAttachmentSlot'</sch:report>
            <sch:report test="./ResolvedConfiguration[not(@uidRef=//ItemDesignAssociation/@uid)]"
                >ItemUsageEffectivity: ResolvedConfiguration/@uidRef declared for which there is no
                corresponding ItemDesignAssociation @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Justification"/>
        <sch:rule context="//JustificationAssignment">
            <sch:report test="./AssignedJustification[not(@uidRef=//Justification/@uid)]"
                >JustificationAssignment: AssignedJustification/@uidRef declared for which there is
                no corresponding Justification @uid</sch:report>
        </sch:rule>
        <sch:rule context="//JustificationRelationship">
            <sch:report test="./Related[not(@uidRef=//Justification/@uid)]"
                >JustificationRelationship: Related/@uidRef declared for which there is no
                corresponding Justification @uid</sch:report>
        </sch:rule>
        <sch:rule context="//JustificationSupportAssignment">
            <sch:report
                test="./AssignedSupportItem[not(@uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ActivityAssignment']/@uid or @uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ActivityMethodAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='AnalysisAssignment']/@uid or @uidRef=//Approval/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AssignmentObjectRelationship']/@uid or @uidRef=//Assumption/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='AssumptionAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AssumptionRelationship']/@uid or @uidRef=//Certification/@uid or @uidRef=//Contract/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='DocumentDefinitionRelationship']/@uid or @uidRef=//Effectivity/@uid or @uidRef=//ConditionalEffectivity/@uid or @uidRef=//DatedEffectivity/@uid or @uidRef=//LotEffectivity/@uid or @uidRef=//ProductAsIndividualEffectivity/@uid or @uidRef=//SerialEffectivity/@uid or @uidRef=//TimeIntervalEffectivity/@uid or @uidRef=//Evidence/@uid or @uidRef=//ExternalPropertyDefinition/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FileRelationship']/@uid or @uidRef=//InterfaceConnection/@uid or @uidRef=//HierarchicalInterfaceConnection/@uid or @uidRef=//InterfaceConnectorOccurrence/@uid or @uidRef=//InterfaceDefinitionConnection/@uid or @uidRef=//Location/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='LocationAssignment']/@uid or @uidRef=//Message/@uid or @uidRef=//Observation/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='OrganizationOrPersonInOrganizationAssignment']/@uid or @uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AnalysisVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AnalysisVersionSequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CollectionVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CollectionVersionSequenceRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SuppliedPartRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemVersionSequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//Project/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyDefinitionAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PropertyDefinitionRelationship']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityByName']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityNumeric']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDerived']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='DistributionByValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ParameterizedDistribution']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='StringValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueList']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueSet']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='NumericalValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDerivationParameter']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDistributionParameter']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityFunctionValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityNumericValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='RandomVariable']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueLimit']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueRange']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueWithTolerances']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyValueAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PropertyValueRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RiskEvent']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RiskImpactAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeEntryAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeSubjectAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeVersionAssignment']/@uid or @uidRef=//State/@uid or @uidRef=//StateObserved/@uid or @uidRef=//StatePredicted/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateAssignment']/@uid or @uidRef=//StateDefinition/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateDefinitionAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CompositionOfStateDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SequenceOfStateDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateCauseEffectDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AndStateCauseEffectDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='OrStateCauseEffectDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='XorStateCauseEffectDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateComplementDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateProperSubsetDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateSubsetDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateSymptomDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateTransitionDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CompositionOfState']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SequenceOfState']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateCauseEffect']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StatePredictedToObserved']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateTransition']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskElementAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskMethodAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskMethodVersionAssignment']/@uid or @uidRef=//Validation/@uid or @uidRef=//Verification/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CausalConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='EnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ObservedEnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RelatedConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementCollectionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TracingRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RiskPerceptionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='MakeFromRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductInAttachmentSlot']/@uid or @uidRef=//WorkOrder/@uid or @uidRef=//WorkRequest/@uid)]"
                >JustificationSupportAssignment: AssignedSupportItem/@uidRef declared for which
                there is no corresponding Activity or ActivityActual or DirectedActivity or
                AssignmentObject/@xsi:type='ActivityAssignment' or ActivityMethod or Scheme or
                ActivityMethod/@xsi:type='SchemeEntry' or ActivityMethod/@xsi:type='SchemeVersion'
                or ActivityMethod/@xsi:type='EndTask' or ActivityMethod/@xsi:type='ExitLoop' or
                ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' or
                AssignmentObject/@xsi:type='ActivityMethodAssignment' or
                AssignmentObject/@xsi:type='AnalysisAssignment' or Approval or
                RelationshipObject/@xsi:type='AssignmentObjectRelationship' or Assumption or
                AssignmentObject/@xsi:type='AssumptionAssignment' or
                RelationshipObject/@xsi:type='AssumptionRelationship' or Certification or Contract
                or RelationshipObject/@xsi:type='DocumentDefinitionRelationship' or Effectivity or
                ConditionalEffectivity or DatedEffectivity or LotEffectivity or
                ProductAsIndividualEffectivity or SerialEffectivity or TimeIntervalEffectivity or
                Evidence or ExternalPropertyDefinition or
                RelationshipObject/@xsi:type='FileRelationship' or InterfaceConnection or
                HierarchicalInterfaceConnection or InterfaceConnectorOccurrence or
                InterfaceDefinitionConnection or Location or
                AssignmentObject/@xsi:type='LocationAssignment' or Message or Observation or
                AssignmentObject/@xsi:type='OrganizationOrPersonInOrganizationAssignment' or Product
                or Analysis or AttachmentSlot or Breakdown or FunctionalBreakdown or
                PhysicalBreakdown or SystemBreakdown or ZoneBreakdown or BreakdownElement or
                FunctionalElement or PhysicalElement or SystemElement or ZoneElement or Collection
                or Document or EnvironmentDefinition or InterfaceConnector or InterfaceSpecification
                or ObservedEnvironment or Part or ProductAsIndividual or Requirement or Risk or
                System or ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                or RelationshipObject/@xsi:type='ProductVersionRelationship' or
                RelationshipObject/@xsi:type='AnalysisVersionRelationship' or
                RelationshipObject/@xsi:type='AnalysisVersionSequence' or
                RelationshipObject/@xsi:type='CollectionVersionRelationship' or
                RelationshipObject/@xsi:type='CollectionVersionSequenceRelationship' or
                RelationshipObject/@xsi:type='RequirementVersionRelationship' or
                RelationshipObject/@xsi:type='SuppliedPartRelationship' or
                RelationshipObject/@xsi:type='SystemVersionRelationship' or
                RelationshipObject/@xsi:type='SystemVersionSequence' or
                ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or Project or
                AssignmentObject/@xsi:type='PropertyDefinitionAssignment' or
                RelationshipObject/@xsi:type='PropertyDefinitionRelationship' or
                PropertyValue/@xsi:type='ProbabilityByName' or
                PropertyValue/@xsi:type='ProbabilityNumeric' or
                PropertyValue/@xsi:type='ProbabilityDerived' or
                PropertyValue/@xsi:type='DistributionByValue' or
                PropertyValue/@xsi:type='ParameterizedDistribution' or
                PropertyValue/@xsi:type='StringValue' or PropertyValue/@xsi:type='ValueList' or
                PropertyValue/@xsi:type='ValueSet' or PropertyValue/@xsi:type='NumericalValue' or
                PropertyValue/@xsi:type='ProbabilityDerivationParameter' or
                PropertyValue/@xsi:type='ProbabilityDistributionParameter' or
                PropertyValue/@xsi:type='ProbabilityFunctionValue' or
                PropertyValue/@xsi:type='ProbabilityNumericValue' or
                PropertyValue/@xsi:type='RandomVariable' or PropertyValue/@xsi:type='ValueLimit' or
                PropertyValue/@xsi:type='ValueRange' or
                PropertyValue/@xsi:type='ValueWithTolerances' or
                AssignmentObject/@xsi:type='PropertyValueAssignment' or
                RelationshipObject/@xsi:type='PropertyValueRelationship' or
                AssignmentObject/@xsi:type='RiskEvent' or
                AssignmentObject/@xsi:type='RiskImpactAssignment' or
                AssignmentObject/@xsi:type='SchemeEntryAssignment' or
                AssignmentObject/@xsi:type='SchemeSubjectAssignment' or
                AssignmentObject/@xsi:type='SchemeVersionAssignment' or State or StateObserved or
                StatePredicted or AssignmentObject/@xsi:type='StateAssignment' or StateDefinition or
                AssignmentObject/@xsi:type='StateDefinitionAssignment' or
                RelationshipObject/@xsi:type='StateDefinitionRelationship' or
                RelationshipObject/@xsi:type='CompositionOfStateDefinition' or
                RelationshipObject/@xsi:type='SequenceOfStateDefinition' or
                RelationshipObject/@xsi:type='StateCauseEffectDefinition' or
                RelationshipObject/@xsi:type='AndStateCauseEffectDefinition' or
                RelationshipObject/@xsi:type='OrStateCauseEffectDefinition' or
                RelationshipObject/@xsi:type='XorStateCauseEffectDefinition' or
                RelationshipObject/@xsi:type='StateComplementDefinition' or
                RelationshipObject/@xsi:type='StateProperSubsetDefinition' or
                RelationshipObject/@xsi:type='StateSubsetDefinition' or
                RelationshipObject/@xsi:type='StateSymptomDefinition' or
                RelationshipObject/@xsi:type='StateTransitionDefinition' or
                RelationshipObject/@xsi:type='StateRelationship' or
                RelationshipObject/@xsi:type='CompositionOfState' or
                RelationshipObject/@xsi:type='SequenceOfState' or
                RelationshipObject/@xsi:type='StateCauseEffect' or
                RelationshipObject/@xsi:type='StatePredictedToObserved' or
                RelationshipObject/@xsi:type='StateTransition' or
                AssignmentObject/@xsi:type='TaskElementAssignment' or
                AssignmentObject/@xsi:type='TaskMethodAssignment' or
                AssignmentObject/@xsi:type='TaskMethodVersionAssignment' or Validation or
                Verification or RelationshipObject/@xsi:type='ViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' or
                RelationshipObject/@xsi:type='CausalConsequence' or
                RelationshipObject/@xsi:type='EnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ObservedEnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RelatedConsequence' or
                RelationshipObject/@xsi:type='RequirementViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RequirementCollectionRelationship' or
                RelationshipObject/@xsi:type='TracingRelationship' or
                RelationshipObject/@xsi:type='RiskPerceptionRelationship' or
                RelationshipObject/@xsi:type='ViewDefinitionUsage' or
                RelationshipObject/@xsi:type='BreakdownElementUsage' or
                RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage' or
                RelationshipObject/@xsi:type='MakeFromRelationship' or
                RelationshipObject/@xsi:type='ProductInAttachmentSlot' or WorkOrder or
                WorkRequest</sch:report>
        </sch:rule>
        <sch:rule context="//LifeCycleStage">
            <sch:report
                test="./Definition[not(@uidRef=//ExternalItem/@uid or @uidRef=//ExternalOwlObject/@uid)]"
                >LifeCycleStage: Definition/@uidRef declared for which there is no corresponding
                ExternalItem or ExternalOwlObject</sch:report>
            <sch:report test="./SameAs/ExternalItem[not(@uidRef=//ExternalItem/@uid)]"
                >LifeCycleStage: SameAs.ExternalItem/@uidRef declared for which there is no
                corresponding ExternalItem @uid</sch:report>
            <sch:report test="./SameAs/ExternalOwlObject[not(@uidRef=//ExternalOwlObject/@uid)]"
                >LifeCycleStage: SameAs.ExternalOwlObject/@uidRef declared for which there is no
                corresponding ExternalOwlObject @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Location">
            <sch:report
                test="./AlternativeLocationRepresentations/LocationRepresentation[not(@uidRef=//AddressBasedLocationRepresentation/@uid or @uidRef=//GlobalLocationRepresentation/@uid or @uidRef=//OrganizationBasedLocationRepresentation/@uid or @uidRef=//ProductBasedLocationIdentification/@uid or @uidRef=//RegionalGridLocationRepresentation/@uid)]"
                >Location: AlternativeLocationRepresentations.LocationRepresentation/@uidRef
                declared for which there is no corresponding AddressBasedLocationRepresentation or
                GlobalLocationRepresentation or OrganizationBasedLocationRepresentation or
                ProductBasedLocationIdentification or RegionalGridLocationRepresentation
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//LocationAssignment">
            <sch:report test="./AssignedLocation[not(@uidRef=//Location/@uid)]">LocationAssignment:
                AssignedLocation/@uidRef declared for which there is no corresponding Location
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//LocationRelationship">
            <sch:report test="./Related[not(@uidRef=//Location/@uid)]">LocationRelationship:
                Related/@uidRef declared for which there is no corresponding Location
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//LoopingElement"/>
        <sch:rule context="//LotEffectivity"/>
        <sch:rule context="//MakeFromRelationship">
            <sch:report
                test="./Related[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid)]"
                >MakeFromRelationship: Related/@uidRef declared for which there is no corresponding
                ProductViewDefinition/@xsi:type='PartViewDefinition' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ManagedResource">
            <sch:report
                test="./Item[not(@uidRef=//DigitalFile/@uid or @uidRef=//Hardcopy/@uid or @uidRef=//Location/@uid or @uidRef=//Organization/@uid or @uidRef=//OrganizationType/@uid or @uidRef=//Person/@uid or @uidRef=//PersonInOrganization/@uid or @uidRef=//Position/@uid or @uidRef=//PositionType/@uid or @uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid or @uidRef=//ProductGroup/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//TypeOfPerson/@uid or @uidRef=//ResourceItem/@uid)]"
                >ManagedResource: Item/@uidRef declared for which there is no corresponding
                DigitalFile or Hardcopy or Location or Organization or OrganizationType or Person or
                PersonInOrganization or Position or PositionType or Product or Analysis or
                AttachmentSlot or Breakdown or FunctionalBreakdown or PhysicalBreakdown or
                SystemBreakdown or ZoneBreakdown or BreakdownElement or FunctionalElement or
                PhysicalElement or SystemElement or ZoneElement or Collection or Document or
                EnvironmentDefinition or InterfaceConnector or InterfaceSpecification or
                ObservedEnvironment or Part or ProductAsIndividual or Requirement or Risk or System
                or ProductGroup or ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                or ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or TypeOfPerson or
                ResourceItem</sch:report>
        </sch:rule>
        <sch:rule context="//ManagedResourceRelationship">
            <sch:report test="./Related[not(@uidRef=//ManagedResource/@uid)]"
                >ManagedResourceRelationship: Related/@uidRef declared for which there is no
                corresponding ManagedResource @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Market"/>
        <sch:rule context="//MeasureQualification">
            <sch:report
                test="./Qualifiers/TypeQualifierSelect[not(@uidRef=//ExternalTypeQualifier/@uid or @uidRef=//PreDefinedTypeQualifier/@uid)]"
                >MeasureQualification: Qualifiers.TypeQualifierSelect/@uidRef declared for which
                there is no corresponding ExternalTypeQualifier or PreDefinedTypeQualifier
                @uid</sch:report>
            <sch:report
                test="./Qualifiers/PrecisionQualifier[not(@uidRef=//PrecisionQualifier/@uid)]"
                >MeasureQualification: Qualifiers.PrecisionQualifier/@uidRef declared for which
                there is no corresponding PrecisionQualifier @uid</sch:report>
            <sch:report
                test="./Qualifiers/UncertaintyQualifier[not(@uidRef=//UncertaintyQualifier/@uid or @uidRef=//QualitativeUncertainty/@uid or @uidRef=//StandardUncertainty/@uid or @uidRef=//ExpandedUncertainty/@uid)]"
                >MeasureQualification: Qualifiers.UncertaintyQualifier/@uidRef declared for which
                there is no corresponding UncertaintyQualifier or QualitativeUncertainty or
                StandardUncertainty or ExpandedUncertainty @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Message">
            <sch:report
                test="./Contains/Activity[not(@uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid)]"
                >Message: Contains.Activity/@uidRef declared for which there is no corresponding
                Activity or ActivityActual or DirectedActivity @uid</sch:report>
            <sch:report
                test="./Contains/ActivityMethod[not(@uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid)]"
                >Message: Contains.ActivityMethod/@uidRef declared for which there is no
                corresponding ActivityMethod or Scheme or ActivityMethod/@xsi:type='SchemeEntry' or
                ActivityMethod/@xsi:type='SchemeVersion' or ActivityMethod/@xsi:type='EndTask' or
                ActivityMethod/@xsi:type='ExitLoop' or ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' @uid</sch:report>
            <sch:report test="./Contains/Approval[not(@uidRef=//Approval/@uid)]">Message:
                Contains.Approval/@uidRef declared for which there is no corresponding Approval
                @uid</sch:report>
            <sch:report test="./Contains/Certification[not(@uidRef=//Certification/@uid)]">Message:
                Contains.Certification/@uidRef declared for which there is no corresponding
                Certification @uid</sch:report>
            <sch:report test="./Contains/Contract[not(@uidRef=//Contract/@uid)]">Message:
                Contains.Contract/@uidRef declared for which there is no corresponding Contract
                @uid</sch:report>
            <sch:report test="./Contains/DigitalFile[not(@uidRef=//DigitalFile/@uid)]">Message:
                Contains.DigitalFile/@uidRef declared for which there is no corresponding
                DigitalFile @uid</sch:report>
            <sch:report test="./Contains/Location[not(@uidRef=//Location/@uid)]">Message:
                Contains.Location/@uidRef declared for which there is no corresponding Location
                @uid</sch:report>
            <sch:report test="./Contains/ManagedResource[not(@uidRef=//ManagedResource/@uid)]"
                >Message: Contains.ManagedResource/@uidRef declared for which there is no
                corresponding ManagedResource @uid</sch:report>
            <sch:report test="./Contains/Observation[not(@uidRef=//Observation/@uid)]">Message:
                Contains.Observation/@uidRef declared for which there is no corresponding
                Observation @uid</sch:report>
            <sch:report test="./Contains/Organization[not(@uidRef=//Organization/@uid)]">Message:
                Contains.Organization/@uidRef declared for which there is no corresponding
                Organization @uid</sch:report>
            <sch:report test="./Contains/Person[not(@uidRef=//Person/@uid)]">Message:
                Contains.Person/@uidRef declared for which there is no corresponding Person
                @uid</sch:report>
            <sch:report
                test="./Contains/Product[not(@uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid)]"
                >Message: Contains.Product/@uidRef declared for which there is no corresponding
                Product or Analysis or AttachmentSlot or Breakdown or FunctionalBreakdown or
                PhysicalBreakdown or SystemBreakdown or ZoneBreakdown or BreakdownElement or
                FunctionalElement or PhysicalElement or SystemElement or ZoneElement or Collection
                or Document or EnvironmentDefinition or InterfaceConnector or InterfaceSpecification
                or ObservedEnvironment or Part or ProductAsIndividual or Requirement or Risk or
                System @uid</sch:report>
            <sch:report test="./Contains/ProductConcept[not(@uidRef=//ProductConcept/@uid)]"
                >Message: Contains.ProductConcept/@uidRef declared for which there is no
                corresponding ProductConcept @uid</sch:report>
            <sch:report
                test="./Contains/ProductConfiguration[not(@uidRef=//ProductConfiguration/@uid)]"
                >Message: Contains.ProductConfiguration/@uidRef declared for which there is no
                corresponding ProductConfiguration @uid</sch:report>
            <sch:report test="./Contains/ProductGroup[not(@uidRef=//ProductGroup/@uid)]">Message:
                Contains.ProductGroup/@uidRef declared for which there is no corresponding
                ProductGroup @uid</sch:report>
            <sch:report
                test="./Contains/ProductVersion[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid)]"
                >Message: Contains.ProductVersion/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                @uid</sch:report>
            <sch:report
                test="./Contains/ProductViewDefinition[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid)]"
                >Message: Contains.ProductViewDefinition/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' @uid</sch:report>
            <sch:report test="./Contains/Project[not(@uidRef=//Project/@uid)]">Message:
                Contains.Project/@uidRef declared for which there is no corresponding Project
                @uid</sch:report>
            <sch:report test="./Contains/RequiredResource[not(@uidRef=//RequiredResource/@uid)]"
                >Message: Contains.RequiredResource/@uidRef declared for which there is no
                corresponding RequiredResource @uid</sch:report>
            <sch:report test="./Contains/ResourceAsRealized[not(@uidRef=//ResourceAsRealized/@uid)]"
                >Message: Contains.ResourceAsRealized/@uidRef declared for which there is no
                corresponding ResourceAsRealized @uid</sch:report>
            <sch:report
                test="./Contains/ResourceEvent[not(@uidRef=//DecreasingResourceEvent/@uid or @uidRef=//IncreasingResourceEvent/@uid)]"
                >Message: Contains.ResourceEvent/@uidRef declared for which there is no
                corresponding DecreasingResourceEvent or IncreasingResourceEvent @uid</sch:report>
            <sch:report
                test="./Contains/SecurityClassification[not(@uidRef=//SecurityClassification/@uid)]"
                >Message: Contains.SecurityClassification/@uidRef declared for which there is no
                corresponding SecurityClassification @uid</sch:report>
            <sch:report
                test="./Contains/State[not(@uidRef=//State/@uid or @uidRef=//StateObserved/@uid or @uidRef=//StatePredicted/@uid)]"
                >Message: Contains.State/@uidRef declared for which there is no corresponding State
                or StateObserved or StatePredicted @uid</sch:report>
            <sch:report test="./Contains/StateDefinition[not(@uidRef=//StateDefinition/@uid)]"
                >Message: Contains.StateDefinition/@uidRef declared for which there is no
                corresponding StateDefinition @uid</sch:report>
            <sch:report test="./Contains/Validation[not(@uidRef=//Validation/@uid)]">Message:
                Contains.Validation/@uidRef declared for which there is no corresponding Validation
                @uid</sch:report>
            <sch:report test="./Contains/Verification[not(@uidRef=//Verification/@uid)]">Message:
                Contains.Verification/@uidRef declared for which there is no corresponding
                Verification @uid</sch:report>
            <sch:report test="./Contains/WorkOrder[not(@uidRef=//WorkOrder/@uid)]">Message:
                Contains.WorkOrder/@uidRef declared for which there is no corresponding WorkOrder
                @uid</sch:report>
            <sch:report test="./Contains/WorkRequest[not(@uidRef=//WorkRequest/@uid)]">Message:
                Contains.WorkRequest/@uidRef declared for which there is no corresponding
                WorkRequest @uid</sch:report>
            <sch:report test="./DefinedBy/Organization[not(@uidRef=//Organization/@uid)]">Message:
                DefinedBy.Organization/@uidRef declared for which there is no corresponding
                Organization @uid</sch:report>
            <sch:report
                test="./DefinedBy/PersonInOrganization[not(@uidRef=//PersonInOrganization/@uid)]"
                >Message: DefinedBy.PersonInOrganization/@uidRef declared for which there is no
                corresponding PersonInOrganization @uid</sch:report>
            <sch:report
                test="./ExchangeContextClassLibrary[not(@uidRef=//ExchangeContextClassLibrary/@uid)]"
                >Message: ExchangeContextClassLibrary/@uidRef declared for which there is no
                corresponding ExchangeContextClassLibrary @uid</sch:report>
        </sch:rule>
        <sch:rule context="//MessageRelationship">
            <sch:report test="./Related[not(@uidRef=//Message/@uid)]">MessageRelationship:
                Related/@uidRef declared for which there is no corresponding Message
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//NextAssemblyViewUsage"/>
        <sch:rule context="//NumericalContext"/>
        <sch:rule context="//NumericalValue">
            <sch:report test="./ValueContext[not(@uidRef=//NumericalContext/@uid)]">NumericalValue:
                ValueContext/@uidRef declared for which there is no corresponding NumericalContext
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Observation">
            <sch:report
                test="./InContext/Activity[not(@uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid)]"
                >Observation: InContext.Activity/@uidRef declared for which there is no
                corresponding Activity or ActivityActual or DirectedActivity @uid</sch:report>
            <sch:report
                test="./InContext/ActivityAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ActivityAssignment']/@uid)]"
                >Observation: InContext.ActivityAssignment/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='ActivityAssignment' @uid</sch:report>
            <sch:report
                test="./InContext/ActivityMethod[not(@uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid)]"
                >Observation: InContext.ActivityMethod/@uidRef declared for which there is no
                corresponding ActivityMethod or Scheme or ActivityMethod/@xsi:type='SchemeEntry' or
                ActivityMethod/@xsi:type='SchemeVersion' or ActivityMethod/@xsi:type='EndTask' or
                ActivityMethod/@xsi:type='ExitLoop' or ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' @uid</sch:report>
            <sch:report
                test="./InContext/AnalysisAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='AnalysisAssignment']/@uid)]"
                >Observation: InContext.AnalysisAssignment/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='AnalysisAssignment' @uid</sch:report>
            <sch:report
                test="./InContext/InterfaceConnectorOccurrence[not(@uidRef=//InterfaceConnectorOccurrence/@uid)]"
                >Observation: InContext.InterfaceConnectorOccurrence/@uidRef declared for which
                there is no corresponding InterfaceConnectorOccurrence @uid</sch:report>
            <sch:report
                test="./InContext/Product[not(@uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid)]"
                >Observation: InContext.Product/@uidRef declared for which there is no corresponding
                Product or Analysis or AttachmentSlot or Breakdown or FunctionalBreakdown or
                PhysicalBreakdown or SystemBreakdown or ZoneBreakdown or BreakdownElement or
                FunctionalElement or PhysicalElement or SystemElement or ZoneElement or Collection
                or Document or EnvironmentDefinition or InterfaceConnector or InterfaceSpecification
                or ObservedEnvironment or Part or ProductAsIndividual or Requirement or Risk or
                System @uid</sch:report>
            <sch:report test="./InContext/ProductGroup[not(@uidRef=//ProductGroup/@uid)]"
                >Observation: InContext.ProductGroup/@uidRef declared for which there is no
                corresponding ProductGroup @uid</sch:report>
            <sch:report
                test="./InContext/ProductVersion[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid)]"
                >Observation: InContext.ProductVersion/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                @uid</sch:report>
            <sch:report
                test="./InContext/ProductViewDefinition[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid)]"
                >Observation: InContext.ProductViewDefinition/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' @uid</sch:report>
            <sch:report test="./InContext/RequiredResource[not(@uidRef=//RequiredResource/@uid)]"
                >Observation: InContext.RequiredResource/@uidRef declared for which there is no
                corresponding RequiredResource @uid</sch:report>
            <sch:report
                test="./InContext/ResourceAsRealized[not(@uidRef=//ResourceAsRealized/@uid)]"
                >Observation: InContext.ResourceAsRealized/@uidRef declared for which there is no
                corresponding ResourceAsRealized @uid</sch:report>
            <sch:report test="./InContext/ResourceItem[not(@uidRef=//ResourceItem/@uid)]"
                >Observation: InContext.ResourceItem/@uidRef declared for which there is no
                corresponding ResourceItem @uid</sch:report>
            <sch:report
                test="./InContext/ViewDefinitionRelationship[not(@uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CausalConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='EnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ObservedEnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RelatedConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementCollectionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TracingRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RiskPerceptionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='MakeFromRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductInAttachmentSlot']/@uid)]"
                >Observation: InContext.ViewDefinitionRelationship/@uidRef declared for which there
                is no corresponding RelationshipObject/@xsi:type='ViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' or
                RelationshipObject/@xsi:type='CausalConsequence' or
                RelationshipObject/@xsi:type='EnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ObservedEnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RelatedConsequence' or
                RelationshipObject/@xsi:type='RequirementViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RequirementCollectionRelationship' or
                RelationshipObject/@xsi:type='TracingRelationship' or
                RelationshipObject/@xsi:type='RiskPerceptionRelationship' or
                RelationshipObject/@xsi:type='ViewDefinitionUsage' or
                RelationshipObject/@xsi:type='BreakdownElementUsage' or
                RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage' or
                RelationshipObject/@xsi:type='MakeFromRelationship' or
                RelationshipObject/@xsi:type='ProductInAttachmentSlot' @uid</sch:report>
            <sch:report test="./InContext/WorkOrder[not(@uidRef=//WorkOrder/@uid)]">Observation:
                InContext.WorkOrder/@uidRef declared for which there is no corresponding WorkOrder
                @uid</sch:report>
            <sch:report test="./InContext/WorkOutput[not(@uidRef=//WorkOutput/@uid)]">Observation:
                InContext.WorkOutput/@uidRef declared for which there is no corresponding WorkOutput
                @uid</sch:report>
            <sch:report test="./InContext/WorkRequest[not(@uidRef=//WorkRequest/@uid)]">Observation:
                InContext.WorkRequest/@uidRef declared for which there is no corresponding
                WorkRequest @uid</sch:report>
            <sch:report
                test="./ObservedBy/ProductAsRealized[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid)]"
                >Observation: ObservedBy.ProductAsRealized/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='ProductAsRealized' @uid</sch:report>
            <sch:report test="./ObservedDuring[not(@uidRef=//ActivityActual/@uid)]">Observation:
                ObservedDuring/@uidRef declared for which there is no corresponding ActivityActual
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ObservationAssignment">
            <sch:report test="./AssignedObservation[not(@uidRef=//Observation/@uid)]"
                >ObservationAssignment: AssignedObservation/@uidRef declared for which there is no
                corresponding Observation @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ObservationConsequence">
            <sch:report test="./InferredFrom[not(@uidRef=//Observation/@uid)]"
                >ObservationConsequence: InferredFrom/@uidRef declared for which there is no
                corresponding Observation @uid</sch:report>
            <sch:report
                test="./Requests[not(@uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid or @uidRef=//WorkOrder/@uid or @uidRef=//WorkRequest/@uid)]"
                >ObservationConsequence: Requests/@uidRef declared for which there is no
                corresponding Activity or ActivityActual or DirectedActivity or WorkOrder or
                WorkRequest</sch:report>
        </sch:rule>
        <sch:rule context="//ObservationRelationship">
            <sch:report test="./Related[not(@uidRef=//Observation/@uid)]">ObservationRelationship:
                Related/@uidRef declared for which there is no corresponding Observation
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ObservedEnvironment"/>
        <sch:rule context="//ObservedEnvironmentAssignment">
            <sch:report
                test="./AssignedEnvironment[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid)]"
                >ObservedEnvironmentAssignment: AssignedEnvironment/@uidRef declared for which there
                is no corresponding ProductViewDefinition/@xsi:type='ObservedEnvironmentView'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ObservedEnvironmentToDefinition">
            <sch:report test="./DefinedEnvironment[not(@uidRef=//EnvironmentDefinition/@uid)]"
                >ObservedEnvironmentToDefinition: DefinedEnvironment/@uidRef declared for which
                there is no corresponding EnvironmentDefinition @uid</sch:report>
            <sch:report test="./ObservedEnvironment[not(@uidRef=//ObservedEnvironment/@uid)]"
                >ObservedEnvironmentToDefinition: ObservedEnvironment/@uidRef declared for which
                there is no corresponding ObservedEnvironment @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ObservedEnvironmentToDefinitionVersion">
            <sch:report
                test="./DefinedEnvironmentVersion[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid)]"
                >ObservedEnvironmentToDefinitionVersion: DefinedEnvironmentVersion/@uidRef declared
                for which there is no corresponding
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' @uid</sch:report>
            <sch:report
                test="./ObservedEnvironmentVersion[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid)]"
                >ObservedEnvironmentToDefinitionVersion: ObservedEnvironmentVersion/@uidRef declared
                for which there is no corresponding
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ObservedEnvironmentToDefinitionView">
            <sch:report
                test="./DefinedEnvironmentView[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid)]"
                >ObservedEnvironmentToDefinitionView: DefinedEnvironmentView/@uidRef declared for
                which there is no corresponding
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' @uid</sch:report>
            <sch:report
                test="./ObservedEnvironmentView[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid)]"
                >ObservedEnvironmentToDefinitionView: ObservedEnvironmentView/@uidRef declared for
                which there is no corresponding
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ObservedEnvironmentVersion">
            <sch:report test="./VersionOf[not(@uidRef=//ObservedEnvironment/@uid)]"
                >ObservedEnvironmentVersion: VersionOf/@uidRef declared for which there is no
                corresponding ObservedEnvironment @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ObservedEnvironmentView">
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid)]"
                >ObservedEnvironmentView: ViewDefinitionOf/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='ObservedEnvironmentVersion'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ObservedEnvironmentViewDefinitionRelationship">
            <sch:report
                test="./Related[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid)]"
                >ObservedEnvironmentViewDefinitionRelationship: Related/@uidRef declared for which
                there is no corresponding ProductViewDefinition/@xsi:type='ObservedEnvironmentView'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Organization"/>
        <sch:rule context="//OrganizationalLocationIdentification"/>
        <sch:rule context="//OrganizationBasedLocationRepresentation">
            <sch:report
                test="./LocationIdentifications/OrganizationalLocationIdentification[not(@uidRef=//OrganizationalLocationIdentification/@uid)]"
                >OrganizationBasedLocationRepresentation:
                LocationIdentifications.OrganizationalLocationIdentification/@uidRef declared for
                which there is no corresponding OrganizationalLocationIdentification
                @uid</sch:report>
            <sch:report test="./OrganizationForLocation[not(@uidRef=//Organization/@uid)]"
                >OrganizationBasedLocationRepresentation: OrganizationForLocation/@uidRef declared
                for which there is no corresponding Organization @uid</sch:report>
        </sch:rule>
        <sch:rule context="//OrganizationOrganizationTypeRelationship">
            <sch:report test="./OrganizationType[not(@uidRef=//OrganizationType/@uid)]"
                >OrganizationOrganizationTypeRelationship: OrganizationType/@uidRef declared for
                which there is no corresponding OrganizationType @uid</sch:report>
        </sch:rule>
        <sch:rule context="//OrganizationOrPersonInOrganizationAssignment">
            <sch:report
                test="./AssignedEntity[not(@uidRef=//Organization/@uid or @uidRef=//PersonInOrganization/@uid)]"
                >OrganizationOrPersonInOrganizationAssignment: AssignedEntity/@uidRef declared for
                which there is no corresponding Organization or PersonInOrganization</sch:report>
        </sch:rule>
        <sch:rule context="//OrganizationRelationship">
            <sch:report test="./Related[not(@uidRef=//Organization/@uid)]">OrganizationRelationship:
                Related/@uidRef declared for which there is no corresponding Organization
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//OrganizationType"/>
        <sch:rule context="//OrStateCauseEffectDefinition"/>
        <sch:rule context="//ParameterizedDistribution"/>
        <sch:rule context="//Part"/>
        <sch:rule context="//PartialDocumentAssignment"/>
        <sch:rule context="//PartVersion">
            <sch:report test="./VersionOf[not(@uidRef=//Part/@uid)]">PartVersion: VersionOf/@uidRef
                declared for which there is no corresponding Part @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PartViewDefinition">
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid)]"
                >PartViewDefinition: ViewDefinitionOf/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='PartVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Person"/>
        <sch:rule context="//PersonInOrganization">
            <sch:report test="./ConcernedPerson[not(@uidRef=//Person/@uid)]">PersonInOrganization:
                ConcernedPerson/@uidRef declared for which there is no corresponding Person
                @uid</sch:report>
            <sch:report test="./ContainingOrganization[not(@uidRef=//Organization/@uid)]"
                >PersonInOrganization: ContainingOrganization/@uidRef declared for which there is no
                corresponding Organization @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PersonOrOrganizationOrPersonInOrganizationInPosition">
            <sch:report
                test="./PersonOrOrganization[not(@uidRef=//Organization/@uid or @uidRef=//Person/@uid or @uidRef=//PersonInOrganization/@uid)]"
                >PersonOrOrganizationOrPersonInOrganizationInPosition: PersonOrOrganization/@uidRef
                declared for which there is no corresponding Organization or Person or
                PersonInOrganization</sch:report>
            <sch:report test="./Position[not(@uidRef=//Position/@uid)]"
                >PersonOrOrganizationOrPersonInOrganizationInPosition: Position/@uidRef declared for
                which there is no corresponding Position @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PersonOrOrganizationOrPersonInOrganizationInPositionRelationship">
            <sch:report
                test="./Related[not(@uidRef=//PersonOrOrganizationOrPersonInOrganizationInPosition/@uid)]"
                >PersonOrOrganizationOrPersonInOrganizationInPositionRelationship: Related/@uidRef
                declared for which there is no corresponding
                PersonOrOrganizationOrPersonInOrganizationInPosition @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PhysicalBreakdown"/>
        <sch:rule context="//PhysicalBreakdownContext">
            <sch:report
                test="./Breakdown[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid)]"
                >PhysicalBreakdownContext: Breakdown/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='PhysicalBreakdownVersion' @uid</sch:report>
            <sch:report
                test="./BreakdownElement[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid)]"
                >PhysicalBreakdownContext: BreakdownElement/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='PhysicalElementDefinition'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PhysicalBreakdownVersion">
            <sch:report test="./VersionOf[not(@uidRef=//PhysicalBreakdown/@uid)]"
                >PhysicalBreakdownVersion: VersionOf/@uidRef declared for which there is no
                corresponding PhysicalBreakdown @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PhysicalDocumentDefinition">
            <sch:report test="./Components/Hardcopy[not(@uidRef=//Hardcopy/@uid)]"
                >PhysicalDocumentDefinition: Components.Hardcopy/@uidRef declared for which there is
                no corresponding Hardcopy @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PhysicalElement"/>
        <sch:rule context="//PhysicalElementDefinition">
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid)]"
                >PhysicalElementDefinition: ViewDefinitionOf/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='PhysicalElementVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PhysicalElementUsage">
            <sch:report
                test="./Related[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid)]"
                >PhysicalElementUsage: Related/@uidRef declared for which there is no corresponding
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PhysicalElementVersion">
            <sch:report test="./VersionOf[not(@uidRef=//PhysicalElement/@uid)]"
                >PhysicalElementVersion: VersionOf/@uidRef declared for which there is no
                corresponding PhysicalElement @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Position">
            <sch:report test="./Address[not(@uidRef=//Address/@uid)]">Position: Address/@uidRef
                declared for which there is no corresponding Address @uid</sch:report>
            <sch:report
                test="./PositionContext[not(@uidRef=//Organization/@uid or @uidRef=//PositionGroup/@uid or @uidRef=//Project/@uid)]"
                >Position: PositionContext/@uidRef declared for which there is no corresponding
                Organization or PositionGroup or Project</sch:report>
        </sch:rule>
        <sch:rule context="//PositionAssignment">
            <sch:report test="./AssignedPosition[not(@uidRef=//Position/@uid)]">PositionAssignment:
                AssignedPosition/@uidRef declared for which there is no corresponding Position
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PositionGroup"/>
        <sch:rule context="//PositionGroupAssignment">
            <sch:report test="./AssignedPositionGroup[not(@uidRef=//PositionGroup/@uid)]"
                >PositionGroupAssignment: AssignedPositionGroup/@uidRef declared for which there is
                no corresponding PositionGroup @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PositionGroupRelationship">
            <sch:report test="./Position[not(@uidRef=//Position/@uid)]">PositionGroupRelationship:
                Position/@uidRef declared for which there is no corresponding Position
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PositionPositionTypeAssignment">
            <sch:report test="./AssignedPositionType[not(@uidRef=//PositionType/@uid)]"
                >PositionPositionTypeAssignment: AssignedPositionType/@uidRef declared for which
                there is no corresponding PositionType @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PositionRelationship">
            <sch:report test="./Related[not(@uidRef=//Position/@uid)]">PositionRelationship:
                Related/@uidRef declared for which there is no corresponding Position
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PositionType">
            <sch:report test="./DefinedBy[not(@uidRef=//TypeOfPerson/@uid)]">PositionType:
                DefinedBy/@uidRef declared for which there is no corresponding TypeOfPerson
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PositionTypeAssignment">
            <sch:report test="./AssignedPositionType[not(@uidRef=//PositionType/@uid)]"
                >PositionTypeAssignment: AssignedPositionType/@uidRef declared for which there is no
                corresponding PositionType @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PrecisionQualifier"/>
        <sch:rule context="//PreDefinedTypeQualifier"/>
        <sch:rule context="//ProbabilityByName">
            <sch:report test="./ProbabilityValue[not(@uidRef=//ProbabilityNamedValue/@uid)]"
                >ProbabilityByName: ProbabilityValue/@uidRef declared for which there is no
                corresponding ProbabilityNamedValue @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ProbabilityDerivationParameter"/>
        <sch:rule context="//ProbabilityDerived"/>
        <sch:rule context="//ProbabilityDistributionParameter"/>
        <sch:rule context="//ProbabilityFunctionValue"/>
        <sch:rule context="//ProbabilityNamedValue"/>
        <sch:rule context="//ProbabilityNumeric"/>
        <sch:rule context="//ProbabilityNumericValue"/>
        <sch:rule context="//Product"/>
        <sch:rule context="//ProductAsIndividual"/>
        <sch:rule context="//ProductAsIndividualEffectivity">
            <sch:report test="./Items/ProductAsIndividual[not(@uidRef=//ProductAsIndividual/@uid)]"
                >ProductAsIndividualEffectivity: Items.ProductAsIndividual/@uidRef declared for
                which there is no corresponding ProductAsIndividual @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ProductAsIndividualView">
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid)]"
                >ProductAsIndividualView: ViewDefinitionOf/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ProductAsPlanned"/>
        <sch:rule context="//ProductAsRealized"/>
        <sch:rule context="//ProductBasedLocationIdentification">
            <sch:report
                test="./ReferencedProduct[not(@uidRef=//InterfaceConnection/@uid or @uidRef=//HierarchicalInterfaceConnection/@uid or @uidRef=//InterfaceConnectorOccurrence/@uid or @uidRef=//InterfaceDefinitionConnection/@uid or @uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid)]"
                >ProductBasedLocationIdentification: ReferencedProduct/@uidRef declared for which
                there is no corresponding InterfaceConnection or HierarchicalInterfaceConnection or
                InterfaceConnectorOccurrence or InterfaceDefinitionConnection or Product or Analysis
                or AttachmentSlot or Breakdown or FunctionalBreakdown or PhysicalBreakdown or
                SystemBreakdown or ZoneBreakdown or BreakdownElement or FunctionalElement or
                PhysicalElement or SystemElement or ZoneElement or Collection or Document or
                EnvironmentDefinition or InterfaceConnector or InterfaceSpecification or
                ObservedEnvironment or Part or ProductAsIndividual or Requirement or Risk or System
                or ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or
                ProductVersion/@xsi:type='SystemVersion'</sch:report>
        </sch:rule>
        <sch:rule context="//ProductConcept">
            <sch:report test="./TargetMarket[not(@uidRef=//Market/@uid)]">ProductConcept:
                TargetMarket/@uidRef declared for which there is no corresponding Market
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ProductConfiguration">
            <sch:report test="./ItemContext[not(@uidRef=//ProductConcept/@uid)]"
                >ProductConfiguration: ItemContext/@uidRef declared for which there is no
                corresponding ProductConcept @uid</sch:report>
            <sch:report test="./CorrespondingDesign[not(@uidRef=//ItemDesignAssociation/@uid)]"
                >ProductConfiguration: CorrespondingDesign/@uidRef declared for which there is no
                corresponding ItemDesignAssociation @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ProductConfigurationHierarchicalRelationship"/>
        <sch:rule context="//ProductConfigurationRelationship">
            <sch:report test="./Related[not(@uidRef=//ProductConfiguration/@uid)]"
                >ProductConfigurationRelationship: Related/@uidRef declared for which there is no
                corresponding ProductConfiguration @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ProductConfigurationRevisionSequence"/>
        <sch:rule context="//ProductDefinitionElementRelationship">
            <sch:report
                test="./Breakdown[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid)]"
                >ProductDefinitionElementRelationship: Breakdown/@uidRef declared for which there is
                no corresponding ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                RelationshipObject/@xsi:type='BreakdownElementUsage' or
                RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage'</sch:report>
            <sch:report
                test="./Product[not(@uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid or @uidRef=//InterfaceConnectorOccurrence/@uid or @uidRef=//ProductGroup/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//ResourceItem/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='MakeFromRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductInAttachmentSlot']/@uid)]"
                >ProductDefinitionElementRelationship: Product/@uidRef declared for which there is
                no corresponding RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' or
                InterfaceConnectorOccurrence or ProductGroup or
                ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or ResourceItem or
                RelationshipObject/@xsi:type='ViewDefinitionUsage' or
                RelationshipObject/@xsi:type='BreakdownElementUsage' or
                RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage' or
                RelationshipObject/@xsi:type='MakeFromRelationship' or
                RelationshipObject/@xsi:type='ProductInAttachmentSlot'</sch:report>
        </sch:rule>
        <sch:rule context="//ProductDesignToIndividual">
            <sch:report
                test="./ProductDesign[not(@uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid)]"
                >ProductDesignToIndividual: ProductDesign/@uidRef declared for which there is no
                corresponding Product or Analysis or AttachmentSlot or Breakdown or
                FunctionalBreakdown or PhysicalBreakdown or SystemBreakdown or ZoneBreakdown or
                BreakdownElement or FunctionalElement or PhysicalElement or SystemElement or
                ZoneElement or Collection or Document or EnvironmentDefinition or InterfaceConnector
                or InterfaceSpecification or ObservedEnvironment or Part or ProductAsIndividual or
                Requirement or Risk or System @uid</sch:report>
            <sch:report test="./IndividualProduct[not(@uidRef=//ProductAsIndividual/@uid)]"
                >ProductDesignToIndividual: IndividualProduct/@uidRef declared for which there is no
                corresponding ProductAsIndividual @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ProductDesignVersionToIndividual">
            <sch:report
                test="./ProductDesignVersion[not(@uidRef=//ProductConfiguration/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid)]"
                >ProductDesignVersionToIndividual: ProductDesignVersion/@uidRef declared for which
                there is no corresponding ProductConfiguration or
                ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or
                ProductVersion/@xsi:type='SystemVersion'</sch:report>
            <sch:report
                test="./IndividualProduct[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid)]"
                >ProductDesignVersionToIndividual: IndividualProduct/@uidRef declared for which
                there is no corresponding ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ProductDesignViewToIndividual">
            <sch:report
                test="./ProductAsIndividualView[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid)]"
                >ProductDesignViewToIndividual: ProductAsIndividualView/@uidRef declared for which
                there is no corresponding ProductViewDefinition/@xsi:type='ProductAsIndividualView'
                @uid</sch:report>
            <sch:report
                test="./ProductViewDefinition[not(@uidRef=//ProductConfiguration/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid)]"
                >ProductDesignViewToIndividual: ProductViewDefinition/@uidRef declared for which
                there is no corresponding ProductConfiguration or
                ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition'</sch:report>
        </sch:rule>
        <sch:rule context="//ProductGroup"/>
        <sch:rule context="//ProductGroupMembership">
            <sch:report
                test="./Member[not(@uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid or @uidRef=//ProductConcept/@uid or @uidRef=//ProductGroup/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid)]"
                >ProductGroupMembership: Member/@uidRef declared for which there is no corresponding
                Product or Analysis or AttachmentSlot or Breakdown or FunctionalBreakdown or
                PhysicalBreakdown or SystemBreakdown or ZoneBreakdown or BreakdownElement or
                FunctionalElement or PhysicalElement or SystemElement or ZoneElement or Collection
                or Document or EnvironmentDefinition or InterfaceConnector or InterfaceSpecification
                or ObservedEnvironment or Part or ProductAsIndividual or Requirement or Risk or
                System or ProductConcept or ProductGroup or
                ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or
                ProductVersion/@xsi:type='SystemVersion'</sch:report>
            <sch:report test="./OfGroup[not(@uidRef=//ProductGroup/@uid)]">ProductGroupMembership:
                OfGroup/@uidRef declared for which there is no corresponding ProductGroup
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ProductGroupRelationship">
            <sch:report test="./Related[not(@uidRef=//ProductGroup/@uid)]">ProductGroupRelationship:
                Related/@uidRef declared for which there is no corresponding ProductGroup
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ProductInAttachmentSlot">
            <sch:report
                test="./Related[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid)]"
                >ProductInAttachmentSlot: Related/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='AttachmentSlotDefinition'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ProductPlannedToRealized">
            <sch:report
                test="./PlannedProduct[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid)]"
                >ProductPlannedToRealized: PlannedProduct/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='ProductAsPlanned' @uid</sch:report>
            <sch:report
                test="./RealizedProduct[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid)]"
                >ProductPlannedToRealized: RealizedProduct/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='ProductAsRealized' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ProductRelationship">
            <sch:report
                test="./Related[not(@uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid)]"
                >ProductRelationship: Related/@uidRef declared for which there is no corresponding
                Product or Analysis or AttachmentSlot or Breakdown or FunctionalBreakdown or
                PhysicalBreakdown or SystemBreakdown or ZoneBreakdown or BreakdownElement or
                FunctionalElement or PhysicalElement or SystemElement or ZoneElement or Collection
                or Document or EnvironmentDefinition or InterfaceConnector or InterfaceSpecification
                or ObservedEnvironment or Part or ProductAsIndividual or Requirement or Risk or
                System @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ProductVersion">
            <sch:report
                test="./VersionOf[not(@uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid)]"
                >ProductVersion: VersionOf/@uidRef declared for which there is no corresponding
                Product or Analysis or AttachmentSlot or Breakdown or FunctionalBreakdown or
                PhysicalBreakdown or SystemBreakdown or ZoneBreakdown or BreakdownElement or
                FunctionalElement or PhysicalElement or SystemElement or ZoneElement or Collection
                or Document or EnvironmentDefinition or InterfaceConnector or InterfaceSpecification
                or ObservedEnvironment or Part or ProductAsIndividual or Requirement or Risk or
                System @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ProductVersionRelationship">
            <sch:report
                test="./Related[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid)]"
                >ProductVersionRelationship: Related/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ProductViewDefinition">
            <sch:report test="./InitialContext[not(@uidRef=//ViewDefinitionContext/@uid)]"
                >ProductViewDefinition: InitialContext/@uidRef declared for which there is no
                corresponding ViewDefinitionContext @uid</sch:report>
            <sch:report
                test="./AdditionalContexts/ViewDefinitionContext[not(@uidRef=//ViewDefinitionContext/@uid)]"
                >ProductViewDefinition: AdditionalContexts.ViewDefinitionContext/@uidRef declared
                for which there is no corresponding ViewDefinitionContext @uid</sch:report>
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid)]"
                >ProductViewDefinition: ViewDefinitionOf/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Project">
            <sch:report
                test="./ResponsibleOrganizations/Organization[not(@uidRef=//Organization/@uid)]"
                >Project: ResponsibleOrganizations.Organization/@uidRef declared for which there is
                no corresponding Organization @uid</sch:report>
            <sch:report
                test="./PlannedStartDateActivity[not(@uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid)]"
                >Project: PlannedStartDateActivity/@uidRef declared for which there is no
                corresponding Activity or ActivityActual or DirectedActivity @uid</sch:report>
            <sch:report
                test="./PlannedEndDateActivity[not(@uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid)]"
                >Project: PlannedEndDateActivity/@uidRef declared for which there is no
                corresponding Activity or ActivityActual or DirectedActivity @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ProjectAssignment">
            <sch:report test="./AssignedProject[not(@uidRef=//Project/@uid)]">ProjectAssignment:
                AssignedProject/@uidRef declared for which there is no corresponding Project
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ProjectRelationship">
            <sch:report test="./Related[not(@uidRef=//Project/@uid)]">ProjectRelationship:
                Related/@uidRef declared for which there is no corresponding Project
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PromissoryAssemblyViewUsage"/>
        <sch:rule context="//PropertyDefinitionAssignment">
            <sch:report
                test="./AssignedPropertyDefinition[not(@uidRef=//ExternalPropertyDefinition/@uid)]"
                >PropertyDefinitionAssignment: AssignedPropertyDefinition/@uidRef declared for which
                there is no corresponding ExternalPropertyDefinition @uid</sch:report>
            <sch:report test="./AllowedUnits/ExternalUnit[not(@uidRef=//ExternalUnit/@uid)]"
                >PropertyDefinitionAssignment: AllowedUnits.ExternalUnit/@uidRef declared for which
                there is no corresponding ExternalUnit @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PropertyDefinitionRelationship">
            <sch:report test="./Related[not(@uidRef=//ExternalPropertyDefinition/@uid)]"
                >PropertyDefinitionRelationship: Related/@uidRef declared for which there is no
                corresponding ExternalPropertyDefinition @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PropertyValueAssignment">
            <sch:report
                test="./ValueAssignmentContext[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyDefinitionAssignment']/@uid)]"
                >PropertyValueAssignment: ValueAssignmentContext/@uidRef declared for which there is
                no corresponding AssignmentObject/@xsi:type='PropertyDefinitionAssignment'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//PropertyValueRelationship">
            <sch:report
                test="./Related[not(@uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityByName']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityNumeric']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDerived']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='DistributionByValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ParameterizedDistribution']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='StringValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueList']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueSet']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='NumericalValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDerivationParameter']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDistributionParameter']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityFunctionValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityNumericValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='RandomVariable']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueLimit']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueRange']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueWithTolerances']/@uid)]"
                >PropertyValueRelationship: Related/@uidRef declared for which there is no
                corresponding PropertyValue/@xsi:type='ProbabilityByName' or
                PropertyValue/@xsi:type='ProbabilityNumeric' or
                PropertyValue/@xsi:type='ProbabilityDerived' or
                PropertyValue/@xsi:type='DistributionByValue' or
                PropertyValue/@xsi:type='ParameterizedDistribution' or
                PropertyValue/@xsi:type='StringValue' or PropertyValue/@xsi:type='ValueList' or
                PropertyValue/@xsi:type='ValueSet' or PropertyValue/@xsi:type='NumericalValue' or
                PropertyValue/@xsi:type='ProbabilityDerivationParameter' or
                PropertyValue/@xsi:type='ProbabilityDistributionParameter' or
                PropertyValue/@xsi:type='ProbabilityFunctionValue' or
                PropertyValue/@xsi:type='ProbabilityNumericValue' or
                PropertyValue/@xsi:type='RandomVariable' or PropertyValue/@xsi:type='ValueLimit' or
                PropertyValue/@xsi:type='ValueRange' or
                PropertyValue/@xsi:type='ValueWithTolerances' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Proxy">
            <sch:report
                test="./Individual[not(@uidRef=//ExternalItem/@uid or @uidRef=//ExternalOwlObject/@uid)]"
                >Proxy: Individual/@uidRef declared for which there is no corresponding ExternalItem
                or ExternalOwlObject</sch:report>
        </sch:rule>
        <sch:rule context="//ProxyRelationship">
            <sch:report
                test="./Related[not(@uidRef=//Proxy[substring-after(@xsi:type, ':')='Proxy']/@uid)]"
                >ProxyRelationship: Related/@uidRef declared for which there is no corresponding
                Proxy/@xsi:type='Proxy' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//QualificationAssignment">
            <sch:report test="./AssignedQualificationType[not(@uidRef=//QualificationType/@uid)]"
                >QualificationAssignment: AssignedQualificationType/@uidRef declared for which there
                is no corresponding QualificationType @uid</sch:report>
        </sch:rule>
        <sch:rule context="//QualificationType"/>
        <sch:rule context="//QualificationTypeRelationship">
            <sch:report test="./Related[not(@uidRef=//QualificationType/@uid)]"
                >QualificationTypeRelationship: Related/@uidRef declared for which there is no
                corresponding QualificationType @uid</sch:report>
        </sch:rule>
        <sch:rule context="//QualitativeUncertainty"/>
        <sch:rule context="//RandomVariable"/>
        <sch:rule context="//RegionalCoordinate">
            <sch:report test="./GridSystem[not(@uidRef=//RegionalGridLocationRepresentation/@uid)]"
                >RegionalCoordinate: GridSystem/@uidRef declared for which there is no corresponding
                RegionalGridLocationRepresentation @uid</sch:report>
        </sch:rule>
        <sch:rule context="//RegionalGridLocationRepresentation"/>
        <sch:rule context="//RelatedConditionParameter">
            <sch:report
                test="./ConditonEvaluationParameter[not(@uidRef=//ConditionEvaluationParameter[substring-after(@xsi:type, ':')='ConditionEvaluationParameter']/@uid)]"
                >RelatedConditionParameter: ConditonEvaluationParameter/@uidRef declared for which
                there is no corresponding
                ConditionEvaluationParameter/@xsi:type='ConditionEvaluationParameter'
                @uid</sch:report>
            <sch:report
                test="./ConditionParameter[not(@uidRef=//ConditionParameter[substring-after(@xsi:type, ':')='ConditionParameter']/@uid)]"
                >RelatedConditionParameter: ConditionParameter/@uidRef declared for which there is
                no corresponding ConditionParameter/@xsi:type='ConditionParameter' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//RelatedConsequence">
            <sch:report
                test="./Related[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid)]"
                >RelatedConsequence: Related/@uidRef declared for which there is no corresponding
                ProductViewDefinition/@xsi:type='RiskConsequence' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//RepeatCount"/>
        <sch:rule context="//RepeatUntil">
            <sch:report test="./Condition[not(@uidRef=//Condition/@uid)]">RepeatUntil:
                Condition/@uidRef declared for which there is no corresponding Condition
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//RepeatWhile">
            <sch:report test="./Condition[not(@uidRef=//Condition/@uid)]">RepeatWhile:
                Condition/@uidRef declared for which there is no corresponding Condition
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//RequiredResource">
            <sch:report
                test="./Item[not(@uidRef=//DigitalFile/@uid or @uidRef=//Hardcopy/@uid or @uidRef=//Location/@uid or @uidRef=//Organization/@uid or @uidRef=//OrganizationType/@uid or @uidRef=//Person/@uid or @uidRef=//PersonInOrganization/@uid or @uidRef=//Position/@uid or @uidRef=//PositionType/@uid or @uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid or @uidRef=//ProductGroup/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//TypeOfPerson/@uid or @uidRef=//ResourceItem/@uid)]"
                >RequiredResource: Item/@uidRef declared for which there is no corresponding
                DigitalFile or Hardcopy or Location or Organization or OrganizationType or Person or
                PersonInOrganization or Position or PositionType or Product or Analysis or
                AttachmentSlot or Breakdown or FunctionalBreakdown or PhysicalBreakdown or
                SystemBreakdown or ZoneBreakdown or BreakdownElement or FunctionalElement or
                PhysicalElement or SystemElement or ZoneElement or Collection or Document or
                EnvironmentDefinition or InterfaceConnector or InterfaceSpecification or
                ObservedEnvironment or Part or ProductAsIndividual or Requirement or Risk or System
                or ProductGroup or ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                or ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or TypeOfPerson or
                ResourceItem</sch:report>
        </sch:rule>
        <sch:rule context="//RequiredResourceAssignment">
            <sch:report test="./AssignedResource[not(@uidRef=//RequiredResource/@uid)]"
                >RequiredResourceAssignment: AssignedResource/@uidRef declared for which there is no
                corresponding RequiredResource @uid</sch:report>
        </sch:rule>
        <sch:rule context="//RequiredResourceRelationship">
            <sch:report test="./Related[not(@uidRef=//RequiredResource/@uid)]"
                >RequiredResourceRelationship: Related/@uidRef declared for which there is no
                corresponding RequiredResource @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Requirement"/>
        <sch:rule context="//RequirementAssignment">
            <sch:report
                test="./AssignedRequirement[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid)]"
                >RequirementAssignment: AssignedRequirement/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='RequirementViewDefinition'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//RequirementCollectionRelationship"/>
        <sch:rule context="//RequirementSatisfiedBy">
            <sch:report
                test="./SatisfiedBy[not(@uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ActivityMethodAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AlternatePartRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AssemblyRelationshipSubstitution']/@uid or @uidRef=//BreakdownElementRealization/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid or @uidRef=//InterfaceConnectorOccurrence/@uid or @uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid or @uidRef=//ProductConfiguration/@uid or @uidRef=//ProductGroup/@uid or @uidRef=//ProductGroupMembership/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductInAttachmentSlot']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//Project/@uid or @uidRef=//RequiredResource/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RiskEvent']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeEntryAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeSubjectAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeVersionAssignment']/@uid or @uidRef=//State/@uid or @uidRef=//StateObserved/@uid or @uidRef=//StatePredicted/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateAssignment']/@uid or @uidRef=//StateDefinition/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateDefinitionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskElementAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskMethodAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskMethodVersionAssignment']/@uid or @uidRef=//Validation/@uid or @uidRef=//Verification/@uid or @uidRef=//WorkRequest/@uid)]"
                >RequirementSatisfiedBy: SatisfiedBy/@uidRef declared for which there is no
                corresponding ActivityMethod or Scheme or ActivityMethod/@xsi:type='SchemeEntry' or
                ActivityMethod/@xsi:type='SchemeVersion' or ActivityMethod/@xsi:type='EndTask' or
                ActivityMethod/@xsi:type='ExitLoop' or ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' or
                AssignmentObject/@xsi:type='ActivityMethodAssignment' or
                RelationshipObject/@xsi:type='AlternatePartRelationship' or
                RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' or
                RelationshipObject/@xsi:type='AssemblyRelationshipSubstitution' or
                BreakdownElementRealization or RelationshipObject/@xsi:type='BreakdownElementUsage'
                or RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage' or InterfaceConnectorOccurrence or
                Product or Analysis or AttachmentSlot or Breakdown or FunctionalBreakdown or
                PhysicalBreakdown or SystemBreakdown or ZoneBreakdown or BreakdownElement or
                FunctionalElement or PhysicalElement or SystemElement or ZoneElement or Collection
                or Document or EnvironmentDefinition or InterfaceConnector or InterfaceSpecification
                or ObservedEnvironment or Part or ProductAsIndividual or Requirement or Risk or
                System or ProductConfiguration or ProductGroup or ProductGroupMembership or
                RelationshipObject/@xsi:type='ProductInAttachmentSlot' or
                ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                or ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or Project or
                RequiredResource or AssignmentObject/@xsi:type='RiskEvent' or
                AssignmentObject/@xsi:type='SchemeEntryAssignment' or
                AssignmentObject/@xsi:type='SchemeSubjectAssignment' or
                AssignmentObject/@xsi:type='SchemeVersionAssignment' or State or StateObserved or
                StatePredicted or AssignmentObject/@xsi:type='StateAssignment' or StateDefinition or
                AssignmentObject/@xsi:type='StateDefinitionAssignment' or
                AssignmentObject/@xsi:type='TaskElementAssignment' or
                AssignmentObject/@xsi:type='TaskMethodAssignment' or
                AssignmentObject/@xsi:type='TaskMethodVersionAssignment' or Validation or
                Verification or WorkRequest</sch:report>
            <sch:report
                test="./SatisfiedRequirement[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid)]"
                >RequirementSatisfiedBy: SatisfiedRequirement/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='RequirementViewDefinition'
                @uid</sch:report>
            <sch:report
                test="./RelatedAssignment[not(@uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RequirementAssignment']/@uid)]"
                >RequirementSatisfiedBy: RelatedAssignment/@uidRef declared for which there is no
                corresponding AssignmentObject/@xsi:type='RequirementAssignment' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//RequirementSource">
            <sch:report
                test="./Source[not(@uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid or @uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ActivityMethodAssignment']/@uid or @uidRef=//Contract/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='EnvironmentAssignment']/@uid or @uidRef=//InterfaceConnectorOccurrence/@uid or @uidRef=//Observation/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ObservationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ObservedEnvironmentAssignment']/@uid or @uidRef=//Organization/@uid or @uidRef=//PersonInOrganization/@uid or @uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//Project/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='RiskEvent']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeEntryAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeSubjectAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='SchemeVersionAssignment']/@uid or @uidRef=//State/@uid or @uidRef=//StateObserved/@uid or @uidRef=//StatePredicted/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateAssignment']/@uid or @uidRef=//StateDefinition/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateDefinitionAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskElementAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskMethodAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='TaskMethodVersionAssignment']/@uid or @uidRef=//Validation/@uid or @uidRef=//Verification/@uid)]"
                >RequirementSource: Source/@uidRef declared for which there is no corresponding
                Activity or ActivityActual or DirectedActivity or ActivityMethod or Scheme or
                ActivityMethod/@xsi:type='SchemeEntry' or ActivityMethod/@xsi:type='SchemeVersion'
                or ActivityMethod/@xsi:type='EndTask' or ActivityMethod/@xsi:type='ExitLoop' or
                ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' or
                AssignmentObject/@xsi:type='ActivityMethodAssignment' or Contract or
                AssignmentObject/@xsi:type='EnvironmentAssignment' or InterfaceConnectorOccurrence
                or Observation or AssignmentObject/@xsi:type='ObservationAssignment' or
                AssignmentObject/@xsi:type='ObservedEnvironmentAssignment' or Organization or
                PersonInOrganization or Product or Analysis or AttachmentSlot or Breakdown or
                FunctionalBreakdown or PhysicalBreakdown or SystemBreakdown or ZoneBreakdown or
                BreakdownElement or FunctionalElement or PhysicalElement or SystemElement or
                ZoneElement or Collection or Document or EnvironmentDefinition or InterfaceConnector
                or InterfaceSpecification or ObservedEnvironment or Part or ProductAsIndividual or
                Requirement or Risk or System or ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                or ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or Project or
                AssignmentObject/@xsi:type='RiskEvent' or
                AssignmentObject/@xsi:type='SchemeEntryAssignment' or
                AssignmentObject/@xsi:type='SchemeSubjectAssignment' or
                AssignmentObject/@xsi:type='SchemeVersionAssignment' or State or StateObserved or
                StatePredicted or AssignmentObject/@xsi:type='StateAssignment' or StateDefinition or
                AssignmentObject/@xsi:type='StateDefinitionAssignment' or
                AssignmentObject/@xsi:type='TaskElementAssignment' or
                AssignmentObject/@xsi:type='TaskMethodAssignment' or
                AssignmentObject/@xsi:type='TaskMethodVersionAssignment' or Validation or
                Verification</sch:report>
            <sch:report
                test="./SourcedRequirement[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid)]"
                >RequirementSource: SourcedRequirement/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='RequirementViewDefinition'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//RequirementVersion">
            <sch:report test="./VersionOf[not(@uidRef=//Requirement/@uid)]">RequirementVersion:
                VersionOf/@uidRef declared for which there is no corresponding Requirement
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//RequirementVersionRelationship">
            <sch:report
                test="./Related[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid)]"
                >RequirementVersionRelationship: Related/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='RequirementVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//RequirementViewDefinition">
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid)]"
                >RequirementViewDefinition: ViewDefinitionOf/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='RequirementVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//RequirementViewDefinitionRelationship">
            <sch:report
                test="./Relating[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid)]"
                >RequirementViewDefinitionRelationship: Relating/@uidRef declared for which there is
                no corresponding ProductViewDefinition/@xsi:type='RequirementViewDefinition'
                @uid</sch:report>
            <sch:report
                test="./Related[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid)]"
                >RequirementViewDefinitionRelationship: Related/@uidRef declared for which there is
                no corresponding ProductViewDefinition/@xsi:type='RequirementViewDefinition'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ResourceAsRealized">
            <sch:report
                test="./Item[not(@uidRef=//DigitalFile/@uid or @uidRef=//Hardcopy/@uid or @uidRef=//Location/@uid or @uidRef=//Organization/@uid or @uidRef=//OrganizationType/@uid or @uidRef=//Person/@uid or @uidRef=//PersonInOrganization/@uid or @uidRef=//Position/@uid or @uidRef=//PositionType/@uid or @uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid or @uidRef=//ProductGroup/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//TypeOfPerson/@uid or @uidRef=//ResourceItem/@uid)]"
                >ResourceAsRealized: Item/@uidRef declared for which there is no corresponding
                DigitalFile or Hardcopy or Location or Organization or OrganizationType or Person or
                PersonInOrganization or Position or PositionType or Product or Analysis or
                AttachmentSlot or Breakdown or FunctionalBreakdown or PhysicalBreakdown or
                SystemBreakdown or ZoneBreakdown or BreakdownElement or FunctionalElement or
                PhysicalElement or SystemElement or ZoneElement or Collection or Document or
                EnvironmentDefinition or InterfaceConnector or InterfaceSpecification or
                ObservedEnvironment or Part or ProductAsIndividual or Requirement or Risk or System
                or ProductGroup or ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                or ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or TypeOfPerson or
                ResourceItem</sch:report>
        </sch:rule>
        <sch:rule context="//ResourceAsRealizedAssignment">
            <sch:report test="./AssignedResource[not(@uidRef=//ResourceAsRealized/@uid)]"
                >ResourceAsRealizedAssignment: AssignedResource/@uidRef declared for which there is
                no corresponding ResourceAsRealized @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ResourceAsRealizedRelationship">
            <sch:report
                test="./Related[not(@uidRef=//RequiredResource/@uid or @uidRef=//DecreasingResourceEvent/@uid or @uidRef=//IncreasingResourceEvent/@uid)]"
                >ResourceAsRealizedRelationship: Related/@uidRef declared for which there is no
                corresponding RequiredResource or DecreasingResourceEvent or
                IncreasingResourceEvent</sch:report>
        </sch:rule>
        <sch:rule context="//ResourceEventCorrespondenceRelationship">
            <sch:report test="./Related[not(@uidRef=//RequiredResource/@uid)]"
                >ResourceEventCorrespondenceRelationship: Related/@uidRef declared for which there
                is no corresponding RequiredResource @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ResourceEventRelationship">
            <sch:report
                test="./Related[not(@uidRef=//DecreasingResourceEvent/@uid or @uidRef=//IncreasingResourceEvent/@uid)]"
                >ResourceEventRelationship: Related/@uidRef declared for which there is no
                corresponding DecreasingResourceEvent or IncreasingResourceEvent @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ResourceGroupRelationship"/>
        <sch:rule context="//ResourceItem"/>
        <sch:rule context="//ResourceItemAssignment">
            <sch:report test="./AssignedResource[not(@uidRef=//ResourceItem/@uid)]"
                >ResourceItemAssignment: AssignedResource/@uidRef declared for which there is no
                corresponding ResourceItem @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ResourceItemRealization">
            <sch:report
                test="./Item[not(@uidRef=//DigitalFile/@uid or @uidRef=//Hardcopy/@uid or @uidRef=//Location/@uid or @uidRef=//Organization/@uid or @uidRef=//OrganizationType/@uid or @uidRef=//Person/@uid or @uidRef=//PersonInOrganization/@uid or @uidRef=//Position/@uid or @uidRef=//PositionType/@uid or @uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid or @uidRef=//ProductGroup/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//TypeOfPerson/@uid)]"
                >ResourceItemRealization: Item/@uidRef declared for which there is no corresponding
                DigitalFile or Hardcopy or Location or Organization or OrganizationType or Person or
                PersonInOrganization or Position or PositionType or Product or Analysis or
                AttachmentSlot or Breakdown or FunctionalBreakdown or PhysicalBreakdown or
                SystemBreakdown or ZoneBreakdown or BreakdownElement or FunctionalElement or
                PhysicalElement or SystemElement or ZoneElement or Collection or Document or
                EnvironmentDefinition or InterfaceConnector or InterfaceSpecification or
                ObservedEnvironment or Part or ProductAsIndividual or Requirement or Risk or System
                or ProductGroup or ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                or ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or TypeOfPerson</sch:report>
            <sch:report test="./ResourceItem[not(@uidRef=//ResourceItem/@uid)]"
                >ResourceItemRealization: ResourceItem/@uidRef declared for which there is no
                corresponding ResourceItem @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ResourceItemRelationship">
            <sch:report test="./Related[not(@uidRef=//ResourceItem/@uid)]">ResourceItemRelationship:
                Related/@uidRef declared for which there is no corresponding ResourceItem
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Risk"/>
        <sch:rule context="//RiskConsequence"/>
        <sch:rule context="//RiskEvent">
            <sch:report
                test="./AssignedActivityMethod[not(@uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid)]"
                >RiskEvent: AssignedActivityMethod/@uidRef declared for which there is no
                corresponding ActivityMethod or Scheme or ActivityMethod/@xsi:type='SchemeEntry' or
                ActivityMethod/@xsi:type='SchemeVersion' or ActivityMethod/@xsi:type='EndTask' or
                ActivityMethod/@xsi:type='ExitLoop' or ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//RiskImpactAssignment">
            <sch:report
                test="./AssignedRiskImpact[not(@uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ActivityAssignment']/@uid or @uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ActivityRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ActivityHappening']/@uid or @uidRef=//Approval/@uid or @uidRef=//Condition/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='DefinedStateRelationship']/@uid or @uidRef=//Organization/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='OrganizationOrPersonInOrganizationAssignment']/@uid or @uidRef=//Person/@uid or @uidRef=//PersonInOrganization/@uid or @uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AnalysisVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AnalysisVersionSequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CollectionVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CollectionVersionSequenceRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SuppliedPartRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemVersionSequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityByName']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityNumeric']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDerived']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='DistributionByValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ParameterizedDistribution']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='StringValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueList']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueSet']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='NumericalValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDerivationParameter']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDistributionParameter']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityFunctionValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityNumericValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='RandomVariable']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueLimit']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueRange']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueWithTolerances']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PropertyValueRelationship']/@uid or @uidRef=//ResourceItem/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ResourceItemAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ResourceItemRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ResourceGroupRelationship']/@uid or @uidRef=//State/@uid or @uidRef=//StateObserved/@uid or @uidRef=//StatePredicted/@uid or @uidRef=//StateAssertion/@uid or @uidRef=//StateAssessment/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CompositionOfStateDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SequenceOfStateDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateCauseEffectDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AndStateCauseEffectDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='OrStateCauseEffectDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='XorStateCauseEffectDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateComplementDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateProperSubsetDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateSubsetDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateSymptomDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateTransitionDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CompositionOfState']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SequenceOfState']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateCauseEffect']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StatePredictedToObserved']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateTransition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CausalConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='EnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ObservedEnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RelatedConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementCollectionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TracingRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RiskPerceptionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='MakeFromRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductInAttachmentSlot']/@uid)]"
                >RiskImpactAssignment: AssignedRiskImpact/@uidRef declared for which there is no
                corresponding Activity or ActivityActual or DirectedActivity or
                AssignmentObject/@xsi:type='ActivityAssignment' or ActivityMethod or Scheme or
                ActivityMethod/@xsi:type='SchemeEntry' or ActivityMethod/@xsi:type='SchemeVersion'
                or ActivityMethod/@xsi:type='EndTask' or ActivityMethod/@xsi:type='ExitLoop' or
                ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' or
                RelationshipObject/@xsi:type='ActivityRelationship' or
                RelationshipObject/@xsi:type='ActivityHappening' or Approval or Condition or
                RelationshipObject/@xsi:type='DefinedStateRelationship' or Organization or
                AssignmentObject/@xsi:type='OrganizationOrPersonInOrganizationAssignment' or Person
                or PersonInOrganization or Product or Analysis or AttachmentSlot or Breakdown or
                FunctionalBreakdown or PhysicalBreakdown or SystemBreakdown or ZoneBreakdown or
                BreakdownElement or FunctionalElement or PhysicalElement or SystemElement or
                ZoneElement or Collection or Document or EnvironmentDefinition or InterfaceConnector
                or InterfaceSpecification or ObservedEnvironment or Part or ProductAsIndividual or
                Requirement or Risk or System or ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                or RelationshipObject/@xsi:type='ProductVersionRelationship' or
                RelationshipObject/@xsi:type='AnalysisVersionRelationship' or
                RelationshipObject/@xsi:type='AnalysisVersionSequence' or
                RelationshipObject/@xsi:type='CollectionVersionRelationship' or
                RelationshipObject/@xsi:type='CollectionVersionSequenceRelationship' or
                RelationshipObject/@xsi:type='RequirementVersionRelationship' or
                RelationshipObject/@xsi:type='SuppliedPartRelationship' or
                RelationshipObject/@xsi:type='SystemVersionRelationship' or
                RelationshipObject/@xsi:type='SystemVersionSequence' or
                ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or
                PropertyValue/@xsi:type='ProbabilityByName' or
                PropertyValue/@xsi:type='ProbabilityNumeric' or
                PropertyValue/@xsi:type='ProbabilityDerived' or
                PropertyValue/@xsi:type='DistributionByValue' or
                PropertyValue/@xsi:type='ParameterizedDistribution' or
                PropertyValue/@xsi:type='StringValue' or PropertyValue/@xsi:type='ValueList' or
                PropertyValue/@xsi:type='ValueSet' or PropertyValue/@xsi:type='NumericalValue' or
                PropertyValue/@xsi:type='ProbabilityDerivationParameter' or
                PropertyValue/@xsi:type='ProbabilityDistributionParameter' or
                PropertyValue/@xsi:type='ProbabilityFunctionValue' or
                PropertyValue/@xsi:type='ProbabilityNumericValue' or
                PropertyValue/@xsi:type='RandomVariable' or PropertyValue/@xsi:type='ValueLimit' or
                PropertyValue/@xsi:type='ValueRange' or
                PropertyValue/@xsi:type='ValueWithTolerances' or
                RelationshipObject/@xsi:type='PropertyValueRelationship' or ResourceItem or
                AssignmentObject/@xsi:type='ResourceItemAssignment' or
                RelationshipObject/@xsi:type='ResourceItemRelationship' or
                RelationshipObject/@xsi:type='ResourceGroupRelationship' or State or StateObserved
                or StatePredicted or StateAssertion or StateAssessment or
                AssignmentObject/@xsi:type='StateAssignment' or
                RelationshipObject/@xsi:type='StateDefinitionRelationship' or
                RelationshipObject/@xsi:type='CompositionOfStateDefinition' or
                RelationshipObject/@xsi:type='SequenceOfStateDefinition' or
                RelationshipObject/@xsi:type='StateCauseEffectDefinition' or
                RelationshipObject/@xsi:type='AndStateCauseEffectDefinition' or
                RelationshipObject/@xsi:type='OrStateCauseEffectDefinition' or
                RelationshipObject/@xsi:type='XorStateCauseEffectDefinition' or
                RelationshipObject/@xsi:type='StateComplementDefinition' or
                RelationshipObject/@xsi:type='StateProperSubsetDefinition' or
                RelationshipObject/@xsi:type='StateSubsetDefinition' or
                RelationshipObject/@xsi:type='StateSymptomDefinition' or
                RelationshipObject/@xsi:type='StateTransitionDefinition' or
                RelationshipObject/@xsi:type='StateRelationship' or
                RelationshipObject/@xsi:type='CompositionOfState' or
                RelationshipObject/@xsi:type='SequenceOfState' or
                RelationshipObject/@xsi:type='StateCauseEffect' or
                RelationshipObject/@xsi:type='StatePredictedToObserved' or
                RelationshipObject/@xsi:type='StateTransition' or
                RelationshipObject/@xsi:type='ViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' or
                RelationshipObject/@xsi:type='CausalConsequence' or
                RelationshipObject/@xsi:type='EnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ObservedEnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RelatedConsequence' or
                RelationshipObject/@xsi:type='RequirementViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RequirementCollectionRelationship' or
                RelationshipObject/@xsi:type='TracingRelationship' or
                RelationshipObject/@xsi:type='RiskPerceptionRelationship' or
                RelationshipObject/@xsi:type='ViewDefinitionUsage' or
                RelationshipObject/@xsi:type='BreakdownElementUsage' or
                RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage' or
                RelationshipObject/@xsi:type='MakeFromRelationship' or
                RelationshipObject/@xsi:type='ProductInAttachmentSlot'</sch:report>
        </sch:rule>
        <sch:rule context="//RiskPerception"/>
        <sch:rule context="//RiskPerceptionRelationship">
            <sch:report
                test="./Related[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid)]"
                >RiskPerceptionRelationship: Related/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='RiskPerception' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//RiskPerceptionSourceAssignment">
            <sch:report
                test="./AssignedRiskSource[not(@uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid or @uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ActivityRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ActivityHappening']/@uid or @uidRef=//Approval/@uid or @uidRef=//ApprovingPersonOrganization/@uid or @uidRef=//Condition/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='DefinedStateRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='DocumentAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PartialDocumentAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='EnvironmentAssignment']/@uid or @uidRef=//DigitalFile/@uid or @uidRef=//Hardcopy/@uid or @uidRef=//Justification/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='JustificationAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='JustificationRelationship']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='JustificationSupportAssignment']/@uid or @uidRef=//Observation/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ObservationAssignment']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ObservedEnvironmentAssignment']/@uid or @uidRef=//Organization/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='OrganizationOrPersonInOrganizationAssignment']/@uid or @uidRef=//Person/@uid or @uidRef=//PersonInOrganization/@uid or @uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AnalysisVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AnalysisVersionSequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CollectionVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CollectionVersionSequenceRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SuppliedPartRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemVersionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemVersionSequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyDefinitionAssignment']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityByName']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityNumeric']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDerived']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='DistributionByValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ParameterizedDistribution']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='StringValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueList']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueSet']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='NumericalValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDerivationParameter']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityDistributionParameter']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityFunctionValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ProbabilityNumericValue']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='RandomVariable']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueLimit']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueRange']/@uid or @uidRef=//PropertyValue[substring-after(@xsi:type, ':')='ValueWithTolerances']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='PropertyValueAssignment']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PropertyValueRelationship']/@uid or @uidRef=//ResourceItem/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='ResourceItemAssignment']/@uid or @uidRef=//ResourceItemRealization/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ResourceItemRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ResourceGroupRelationship']/@uid or @uidRef=//State/@uid or @uidRef=//StateObserved/@uid or @uidRef=//StatePredicted/@uid or @uidRef=//StateAssertion/@uid or @uidRef=//StateAssessment/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateAssignment']/@uid or @uidRef=//StateDefinition/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CompositionOfStateDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SequenceOfStateDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateCauseEffectDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='AndStateCauseEffectDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='OrStateCauseEffectDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='XorStateCauseEffectDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateComplementDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateProperSubsetDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateSubsetDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateSymptomDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateTransitionDefinition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CompositionOfState']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SequenceOfState']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateCauseEffect']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StatePredictedToObserved']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='StateTransition']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ComponentUpperLevelIdentification']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='NextAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PromissoryAssemblyViewUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='CausalConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='EnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ObservedEnvironmentViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RelatedConsequence']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementViewDefinitionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RequirementCollectionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='TracingRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='RiskPerceptionRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ViewDefinitionUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='BreakdownElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='FunctionalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='PhysicalElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='SystemElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ZoneElementUsage']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='MakeFromRelationship']/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ProductInAttachmentSlot']/@uid)]"
                >RiskPerceptionSourceAssignment: AssignedRiskSource/@uidRef declared for which there
                is no corresponding Activity or ActivityActual or DirectedActivity or ActivityMethod
                or Scheme or ActivityMethod/@xsi:type='SchemeEntry' or
                ActivityMethod/@xsi:type='SchemeVersion' or ActivityMethod/@xsi:type='EndTask' or
                ActivityMethod/@xsi:type='ExitLoop' or ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' or
                RelationshipObject/@xsi:type='ActivityRelationship' or
                RelationshipObject/@xsi:type='ActivityHappening' or Approval or
                ApprovingPersonOrganization or Condition or
                RelationshipObject/@xsi:type='DefinedStateRelationship' or
                AssignmentObject/@xsi:type='DocumentAssignment' or
                AssignmentObject/@xsi:type='PartialDocumentAssignment' or
                AssignmentObject/@xsi:type='EnvironmentAssignment' or DigitalFile or Hardcopy or
                Justification or AssignmentObject/@xsi:type='JustificationAssignment' or
                RelationshipObject/@xsi:type='JustificationRelationship' or
                AssignmentObject/@xsi:type='JustificationSupportAssignment' or Observation or
                AssignmentObject/@xsi:type='ObservationAssignment' or
                AssignmentObject/@xsi:type='ObservedEnvironmentAssignment' or Organization or
                AssignmentObject/@xsi:type='OrganizationOrPersonInOrganizationAssignment' or Person
                or PersonInOrganization or Product or Analysis or AttachmentSlot or Breakdown or
                FunctionalBreakdown or PhysicalBreakdown or SystemBreakdown or ZoneBreakdown or
                BreakdownElement or FunctionalElement or PhysicalElement or SystemElement or
                ZoneElement or Collection or Document or EnvironmentDefinition or InterfaceConnector
                or InterfaceSpecification or ObservedEnvironment or Part or ProductAsIndividual or
                Requirement or Risk or System or ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                or RelationshipObject/@xsi:type='ProductVersionRelationship' or
                RelationshipObject/@xsi:type='AnalysisVersionRelationship' or
                RelationshipObject/@xsi:type='AnalysisVersionSequence' or
                RelationshipObject/@xsi:type='CollectionVersionRelationship' or
                RelationshipObject/@xsi:type='CollectionVersionSequenceRelationship' or
                RelationshipObject/@xsi:type='RequirementVersionRelationship' or
                RelationshipObject/@xsi:type='SuppliedPartRelationship' or
                RelationshipObject/@xsi:type='SystemVersionRelationship' or
                RelationshipObject/@xsi:type='SystemVersionSequence' or
                ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or
                AssignmentObject/@xsi:type='PropertyDefinitionAssignment' or
                PropertyValue/@xsi:type='ProbabilityByName' or
                PropertyValue/@xsi:type='ProbabilityNumeric' or
                PropertyValue/@xsi:type='ProbabilityDerived' or
                PropertyValue/@xsi:type='DistributionByValue' or
                PropertyValue/@xsi:type='ParameterizedDistribution' or
                PropertyValue/@xsi:type='StringValue' or PropertyValue/@xsi:type='ValueList' or
                PropertyValue/@xsi:type='ValueSet' or PropertyValue/@xsi:type='NumericalValue' or
                PropertyValue/@xsi:type='ProbabilityDerivationParameter' or
                PropertyValue/@xsi:type='ProbabilityDistributionParameter' or
                PropertyValue/@xsi:type='ProbabilityFunctionValue' or
                PropertyValue/@xsi:type='ProbabilityNumericValue' or
                PropertyValue/@xsi:type='RandomVariable' or PropertyValue/@xsi:type='ValueLimit' or
                PropertyValue/@xsi:type='ValueRange' or
                PropertyValue/@xsi:type='ValueWithTolerances' or
                AssignmentObject/@xsi:type='PropertyValueAssignment' or
                RelationshipObject/@xsi:type='PropertyValueRelationship' or ResourceItem or
                AssignmentObject/@xsi:type='ResourceItemAssignment' or ResourceItemRealization or
                RelationshipObject/@xsi:type='ResourceItemRelationship' or
                RelationshipObject/@xsi:type='ResourceGroupRelationship' or State or StateObserved
                or StatePredicted or StateAssertion or StateAssessment or
                AssignmentObject/@xsi:type='StateAssignment' or StateDefinition or
                RelationshipObject/@xsi:type='StateDefinitionRelationship' or
                RelationshipObject/@xsi:type='CompositionOfStateDefinition' or
                RelationshipObject/@xsi:type='SequenceOfStateDefinition' or
                RelationshipObject/@xsi:type='StateCauseEffectDefinition' or
                RelationshipObject/@xsi:type='AndStateCauseEffectDefinition' or
                RelationshipObject/@xsi:type='OrStateCauseEffectDefinition' or
                RelationshipObject/@xsi:type='XorStateCauseEffectDefinition' or
                RelationshipObject/@xsi:type='StateComplementDefinition' or
                RelationshipObject/@xsi:type='StateProperSubsetDefinition' or
                RelationshipObject/@xsi:type='StateSubsetDefinition' or
                RelationshipObject/@xsi:type='StateSymptomDefinition' or
                RelationshipObject/@xsi:type='StateTransitionDefinition' or
                RelationshipObject/@xsi:type='StateRelationship' or
                RelationshipObject/@xsi:type='CompositionOfState' or
                RelationshipObject/@xsi:type='SequenceOfState' or
                RelationshipObject/@xsi:type='StateCauseEffect' or
                RelationshipObject/@xsi:type='StatePredictedToObserved' or
                RelationshipObject/@xsi:type='StateTransition' or
                RelationshipObject/@xsi:type='ViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ComponentUpperLevelIdentification' or
                RelationshipObject/@xsi:type='NextAssemblyViewUsage' or
                RelationshipObject/@xsi:type='PromissoryAssemblyViewUsage' or
                RelationshipObject/@xsi:type='CausalConsequence' or
                RelationshipObject/@xsi:type='EnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='ObservedEnvironmentViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RelatedConsequence' or
                RelationshipObject/@xsi:type='RequirementViewDefinitionRelationship' or
                RelationshipObject/@xsi:type='RequirementCollectionRelationship' or
                RelationshipObject/@xsi:type='TracingRelationship' or
                RelationshipObject/@xsi:type='RiskPerceptionRelationship' or
                RelationshipObject/@xsi:type='ViewDefinitionUsage' or
                RelationshipObject/@xsi:type='BreakdownElementUsage' or
                RelationshipObject/@xsi:type='FunctionalElementUsage' or
                RelationshipObject/@xsi:type='PhysicalElementUsage' or
                RelationshipObject/@xsi:type='SystemElementUsage' or
                RelationshipObject/@xsi:type='ZoneElementUsage' or
                RelationshipObject/@xsi:type='MakeFromRelationship' or
                RelationshipObject/@xsi:type='ProductInAttachmentSlot'</sch:report>
        </sch:rule>
        <sch:rule context="//RiskRelationship">
            <sch:report test="./Related[not(@uidRef=//Risk/@uid)]">RiskRelationship: Related/@uidRef
                declared for which there is no corresponding Risk @uid</sch:report>
        </sch:rule>
        <sch:rule context="//RiskVersion">
            <sch:report test="./VersionOf[not(@uidRef=//Risk/@uid)]">RiskVersion: VersionOf/@uidRef
                declared for which there is no corresponding Risk @uid</sch:report>
        </sch:rule>
        <sch:rule context="//Scheme"/>
        <sch:rule context="//SchemeEntry">
            <sch:report
                test="./EntryOf[not(@uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid)]"
                >SchemeEntry: EntryOf/@uidRef declared for which there is no corresponding
                ActivityMethod/@xsi:type='SchemeVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SchemeEntryAssignment">
            <sch:report
                test="./AssignedEntry[not(@uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid)]"
                >SchemeEntryAssignment: AssignedEntry/@uidRef declared for which there is no
                corresponding ActivityMethod/@xsi:type='SchemeEntry' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SchemeEntryRelationship">
            <sch:report
                test="./Related[not(@uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid)]"
                >SchemeEntryRelationship: Related/@uidRef declared for which there is no
                corresponding ActivityMethod/@xsi:type='SchemeEntry' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SchemeRelationship">
            <sch:report test="./Related[not(@uidRef=//Scheme/@uid)]">SchemeRelationship:
                Related/@uidRef declared for which there is no corresponding Scheme
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SchemeSubjectAssignment">
            <sch:report test="./AssignedScheme[not(@uidRef=//Scheme/@uid)]">SchemeSubjectAssignment:
                AssignedScheme/@uidRef declared for which there is no corresponding Scheme
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SchemeVersion">
            <sch:report test="./VersionOf[not(@uidRef=//Scheme/@uid)]">SchemeVersion:
                VersionOf/@uidRef declared for which there is no corresponding Scheme
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SchemeVersionAssignment">
            <sch:report
                test="./AssignedSchemeVersion[not(@uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid)]"
                >SchemeVersionAssignment: AssignedSchemeVersion/@uidRef declared for which there is
                no corresponding ActivityMethod/@xsi:type='SchemeVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SchemeVersionRelationship">
            <sch:report
                test="./Related[not(@uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid)]"
                >SchemeVersionRelationship: Related/@uidRef declared for which there is no
                corresponding ActivityMethod/@xsi:type='SchemeVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SecurityClassification">
            <sch:report
                test="./Definition[not(@uidRef=//ExternalItem/@uid or @uidRef=//ExternalOwlObject/@uid)]"
                >SecurityClassification: Definition/@uidRef declared for which there is no
                corresponding ExternalItem or ExternalOwlObject</sch:report>
        </sch:rule>
        <sch:rule context="//SecurityClassificationAssignment">
            <sch:report
                test="./AssignedSecurityClassification[not(@uidRef=//SecurityClassification/@uid)]"
                >SecurityClassificationAssignment: AssignedSecurityClassification/@uidRef declared
                for which there is no corresponding SecurityClassification @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SelectedItemAssignment">
            <sch:report
                test="./ItemContext/Breakdown[not(@uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid)]"
                >SelectedItemAssignment: ItemContext.Breakdown/@uidRef declared for which there is
                no corresponding Breakdown or FunctionalBreakdown or PhysicalBreakdown or
                SystemBreakdown or ZoneBreakdown @uid</sch:report>
            <sch:report test="./ItemContext/Contract[not(@uidRef=//Contract/@uid)]"
                >SelectedItemAssignment: ItemContext.Contract/@uidRef declared for which there is no
                corresponding Contract @uid</sch:report>
            <sch:report test="./ItemContext/Part[not(@uidRef=//Part/@uid)]">SelectedItemAssignment:
                ItemContext.Part/@uidRef declared for which there is no corresponding Part
                @uid</sch:report>
            <sch:report
                test="./ItemContext/PartVersion[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid)]"
                >SelectedItemAssignment: ItemContext.PartVersion/@uidRef declared for which there is
                no corresponding ProductVersion/@xsi:type='PartVersion' @uid</sch:report>
            <sch:report
                test="./ItemContext/ProductAsIndividual[not(@uidRef=//ProductAsIndividual/@uid)]"
                >SelectedItemAssignment: ItemContext.ProductAsIndividual/@uidRef declared for which
                there is no corresponding ProductAsIndividual @uid</sch:report>
            <sch:report
                test="./ItemContext/ProductAsIndividualVersion[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid)]"
                >SelectedItemAssignment: ItemContext.ProductAsIndividualVersion/@uidRef declared for
                which there is no corresponding ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' @uid</sch:report>
            <sch:report test="./ItemContext/ProductConcept[not(@uidRef=//ProductConcept/@uid)]"
                >SelectedItemAssignment: ItemContext.ProductConcept/@uidRef declared for which there
                is no corresponding ProductConcept @uid</sch:report>
            <sch:report
                test="./ItemContext/ProductConfiguration[not(@uidRef=//ProductConfiguration/@uid)]"
                >SelectedItemAssignment: ItemContext.ProductConfiguration/@uidRef declared for which
                there is no corresponding ProductConfiguration @uid</sch:report>
            <sch:report test="./ItemContext/Project[not(@uidRef=//Project/@uid)]"
                >SelectedItemAssignment: ItemContext.Project/@uidRef declared for which there is no
                corresponding Project @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SequenceOfState"/>
        <sch:rule context="//SequenceOfStateDefinition"/>
        <sch:rule context="//SequencingRelationship">
            <sch:report
                test="./TimeLag[not(@uidRef=//TimeInterval/@uid or @uidRef=//TimeIntervalWithBounds/@uid)]"
                >SequencingRelationship: TimeLag/@uidRef declared for which there is no
                corresponding TimeInterval or TimeIntervalWithBounds @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SerialEffectivity"/>
        <sch:rule context="//SetMembership">
            <sch:report
                test="./Member[not(@uidRef=//ExternalItem/@uid or @uidRef=//ExternalOwlObject/@uid)]"
                >SetMembership: Member/@uidRef declared for which there is no corresponding
                ExternalItem or ExternalOwlObject</sch:report>
            <sch:report
                test="./OfSet[not(@uidRef=//ExternalClass/@uid or @uidRef=//ExternalOwlClass/@uid)]"
                >SetMembership: OfSet/@uidRef declared for which there is no corresponding
                ExternalClass or ExternalOwlClass</sch:report>
        </sch:rule>
        <sch:rule context="//ShapeDependentPropertyRepresentation">
            <sch:report
                test="./DescribedElement[not(@uidRef=//ContextualItemShape/@uid or @uidRef=//ItemShape/@uid or @uidRef=//ShapeElement/@uid)]"
                >ShapeDependentPropertyRepresentation: DescribedElement/@uidRef declared for which
                there is no corresponding ContextualItemShape or ItemShape or
                ShapeElement</sch:report>
        </sch:rule>
        <sch:rule context="//ShapeDescriptionAssociation">
            <sch:report
                test="./RepresentedCharacteristic[not(@uidRef=//ContextualItemShape/@uid or @uidRef=//ItemShape/@uid or @uidRef=//ShapeElement/@uid or @uidRef=//RelationshipObject[substring-after(@xsi:type, ':')='ShapeElementRelationship']/@uid)]"
                >ShapeDescriptionAssociation: RepresentedCharacteristic/@uidRef declared for which
                there is no corresponding ContextualItemShape or ItemShape or ShapeElement or
                RelationshipObject/@xsi:type='ShapeElementRelationship'</sch:report>
            <sch:report
                test="./Representation[not(@uidRef=//GeometricModel/@uid or @uidRef=//ExternalGeometricModel/@uid or @uidRef=//GeometricPlacementModel/@uid)]"
                >ShapeDescriptionAssociation: Representation/@uidRef declared for which there is no
                corresponding GeometricModel or ExternalGeometricModel or GeometricPlacementModel
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ShapeElement">
            <sch:report
                test="./ContainingShape[not(@uidRef=//ContextualItemShape/@uid or @uidRef=//ItemShape/@uid)]"
                >ShapeElement: ContainingShape/@uidRef declared for which there is no corresponding
                ContextualItemShape or ItemShape @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ShapeElementRelationship">
            <sch:report test="./Related[not(@uidRef=//ShapeElement/@uid)]">ShapeElementRelationship:
                Related/@uidRef declared for which there is no corresponding ShapeElement
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ShapePlacementAssociation">
            <sch:report test="./Representation[not(@uidRef=//GeometricPlacementModel/@uid)]"
                >ShapePlacementAssociation: Representation/@uidRef declared for which there is no
                corresponding GeometricPlacementModel @uid</sch:report>
            <sch:report test="./RepresentedCharacteristic[not(@uidRef=//ContextualItemShape/@uid)]"
                >ShapePlacementAssociation: RepresentedCharacteristic/@uidRef declared for which
                there is no corresponding ContextualItemShape @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SimultaneousElements"/>
        <sch:rule context="//StandardUncertainty"/>
        <sch:rule context="//StartTask"/>
        <sch:rule context="//State"/>
        <sch:rule context="//StateAssertion">
            <sch:report
                test="./AssertedState[not(@uidRef=//State/@uid or @uidRef=//StateObserved/@uid or @uidRef=//StatePredicted/@uid)]"
                >StateAssertion: AssertedState/@uidRef declared for which there is no corresponding
                State or StateObserved or StatePredicted @uid</sch:report>
            <sch:report test="./ConformanceState[not(@uidRef=//StateDefinition/@uid)]"
                >StateAssertion: ConformanceState/@uidRef declared for which there is no
                corresponding StateDefinition @uid</sch:report>
        </sch:rule>
        <sch:rule context="//StateAssessment">
            <sch:report
                test="./AssessedState[not(@uidRef=//State/@uid or @uidRef=//StateObserved/@uid or @uidRef=//StatePredicted/@uid)]"
                >StateAssessment: AssessedState/@uidRef declared for which there is no corresponding
                State or StateObserved or StatePredicted @uid</sch:report>
            <sch:report test="./ComparableState[not(@uidRef=//StateDefinition/@uid)]"
                >StateAssessment: ComparableState/@uidRef declared for which there is no
                corresponding StateDefinition @uid</sch:report>
        </sch:rule>
        <sch:rule context="//StateAssignment">
            <sch:report
                test="./AssignedState[not(@uidRef=//State/@uid or @uidRef=//StateObserved/@uid or @uidRef=//StatePredicted/@uid)]"
                >StateAssignment: AssignedState/@uidRef declared for which there is no corresponding
                State or StateObserved or StatePredicted @uid</sch:report>
        </sch:rule>
        <sch:rule context="//StateCauseEffect"/>
        <sch:rule context="//StateCauseEffectDefinition"/>
        <sch:rule context="//StateComplementDefinition">
            <sch:report test="./Set2/StateDefinition[not(@uidRef=//StateDefinition/@uid)]"
                >StateComplementDefinition: Set2.StateDefinition/@uidRef declared for which there is
                no corresponding StateDefinition @uid</sch:report>
        </sch:rule>
        <sch:rule context="//StateDefinition">
            <sch:report
                test="./Definition[not(@uidRef=//ExternalItem/@uid or @uidRef=//ExternalOwlObject/@uid)]"
                >StateDefinition: Definition/@uidRef declared for which there is no corresponding
                ExternalItem or ExternalOwlObject</sch:report>
        </sch:rule>
        <sch:rule context="//StateDefinitionAssignment">
            <sch:report test="./AssignedStateDefinition[not(@uidRef=//StateDefinition/@uid)]"
                >StateDefinitionAssignment: AssignedStateDefinition/@uidRef declared for which there
                is no corresponding StateDefinition @uid</sch:report>
        </sch:rule>
        <sch:rule context="//StateDefinitionRelationship">
            <sch:report test="./Related[not(@uidRef=//StateDefinition/@uid)]"
                >StateDefinitionRelationship: Related/@uidRef declared for which there is no
                corresponding StateDefinition @uid</sch:report>
        </sch:rule>
        <sch:rule context="//StateObserved"/>
        <sch:rule context="//StatePredicted"/>
        <sch:rule context="//StatePredictedToObserved">
            <sch:report test="./Related[not(@uidRef=//StatePredicted/@uid)]"
                >StatePredictedToObserved: Related/@uidRef declared for which there is no
                corresponding StatePredicted @uid</sch:report>
        </sch:rule>
        <sch:rule context="//StateProperSubsetDefinition"/>
        <sch:rule context="//StateRelationship">
            <sch:report
                test="./Related[not(@uidRef=//State/@uid or @uidRef=//StateObserved/@uid or @uidRef=//StatePredicted/@uid)]"
                >StateRelationship: Related/@uidRef declared for which there is no corresponding
                State or StateObserved or StatePredicted @uid</sch:report>
        </sch:rule>
        <sch:rule context="//StateSubsetDefinition"/>
        <sch:rule context="//StateSymptomDefinition"/>
        <sch:rule context="//StateTransition"/>
        <sch:rule context="//StateTransitionDefinition"/>
        <sch:rule context="//StringValue"/>
        <sch:rule context="//SubsetMember">
            <sch:report
                test="./Subset[not(@uidRef=//ExternalClass/@uid or @uidRef=//ExternalOwlClass/@uid)]"
                >SubsetMember: Subset/@uidRef declared for which there is no corresponding
                ExternalClass or ExternalOwlClass</sch:report>
            <sch:report
                test="./Superset[not(@uidRef=//ExternalClass/@uid or @uidRef=//ExternalOwlClass/@uid)]"
                >SubsetMember: Superset/@uidRef declared for which there is no corresponding
                ExternalClass or ExternalOwlClass</sch:report>
        </sch:rule>
        <sch:rule context="//SuppliedPartRelationship"/>
        <sch:rule context="//System"/>
        <sch:rule context="//SystemBreakdown"/>
        <sch:rule context="//SystemBreakdownContext">
            <sch:report
                test="./Breakdown[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid)]"
                >SystemBreakdownContext: Breakdown/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='SystemBreakdownVersion' @uid</sch:report>
            <sch:report
                test="./BreakdownElement[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid)]"
                >SystemBreakdownContext: BreakdownElement/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='SystemElementDefinition'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SystemBreakdownVersion">
            <sch:report test="./VersionOf[not(@uidRef=//SystemBreakdown/@uid)]"
                >SystemBreakdownVersion: VersionOf/@uidRef declared for which there is no
                corresponding SystemBreakdown @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SystemElement"/>
        <sch:rule context="//SystemElementDefinition">
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid)]"
                >SystemElementDefinition: ViewDefinitionOf/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='SystemElementVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SystemElementUsage">
            <sch:report
                test="./Related[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid)]"
                >SystemElementUsage: Related/@uidRef declared for which there is no corresponding
                ProductViewDefinition/@xsi:type='SystemElementDefinition' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SystemElementVersion">
            <sch:report test="./VersionOf[not(@uidRef=//SystemElement/@uid)]">SystemElementVersion:
                VersionOf/@uidRef declared for which there is no corresponding SystemElement
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SystemVersion">
            <sch:report test="./VersionOf[not(@uidRef=//System/@uid)]">SystemVersion:
                VersionOf/@uidRef declared for which there is no corresponding System
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SystemVersionRelationship">
            <sch:report
                test="./Related[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid)]"
                >SystemVersionRelationship: Related/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='SystemVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//SystemVersionSequence"/>
        <sch:rule context="//SystemViewDefinition">
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid)]"
                >SystemViewDefinition: ViewDefinitionOf/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='SystemVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//TaskElementAssignment">
            <sch:report
                test="./AssignedTaskElement[not(@uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid)]"
                >TaskElementAssignment: AssignedTaskElement/@uidRef declared for which there is no
                corresponding ActivityMethod/@xsi:type='EndTask' or
                ActivityMethod/@xsi:type='ExitLoop' or ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//TaskElementLevels"/>
        <sch:rule context="//TaskElementRelationship">
            <sch:report
                test="./Related[not(@uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid)]"
                >TaskElementRelationship: Related/@uidRef declared for which there is no
                corresponding ActivityMethod/@xsi:type='EndTask' or
                ActivityMethod/@xsi:type='ExitLoop' or ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//TaskElementSequence"/>
        <sch:rule context="//TaskElementStateRelationship">
            <sch:report
                test="./State[not(@uidRef=//State/@uid or @uidRef=//StateObserved/@uid or @uidRef=//StatePredicted/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateAssignment']/@uid or @uidRef=//StateDefinition/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateDefinitionAssignment']/@uid)]"
                >TaskElementStateRelationship: State/@uidRef declared for which there is no
                corresponding State or StateObserved or StatePredicted or
                AssignmentObject/@xsi:type='StateAssignment' or StateDefinition or
                AssignmentObject/@xsi:type='StateDefinitionAssignment'</sch:report>
        </sch:rule>
        <sch:rule context="//TaskInvocation">
            <sch:report
                test="./TaskMethod[not(@uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid)]"
                >TaskInvocation: TaskMethod/@uidRef declared for which there is no corresponding
                TaskMethod or ActivityMethod/@xsi:type='TaskMethodVersion'</sch:report>
        </sch:rule>
        <sch:rule context="//TaskMethod">
            <sch:report test="./Objective/TaskObjective[not(@uidRef=//TaskObjective/@uid)]"
                >TaskMethod: Objective.TaskObjective/@uidRef declared for which there is no
                corresponding TaskObjective @uid</sch:report>
        </sch:rule>
        <sch:rule context="//TaskMethodAssignment">
            <sch:report test="./AssignedTaskMethod[not(@uidRef=//TaskMethod/@uid)]"
                >TaskMethodAssignment: AssignedTaskMethod/@uidRef declared for which there is no
                corresponding TaskMethod @uid</sch:report>
        </sch:rule>
        <sch:rule context="//TaskMethodRelationship">
            <sch:report test="./Related[not(@uidRef=//TaskMethod/@uid)]">TaskMethodRelationship:
                Related/@uidRef declared for which there is no corresponding TaskMethod
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//TaskMethodStateRelationship">
            <sch:report
                test="./State[not(@uidRef=//State/@uid or @uidRef=//StateObserved/@uid or @uidRef=//StatePredicted/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateAssignment']/@uid or @uidRef=//StateDefinition/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateDefinitionAssignment']/@uid)]"
                >TaskMethodStateRelationship: State/@uidRef declared for which there is no
                corresponding State or StateObserved or StatePredicted or
                AssignmentObject/@xsi:type='StateAssignment' or StateDefinition or
                AssignmentObject/@xsi:type='StateDefinitionAssignment'</sch:report>
        </sch:rule>
        <sch:rule context="//TaskMethodVersion">
            <sch:report test="./VersionOf[not(@uidRef=//TaskMethod/@uid)]">TaskMethodVersion:
                VersionOf/@uidRef declared for which there is no corresponding TaskMethod
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//TaskMethodVersionAssignment">
            <sch:report
                test="./AssignedTaskMethod[not(@uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid)]"
                >TaskMethodVersionAssignment: AssignedTaskMethod/@uidRef declared for which there is
                no corresponding ActivityMethod/@xsi:type='TaskMethodVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//TaskMethodVersionRelationship">
            <sch:report
                test="./Related[not(@uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid)]"
                >TaskMethodVersionRelationship: Related/@uidRef declared for which there is no
                corresponding ActivityMethod/@xsi:type='TaskMethodVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//TaskObjective"/>
        <sch:rule context="//TaskObjectiveStateRelationship">
            <sch:report
                test="./State[not(@uidRef=//State/@uid or @uidRef=//StateObserved/@uid or @uidRef=//StatePredicted/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateAssignment']/@uid or @uidRef=//StateDefinition/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='StateDefinitionAssignment']/@uid)]"
                >TaskObjectiveStateRelationship: State/@uidRef declared for which there is no
                corresponding State or StateObserved or StatePredicted or
                AssignmentObject/@xsi:type='StateAssignment' or StateDefinition or
                AssignmentObject/@xsi:type='StateDefinitionAssignment'</sch:report>
        </sch:rule>
        <sch:rule context="//TaskStep"/>
        <sch:rule context="//TimeInterval"/>
        <sch:rule context="//TimeIntervalAssignment">
            <sch:report
                test="./AssignedTimeInterval[not(@uidRef=//TimeInterval/@uid or @uidRef=//TimeIntervalWithBounds/@uid)]"
                >TimeIntervalAssignment: AssignedTimeInterval/@uidRef declared for which there is no
                corresponding TimeInterval or TimeIntervalWithBounds @uid</sch:report>
        </sch:rule>
        <sch:rule context="//TimeIntervalEffectivity">
            <sch:report
                test="./EffectivityPeriod[not(@uidRef=//TimeInterval/@uid or @uidRef=//TimeIntervalWithBounds/@uid)]"
                >TimeIntervalEffectivity: EffectivityPeriod/@uidRef declared for which there is no
                corresponding TimeInterval or TimeIntervalWithBounds @uid</sch:report>
        </sch:rule>
        <sch:rule context="//TimeIntervalRelationship">
            <sch:report
                test="./Related[not(@uidRef=//TimeInterval/@uid or @uidRef=//TimeIntervalWithBounds/@uid)]"
                >TimeIntervalRelationship: Related/@uidRef declared for which there is no
                corresponding TimeInterval or TimeIntervalWithBounds @uid</sch:report>
        </sch:rule>
        <sch:rule context="//TimeIntervalWithBounds">
            <sch:report
                test="./PrimaryBoundActivity[not(@uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid)]"
                >TimeIntervalWithBounds: PrimaryBoundActivity/@uidRef declared for which there is no
                corresponding Activity or ActivityActual or DirectedActivity @uid</sch:report>
            <sch:report
                test="./SecondaryBoundActivity[not(@uidRef=//Activity/@uid or @uidRef=//ActivityActual/@uid or @uidRef=//DirectedActivity/@uid)]"
                >TimeIntervalWithBounds: SecondaryBoundActivity/@uidRef declared for which there is
                no corresponding Activity or ActivityActual or DirectedActivity @uid</sch:report>
        </sch:rule>
        <sch:rule context="//TracingRelationship"/>
        <sch:rule context="//TypeOfPerson">
            <sch:report
                test="./Has/TypeOfPersonDefinition[not(@uidRef=//TypeOfPersonDefinition/@uid)]"
                >TypeOfPerson: Has.TypeOfPersonDefinition/@uidRef declared for which there is no
                corresponding TypeOfPersonDefinition @uid</sch:report>
        </sch:rule>
        <sch:rule context="//TypeOfPersonAssignment">
            <sch:report test="./AssignedTypeOfPerson[not(@uidRef=//TypeOfPerson/@uid)]"
                >TypeOfPersonAssignment: AssignedTypeOfPerson/@uidRef declared for which there is no
                corresponding TypeOfPerson @uid</sch:report>
        </sch:rule>
        <sch:rule context="//TypeOfPersonDefinition"/>
        <sch:rule context="//TypeOfPersonDefinitionRelationship">
            <sch:report test="./Related[not(@uidRef=//TypeOfPersonDefinition/@uid)]"
                >TypeOfPersonDefinitionRelationship: Related/@uidRef declared for which there is no
                corresponding TypeOfPersonDefinition @uid</sch:report>
        </sch:rule>
        <sch:rule context="//TypeOfPersonDefinitionRequiredAttributesRelationship">
            <sch:report
                test="./RequiredAttributes/ExperienceType[not(@uidRef=//ExperienceType/@uid)]"
                >TypeOfPersonDefinitionRequiredAttributesRelationship:
                RequiredAttributes.ExperienceType/@uidRef declared for which there is no
                corresponding ExperienceType @uid</sch:report>
            <sch:report
                test="./RequiredAttributes/QualificationType[not(@uidRef=//QualificationType/@uid)]"
                >TypeOfPersonDefinitionRequiredAttributesRelationship:
                RequiredAttributes.QualificationType/@uidRef declared for which there is no
                corresponding QualificationType @uid</sch:report>
        </sch:rule>
        <sch:rule context="//UncertaintyQualifier"/>
        <sch:rule context="//Validation">
            <sch:report
                test="./Validates[not(@uidRef=//ActivityMethod/@uid or @uidRef=//Scheme/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeEntry']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SchemeVersion']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='EndTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ExitLoop']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='StartTask']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='ConcurrentElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='SimultaneousElements']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='DecisionPoint']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='LoopingElement']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatCount']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatUntil']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='RepeatWhile']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementSequence']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskElementLevels']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskInvocation']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskStep']/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='AdvisoryTaskStep']/@uid or @uidRef=//TaskMethod/@uid or @uidRef=//ActivityMethod[substring-after(@xsi:type, ':')='TaskMethodVersion']/@uid or @uidRef=//AssignmentObject[substring-after(@xsi:type, ':')='OrganizationOrPersonInOrganizationAssignment']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid or @uidRef=//StateDefinition/@uid)]"
                >Validation: Validates/@uidRef declared for which there is no corresponding
                ActivityMethod or Scheme or ActivityMethod/@xsi:type='SchemeEntry' or
                ActivityMethod/@xsi:type='SchemeVersion' or ActivityMethod/@xsi:type='EndTask' or
                ActivityMethod/@xsi:type='ExitLoop' or ActivityMethod/@xsi:type='StartTask' or
                ActivityMethod/@xsi:type='ConcurrentElements' or
                ActivityMethod/@xsi:type='SimultaneousElements' or
                ActivityMethod/@xsi:type='DecisionPoint' or
                ActivityMethod/@xsi:type='LoopingElement' or ActivityMethod/@xsi:type='RepeatCount'
                or ActivityMethod/@xsi:type='RepeatUntil' or ActivityMethod/@xsi:type='RepeatWhile'
                or ActivityMethod/@xsi:type='TaskElementSequence' or
                ActivityMethod/@xsi:type='TaskElementLevels' or
                ActivityMethod/@xsi:type='TaskInvocation' or ActivityMethod/@xsi:type='TaskStep' or
                ActivityMethod/@xsi:type='AdvisoryTaskStep' or TaskMethod or
                ActivityMethod/@xsi:type='TaskMethodVersion' or
                AssignmentObject/@xsi:type='OrganizationOrPersonInOrganizationAssignment' or
                ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                or StateDefinition</sch:report>
            <sch:report test="./ValidatedBy/Evidence[not(@uidRef=//Evidence/@uid)]">Validation:
                ValidatedBy.Evidence/@uidRef declared for which there is no corresponding Evidence
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ValueFunction">
            <sch:report
                test="./FunctionElement/FunctionValuePair[not(@uidRef=//FunctionValuePair/@uid)]"
                >ValueFunction: FunctionElement.FunctionValuePair/@uidRef declared for which there
                is no corresponding FunctionValuePair @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ValueLimit">
            <sch:report
                test="./Qualifier[not(@uidRef=//ExternalTypeQualifier/@uid or @uidRef=//PreDefinedTypeQualifier/@uid)]"
                >ValueLimit: Qualifier/@uidRef declared for which there is no corresponding
                ExternalTypeQualifier or PreDefinedTypeQualifier</sch:report>
        </sch:rule>
        <sch:rule context="//ValueList"/>
        <sch:rule context="//ValueRange"/>
        <sch:rule context="//ValueSet"/>
        <sch:rule context="//ValueWithTolerances"/>
        <sch:rule context="//Verification">
            <sch:report test="./Verifies[not(@uidRef=//RequirementSatisfiedBy/@uid)]">Verification:
                Verifies/@uidRef declared for which there is no corresponding RequirementSatisfiedBy
                @uid</sch:report>
            <sch:report test="./VerifiedBy/Evidence[not(@uidRef=//Evidence/@uid)]">Verification:
                VerifiedBy.Evidence/@uidRef declared for which there is no corresponding Evidence
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//VerificationRelationship">
            <sch:report test="./Related[not(@uidRef=//Verification/@uid)]">VerificationRelationship:
                Related/@uidRef declared for which there is no corresponding Verification
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ViewDefinitionContext">
            <sch:report test="./ApplicationDomain[not(@uidRef=//ApplicationDomain/@uid)]"
                >ViewDefinitionContext: ApplicationDomain/@uidRef declared for which there is no
                corresponding ApplicationDomain @uid</sch:report>
            <sch:report test="./LifeCycleStage[not(@uidRef=//LifeCycleStage/@uid)]"
                >ViewDefinitionContext: LifeCycleStage/@uidRef declared for which there is no
                corresponding LifeCycleStage @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ViewDefinitionRelationship">
            <sch:report
                test="./Related[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid)]"
                >ViewDefinitionRelationship: Related/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ViewDefinitionUsage"/>
        <sch:rule context="//WorkOrder">
            <sch:report test="./InResponseTo/WorkRequest[not(@uidRef=//WorkRequest/@uid)]"
                >WorkOrder: InResponseTo.WorkRequest/@uidRef declared for which there is no
                corresponding WorkRequest @uid</sch:report>
        </sch:rule>
        <sch:rule context="//WorkOrderAssignment">
            <sch:report test="./AssignedWorkOrder[not(@uidRef=//WorkOrder/@uid)]"
                >WorkOrderAssignment: AssignedWorkOrder/@uidRef declared for which there is no
                corresponding WorkOrder @uid</sch:report>
        </sch:rule>
        <sch:rule context="//WorkOutput">
            <sch:report
                test="./OutputItem[not(@uidRef=//Contract/@uid or @uidRef=//Envelope/@uid or @uidRef=//DigitalFile/@uid or @uidRef=//Hardcopy/@uid or @uidRef=//Location/@uid or @uidRef=//ManagedResource/@uid or @uidRef=//Message/@uid or @uidRef=//Organization/@uid or @uidRef=//OrganizationType/@uid or @uidRef=//Person/@uid or @uidRef=//PersonInOrganization/@uid or @uidRef=//Position/@uid or @uidRef=//PositionType/@uid or @uidRef=//Product/@uid or @uidRef=//Analysis/@uid or @uidRef=//AttachmentSlot/@uid or @uidRef=//Breakdown/@uid or @uidRef=//FunctionalBreakdown/@uid or @uidRef=//PhysicalBreakdown/@uid or @uidRef=//SystemBreakdown/@uid or @uidRef=//ZoneBreakdown/@uid or @uidRef=//BreakdownElement/@uid or @uidRef=//FunctionalElement/@uid or @uidRef=//PhysicalElement/@uid or @uidRef=//SystemElement/@uid or @uidRef=//ZoneElement/@uid or @uidRef=//Collection/@uid or @uidRef=//Document/@uid or @uidRef=//EnvironmentDefinition/@uid or @uidRef=//InterfaceConnector/@uid or @uidRef=//InterfaceSpecification/@uid or @uidRef=//ObservedEnvironment/@uid or @uidRef=//Part/@uid or @uidRef=//ProductAsIndividual/@uid or @uidRef=//Requirement/@uid or @uidRef=//Risk/@uid or @uidRef=//System/@uid or @uidRef=//ProductGroup/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AnalysisVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='AttachmentSlotDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='BreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='FunctionalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PhysicalBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='CollectionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='DocumentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='EnvironmentDefinitionVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceConnectorDesign']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='InterfaceSpecificationVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ObservedEnvironmentVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='PartVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsPlanned']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ProductAsRealized']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RequirementVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='RiskVersion']/@uid or @uidRef=//ProductVersion[substring-after(@xsi:type, ':')='SystemVersion']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AnalysisDisciplineDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='AttachmentSlotDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='BreakdownElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='FunctionalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='CollectionViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='DigitalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PhysicalDocumentDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='EnvironmentDefinitionView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceConnectorDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='InterfaceSpecificationDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ObservedEnvironmentView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='PartViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ProductAsIndividualView']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RequirementViewDefinition']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskConsequence']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='RiskPerception']/@uid or @uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='SystemViewDefinition']/@uid or @uidRef=//ResourceAsRealized/@uid or @uidRef=//ResourceItem/@uid or @uidRef=//TypeOfPerson/@uid)]"
                >WorkOutput: OutputItem/@uidRef declared for which there is no corresponding
                Contract or Envelope or DigitalFile or Hardcopy or Location or ManagedResource or
                Message or Organization or OrganizationType or Person or PersonInOrganization or
                Position or PositionType or Product or Analysis or AttachmentSlot or Breakdown or
                FunctionalBreakdown or PhysicalBreakdown or SystemBreakdown or ZoneBreakdown or
                BreakdownElement or FunctionalElement or PhysicalElement or SystemElement or
                ZoneElement or Collection or Document or EnvironmentDefinition or InterfaceConnector
                or InterfaceSpecification or ObservedEnvironment or Part or ProductAsIndividual or
                Requirement or Risk or System or ProductGroup or
                ProductVersion/@xsi:type='ProductVersion' or
                ProductVersion/@xsi:type='AnalysisVersion' or
                ProductVersion/@xsi:type='AttachmentSlotVersion' or
                ProductVersion/@xsi:type='AttachmentSlotAsPlanned' or
                ProductVersion/@xsi:type='AttachmentSlotAsRealized' or
                ProductVersion/@xsi:type='AttachmentSlotDesign' or
                ProductVersion/@xsi:type='BreakdownElementVersion' or
                ProductVersion/@xsi:type='FunctionalElementVersion' or
                ProductVersion/@xsi:type='PhysicalElementVersion' or
                ProductVersion/@xsi:type='SystemElementVersion' or
                ProductVersion/@xsi:type='ZoneElementVersion' or
                ProductVersion/@xsi:type='BreakdownVersion' or
                ProductVersion/@xsi:type='FunctionalBreakdownVersion' or
                ProductVersion/@xsi:type='PhysicalBreakdownVersion' or
                ProductVersion/@xsi:type='SystemBreakdownVersion' or
                ProductVersion/@xsi:type='ZoneBreakdownVersion' or
                ProductVersion/@xsi:type='CollectionVersion' or
                ProductVersion/@xsi:type='DocumentVersion' or
                ProductVersion/@xsi:type='EnvironmentDefinitionVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorVersion' or
                ProductVersion/@xsi:type='InterfaceConnectorAsPlanned' or
                ProductVersion/@xsi:type='InterfaceConnectorAsRealized' or
                ProductVersion/@xsi:type='InterfaceConnectorDesign' or
                ProductVersion/@xsi:type='InterfaceSpecificationVersion' or
                ProductVersion/@xsi:type='ObservedEnvironmentVersion' or
                ProductVersion/@xsi:type='PartVersion' or
                ProductVersion/@xsi:type='ProductAsPlanned' or
                ProductVersion/@xsi:type='ProductAsRealized' or
                ProductVersion/@xsi:type='RequirementVersion' or
                ProductVersion/@xsi:type='RiskVersion' or ProductVersion/@xsi:type='SystemVersion'
                or ProductViewDefinition/@xsi:type='ProductViewDefinition' or
                ProductViewDefinition/@xsi:type='AnalysisDisciplineDefinition' or
                ProductViewDefinition/@xsi:type='AttachmentSlotDefinition' or
                ProductViewDefinition/@xsi:type='BreakdownElementDefinition' or
                ProductViewDefinition/@xsi:type='FunctionalElementDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalElementDefinition' or
                ProductViewDefinition/@xsi:type='SystemElementDefinition' or
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' or
                ProductViewDefinition/@xsi:type='CollectionViewDefinition' or
                ProductViewDefinition/@xsi:type='DocumentDefinition' or
                ProductViewDefinition/@xsi:type='DigitalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='PhysicalDocumentDefinition' or
                ProductViewDefinition/@xsi:type='EnvironmentDefinitionView' or
                ProductViewDefinition/@xsi:type='InterfaceConnectorDefinition' or
                ProductViewDefinition/@xsi:type='InterfaceSpecificationDefinition' or
                ProductViewDefinition/@xsi:type='ObservedEnvironmentView' or
                ProductViewDefinition/@xsi:type='PartViewDefinition' or
                ProductViewDefinition/@xsi:type='ProductAsIndividualView' or
                ProductViewDefinition/@xsi:type='RequirementViewDefinition' or
                ProductViewDefinition/@xsi:type='RiskConsequence' or
                ProductViewDefinition/@xsi:type='RiskPerception' or
                ProductViewDefinition/@xsi:type='SystemViewDefinition' or ResourceAsRealized or
                ResourceItem or TypeOfPerson</sch:report>
        </sch:rule>
        <sch:rule context="//WorkOutputAssignment">
            <sch:report test="./AssignedOutput[not(@uidRef=//WorkOutput/@uid)]"
                >WorkOutputAssignment: AssignedOutput/@uidRef declared for which there is no
                corresponding WorkOutput @uid</sch:report>
        </sch:rule>
        <sch:rule context="//WorkOutputRelationship">
            <sch:report test="./Related[not(@uidRef=//WorkOutput/@uid)]">WorkOutputRelationship:
                Related/@uidRef declared for which there is no corresponding WorkOutput
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//WorkRequest"/>
        <sch:rule context="//WorkRequestAssignment">
            <sch:report test="./AssignedWorkRequest[not(@uidRef=//WorkRequest/@uid)]"
                >WorkRequestAssignment: AssignedWorkRequest/@uidRef declared for which there is no
                corresponding WorkRequest @uid</sch:report>
        </sch:rule>
        <sch:rule context="//WorkRequestRelationship">
            <sch:report test="./Related[not(@uidRef=//WorkRequest/@uid)]">WorkRequestRelationship:
                Related/@uidRef declared for which there is no corresponding WorkRequest
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//XorStateCauseEffectDefinition"/>
        <sch:rule context="//ZoneBreakdown"/>
        <sch:rule context="//ZoneBreakdownContext">
            <sch:report
                test="./Breakdown[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneBreakdownVersion']/@uid)]"
                >ZoneBreakdownContext: Breakdown/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='ZoneBreakdownVersion' @uid</sch:report>
            <sch:report
                test="./BreakdownElement[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid)]"
                >ZoneBreakdownContext: BreakdownElement/@uidRef declared for which there is no
                corresponding ProductViewDefinition/@xsi:type='ZoneElementDefinition'
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ZoneBreakdownVersion">
            <sch:report test="./VersionOf[not(@uidRef=//ZoneBreakdown/@uid)]">ZoneBreakdownVersion:
                VersionOf/@uidRef declared for which there is no corresponding ZoneBreakdown
                @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ZoneElement"/>
        <sch:rule context="//ZoneElementDefinition">
            <sch:report
                test="./ViewDefinitionOf[not(@uidRef=//ProductVersion[substring-after(@xsi:type, ':')='ZoneElementVersion']/@uid)]"
                >ZoneElementDefinition: ViewDefinitionOf/@uidRef declared for which there is no
                corresponding ProductVersion/@xsi:type='ZoneElementVersion' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ZoneElementUsage">
            <sch:report
                test="./Related[not(@uidRef=//ProductViewDefinition[substring-after(@xsi:type, ':')='ZoneElementDefinition']/@uid)]"
                >ZoneElementUsage: Related/@uidRef declared for which there is no corresponding
                ProductViewDefinition/@xsi:type='ZoneElementDefinition' @uid</sch:report>
        </sch:rule>
        <sch:rule context="//ZoneElementVersion">
            <sch:report test="./VersionOf[not(@uidRef=//ZoneElement/@uid)]">ZoneElementVersion:
                VersionOf/@uidRef declared for which there is no corresponding ZoneElement
                @uid</sch:report>
        </sch:rule>
    </sch:pattern>
</sch:schema>
